Please  do  not write behind the end of line tag so that it is  possible
to   send  a   Changelog   file  to  a  line  printer  directly.  Thanks.

For your entries please follow EXACTLY this style:

_yyyy/mm/dd_[Your Name]
_
___*_filename:
_____-_description
_
___*_filename2, filename3:
_____-_description
_
_
_

While an underscore is a placeholder for a white-space or an empty line.

                                                 -*-*- END OF LINE -*-*-

 2005/12/21 Thomas Bretz

   * mbase/MEnv.cc:
     - enhanced grey levels to eight

   * mbase/MStatusDisplay.[h,cc]:
     - allow to open a new tab from the file menu

   * mbase/MTime.[h,cc]:
     - added algorithm to calculate week



 2005/12/20 Daniela Dorner

   * datacenter/macros/checkfilesavail.C:
     - fixed bug



 2005/12/14 Daniela Dorner

   * datacenter/scripts/copyscript:
     - fixed bug



 2005/12/13 Daniela Dorner

   * datacenter/scripts/copyscript:
     - added updating of catalogfile



 2005/12/12 Daniela Dorner

   * datacenter/scripts/rmlocks:
     - fixed condition for removing lock-file

   * datacenter/scripts/dowebplots:
     - improved new procedure
     - added removing of old files
     - added documentation

   * datacenter/scripts/linkmc:
     - improved handling of directories
     - added new mode
     - added documentation
     - simplyfied check for C and P link



 2005/12/12 Thomas Bretz

   * mbase/MEnv.[h,cc]:
     - added new Setter functions
     - added a Clone function (TEnv cannot be streamed)
     - added a data member to store the filename because fRcName cannot
       be accessed

   * mbase/MTime.[h,cc]:
     - added Getter DayofYear()
     - added Getter Week()
     - added Getter IsLeapYear()

   * mjobs/MDataSet.cc:
     - simplified reading the catlog file by using TString::Tokenize

   * mtools/MCalendar.[h,cc]:
     - added



 2005/12/06 Daniela Dorner

   * datacenter/scripts/linkmc:
     - added (script to link the mc-files into a YYYY/MM/DD structure)

   * datacenter/scripts/mcsequences: 
     - added (script to write sequencefiles for the mc)

   * datacenter/scripts/processmcsequences: 
     - added (script to run callisto and star for the mc)



 2005/12/06 Thomas Bretz

   * mbase/MEnv.[h,cc]:
     - added new function to get fillstyle by name
     - added new function to get attributes of a TPave

   * mbase/MTime.cc:
     - fixed layout of a comment

   * mhflux/MAlphaFitter.[h,cc]:
     - added a function to calc upper limits
     - exchaged some GetListOfFunctions()-Remove() with SetName

   * mcamera/Makefile, mcamera/CameraLinkDef.h:
     - added MCameraTD, MCameraTH and MCameraRecTemp

   * showplot.cc:
     - fixed a bug which caused trouble if only a filename was given

   * mastro/MAstro.h:
     - added conversion constant to convert parsec to meter

   * mcamera/MCameraHV.h:
     - only layout changes

   * mcamera/MCameraRecTemp.[h,cc], mcamera/MCameraTD.[h,cc],
     mcamera/MCameraTH.[h,cc]:
     - removed weired obsolste operators (which won't work at all)
     - fixed calculation of max and min value
     - replaced the nonsense TArrayS by TArrayC because the contents is
       just a byte

   * mreport/MReportCC.cc:
     - fixed the 

   * ganymed.cc:
     - fixed compilation of path to datasets



 2005/12/01 Thomas Bretz

   * readdaq.cc:
     - allow different file names

   * mbase/MLog.[h,cc]:
     - replaced preprocessor directive by const data member

   * mraw/MRawRunHeader.[h,cc]:
     - implemeted a fix reading the pixel assignment table between
       RunNumber 53300 and RunNumber 68754. Three pixelassignments were
       wrong.

   * mbase/MDirIter.cc:
     - removed special treatment of ?-character

   * mbase/Makefile, mbase/BaseLinkDef.h:
     - added new class

   * mimage/MHillas.cc:
     - changed atan2-output in Print to same convention as used
       in MGeomCam

   * mjobs/MJCalibrateSignal.cc:
     - modified replacement rule for output file names

   * mbase/MStatusDisplay.cc:
     - fixed initial size
     - automatically call SetFrameBorderMode for each new canvas

   * mjobs/MSequence.cc:
     - updated rule used to build file names

   * mgui/MCamEvent.[h,cc]:
     - implemented new member function GetCameraRMS
     - implemented new member function GetCameraStat

   * mraw/MRawFileRead.[h,cc]:
     - implemented new I/O scheme



 2005/11/30 Thomas Bretz

   * showplot.cc:
     - fixed some warnings

   * mmc/MMcFadcHeader.[hxx,cxx]:
     - added class description in the correct style
     - derived from MCamEvent
     - increased Class Version
     - added GetPixelContent

   * mmc/Makefile:
     - added mgui 

   * datacenter/macros/plotdb.C:
     - call SetFrameBorderMode for each new pad



 2005/11/29 Thomas Bretz

   * mmain/MEventDisplay.cc:
     - added a MContinue to be setup by mars.rc to the tasklist to
       allow to choose events

   * mars.rc:
     - added an example how to use the new cut



 2005/11/28 Thomas Bretz

   * callisto.cc, ganymed.cc, mars.cc, merpp.cc, readdaq.cc, 
     readraw.cc, showlog.cc, showplot.cc, sponde.cc, star.cc:
     - fixed a bug in displaying the startup message which prevented
       the compilation date from beeing displayed
     - added abbreviations for calling some programs (see NEWS)

   * mastro/MAstro.[h,cc]:
     - added function to calc date of easter

   * mbase/MEnv.[h,cc]:
     - added function to support some attributes (TAtt*)

   * mbase/MTime.[h,cc]:
     - added support for locales in Set/GetStringFmt
     - added function to calc date of easter

   * mjobs/MJCut.cc:
     - output is called "Hadronness" not "MHadronness"

   * mjtrain/MJTrainDisp.cc, mjtrain/MJTrainEnergy.cc:
     - fixed bug which caused the traincuts to be ignored



 2005/11/25 Thomas Bretz

   * datacenter/macros/fillsignal.C:
     - added filling of PulsePos used for seeting the extractor window

   * datacenter/macros/plotdb.C:
     - added new tabs for new columns

   * mcamera/CameraLinkDef.h, mcamera/Makefile:
     - added new classes MCameraTH, MCameraTD and MCameraRecTemp

   * mhcalib/MHCalibrationPulseTimeCam.[h,cc]:
     - added some const-qualifiers

   * mreport/MReportCC.[h,cc]:
     - updated to allow reading new CC reports 

   * merpp.cc:
     - added contentent of new CC report to CC output tree



 2005/11/25 Daniel Mazin (2005/11/02)

   * mreflector/MRflEvtHeader.h
     - added parameters first interaction point, telescope phi and theta,
       fitted quantities from CORSIKA (number of particles in the shower 
       maximum, t0, tmax, chi2), fraction of electrons, muons and other 
       particles. Added getters and setters.

   * mfileio/MReadRflFile.cc
     - filled in the variables above



 2005/11/25 A. Moralejo (2005/10/14)

   * mreflector/MRflEvtHeader.h
     - added parameters: energy, versor of primary's momentum and core 
       position on ground. Added getters and setters.

   * mfileio/MReadRflFile.cc
     - filled in the variables above



 2005/11/25 Toni Coarasa (09/09/2005)

   * msignal/MExtractTimeAndChargeDigitalFilter.cc
     fixed a bug in the calculation of the high-gain times:
     They were all shifted by the same amount "fHiGainFirst". This
     caused an offset in the order of the position of the left border of
     the extraction window in the times calculated from high-gain and 
     from low-gain. The bug was there since 30.1.2005.



 2005/11/25 Daniela Dorner

   * datacenter/scripts/runcallisto, runstar, runganymed:
     - removed some not-needed logging outpu

   * datacenter/scripts/dowebplots:
     - changed algorithm to create gifs/pngs from the root files

   * datacenter/scripts/checkfilesforsequenceavail, 
     datacenter/macros/checkfilesavail.C:
     - fixed problem with manually inserted sequences

   * datacenter/scripts/movingrawfiles, movingsubsystemfiles:
     - added (scripts to move files from old (LP) to new structure (DC)

   * datacenter/macros/fillsignal.C, setupdb.C:
     - added 2 new columns (fPulsePosCheckMean, fPulsePosCheckRms)



 2005/11/22 Thomas Bretz

   * macros/train/traindisp.C:
     - added a comment

   * mdata/MDataFormula.cc:
     - fixed along outstanding bug. Because TFormula had no name
       some axis tick marks disappeared randomly
     - fixed a typo (Add instead of Remove)

   * mfbase/MFEventSelector.cc:
     - also reset fSelRatio if totalnumber of events from file.

   * mranforest/MHRanForestGini.[h,cc]:
     - added a TPaveText containing text information to output

   * mranforest/MRanForest.[h,cc]:
     - replaced type of fClassify by Bool_t
     - improved handling of allocated memory (still to be checked
       further)
     - added Print function

   * mranforest/MRanForestCalc.[h,cc]:
     - added another training type
     - added some comments
     - set version number to 1 to allow writing it to ganymed output
     - added Print function
     - Use GetEntriesFast and UncheckedAt in Process for
       single tree forests

   * mranforest/MRanTree.[h,cc]:
     - replaced type of fClassify by Bool_t
     - added Getter for fClassify

   * mjtrain/MJTrainDisp.cc, mjtrain/MJTrainEnegry.cc:
     - renamed TrainSingleRF to TrainRegression

   * mjtrain/MJTrainDisp.cc:
     - replaced training variable (hypot(dist,dca)) by dist

   * mjtrain/MJTrainRanForest.cc:
     - added some comment
     - adde more log output to WriteDisplay

   * mjtrain/MJTrainSeparation.cc:
     - updated output
     - made it work properly

   * mjobs/MJCut.cc:
     - added ClacDisp task to output

   * mjobs/MJPedestal.cc:
     - removed an obsolete include



 2005/11/21 Thomas Bretz

   * mjtrain/*, macros/train/*.C:
     - added new class to train the random forest

   * Makefile:
     - added mjtrain

   * macros/dohtml.C, macros/rootlogon.C:
     - added mjoptim and mjtrain

   * mbase/MParList.[h,cc]:
     - fixed copy constructor (it was crashing due to the
       non-initialized lists)

   * mhbase/MBinning.[h,cc]:
     - renamed SetEdges to SetEdgesLin (SetEdges now is just and
       abbreviation)
     - added a check for the number of bins to all SetEdges*

   * mhbase/MH3.cc:
     - enable grid

   * mhbase/MHMatrix.[h,cc]:
     - new member function Addcolumns taking a TCollection

   * mhist/MHHadronness.cc:
     - align hadronnes into [0,1]

   * mjobs/MDataSet.[h,cc]:
     - call SetOwner for fSequencesOn and fSequencesOff
     - added Copy member function

   * mjobs/MJCut.[h,cc]:
     - added new TaskEnv "CalcDisp" for a disp estimator

   * mjoptim/MJOptimizeDisp.cc:
     - fixed typo in a title
     - added a new histogram showing theta-sq versus size

   * mranforest/MHRanForestGini.[h,cc]:
     - revised to display more information
     - exchanged pointers to TGraph by objects

   * mranforest/MRanForest.[h,cc]:
     - replaced some weired copy of the train matrix by a direct access
     - revised output
     - pipe error/resolution to tree

   * mranforest/MRanForestCalc.[h,cc]:
     - copied code from MRFEnergyEst
     - allow to set a name for the output container
     - set numtry to 0 (auto)
     - set ndsize to 1 (there is no auto mode)
     - introduced variable for number of obsolete parameters

   * mranforest/MRanTree.h:
     - new data member to store resolution/error

   * mranforest/Makefile, mranforest/RanForestLinkDef.h:
     - removed MRFEnergyEst 
     - added MRanForestCalc

   * mtools/MTFillMatrix.[h,cc]:
     - added the possibility to use PreCuts befre filling the matrix
     - added ReadEnv

   * ganymed.rc, ganymed_onoff.rc:
     - changed to new cuts trained with 1ES1218 and Crab-data
       for maximum sigma*log10(excess)
     - added new lines for CalcDisp



 2005/11/18 Thomas Bretz

   * mhflux/MMcSpectrumWeight.cc:
     - fixed a problem with using X more than once in the formula

   * ganymed.cc:
     - improved UsageInfo

   * macros/optim/optimdisp.C, macros/optim/optimenergy.C:
     - added some  more examples

   * mbadpixels/MBadPixelsCalc.cc:
     - updated authors

   * mbase/BaseIncl.h:
     - added TArrayD

   * mbase/MLogHtml.cc:
     - added some includes suggested by Ching-Cheng

   * mbase/MMath.[h,cc]:
     - added some function for the analytical result of special fits

   * mfilter/MFEnergySlope.[h,cc]:
     - some updated to make it better fit into Mars
     - upadted the user interface

   * mhflux/MHEnergyEst.[h,cc]:
     - updated to let everything fit what is commonly used. This
       was just discussed with Abelardo
     - some updates to the plots

   * mjobs/MDataSet.cc:
     - added some includes suggested by Ching-Cheng
     - upadted some output
     - remove whitespaces from read TString

   * mmc/MMcCorsikaRunHeader.h:
     - added new Getter

   * mranforest/MRanForest.cc:
     - some updates to Grow-output



 2005/11/16 Daniela Dorner

   * datacenter/scripts/doqualityplots:
     - added (putting output of plotdb.C) in the web 

   * datacenter/macros/plotdb.C:
     - return 0 in case of failure and 1 in case macro finished without
       problem



 2005/11/16 Thomas Bretz

   * datacenter/macros/plotdb.C:
     - added new plot for camera inhomgeneity



 2005/11/16 Daniela Dorner

   * datacenter/macros/fillstar.C, setupdb.C:
     - added new variable fInhomogeneity



 2005/11/15 Thomas Bretz

   * macros/optim/optimdisp.C, macros/optim/optimenergy.C,
     macros/optim/rfenergyest.C, macros/optim/optimwobble.C:
     - added some more comments
     - updated

   * mtools/MTFillMatrix.[h,cc]:
     - added the possibility to use PreCuts like in MJOptim

   * mjobs/MJSpectrum.[h,cc]:
     - implemented long awaiting E^2dN/dE plot
     - updated displaying result (formula)

   * msql/MSQLServer.[h,cc]:
     - added output of database name to GetName



 2005/11/14 Daniela Dorner

   * datacenter/macros/insertsequence.C:
     - added possibility to set source name in sequence file



 2005/11/14 Thomas Bretz

   * MRFEnergyEst.[h,cc]:
     - changed to allow for new regression method

   * MRanForest.[h,cc]:
     - taken TH's implementation of the RF regression 
       + updated includes
       + added fUserVal
       + removed ReadRF, WriteRF -- obsolete

   * MRanForestGrow.[h,cc]:
     - took out setting up the growing of the forest from this task
       (currently it is done by MRanForest directly)
     - adapted to changes in other classes as TH did.

   * MRanTree.[h,cc]:
     - changes taken from TH
       + added copy-constructor
       + upadted to allow regression

   * Makefile, RanForestLinkDef.h:
     - took out MRanForestCalc and MRanForestFill temporarily

   * macros/optim/rfenergyest.C:
     - added

   * mhbase/MHMatrix.[h,cc]:
     - added new constructor taking a TMatrix and a MDataArray as
       argument



 2005/11/12 Daniela Dorner

   * datacenter/macros/buildsequenceentries.C:
     - fixed typo (be careful: due to this typo the values for 
       L2TriggerTable in the DB and in the sequence files may be wrong)
     - fixed bug introduced on 29th sept

   * datacenter/scripts/rmlocks:
     - fixed condition for removing lock-file

   * datacenter/macros/filldotrun.C:
     - added new arehucas version

   * datacenter/macros/fillsignal.C,setupdb.C:
     - added new variable (fPulsePosMean, fPulsePosRms)



 2005/11/10 Thomas Bretz

   * datacenter/macros/plotdb.C:
     - added SignalInner/Outer
     - set background color to White

   * mhflux/MHEnergyEst.cc:
     - added some comments

   * mpointing/MSrcPosCorrect.[h,cc]:
     - allow overwriting of dx,dy from resource file

   * mreport/MReportTrigger.cc:
     - fixed a typo of the indentation (two commands in one line)

   * mjobs/MDataSet.cc:
     - fixed reading the source catalog. Only as many chars
       as the requested source name had were compared

   * mjobs/MJCut.cc:
     - print out the source coordinates in addition to its name

   * mpointing/MPointingPos.[h,cc]:
     - added Print function

   * ganymed_onoff.rc:
     - let the exponential fit fit all the background (decoupled
       sclae and background-fit reagion)

   * mhflux/MAlphaFitter.[h,cc]:
     - changed the background fit in the case of a ThetaSq function
       from a polynomial to a exponential



 2005/10/11 Thomas Bretz

   * mbase/MMath.cc:
     - fixed a typo in SignificanceLiMaExc

   * mhflux/MAlphaFitter.[h,cc]:
     - added a comment 
     - increased ClassDef

   * mhflux/MHAlpha.cc:
     - correctly use SignificanceExc for bins instead of Significance



 2005/10/11 Daniela Dorner

   * datacenter/macros/setupdb.C:
     - added column in Ganymed



 2005/10/10 Thomas Bretz

   * mbase/MMath.[h,cc]:
     - added new function SignificanceLiMaExc

   * mbase/MTime.[h,cc]:
     - added new Setter SetAxisTime

   * mcalib/MCalibCalcFromPast.cc:
     - fixed some format in output

   * mhcalib/MHCalibrationCam.cc:
     - fixed a typo

   * mhflux/MAlphaFitter.[h,cc]:
     - added new data member fSiginificanceExc



 2005/10/01 Thomas Bretz

   * mjobs/MDataSet.[h,cc]:
     - implemented two new options for constructor allowing to
       change the default path to image data and sequence files
     - fixed some typos

   * mjobs/MSequence.[h,cc]:
     - implemented new light condition "day" for completeness

   * ganymed.cc:
     - implemented two new options --ind and --ins

   * datacenter/scripts/runganymed:
     - added new option --ind= to ./ganymed



 2005/10/01

   * RELEASE 0.9.4.2



 2005/09/30 Thomas Bretz

   * callisto.rc, callisto_MarApr05.rc:
     - replaced ScaleFactor by FileNameScale

   * callisto_Dec04Jan05.rc:
     - changed ScaleFactor from 0.919 to 0.852

   * datacenter/macros/fillstar.C:
     - new reference values for caluclating PSF

   * mcalib/MCalibrateData.[h,cc]:
     - added new option to read additional ScaleFactors from File

   * mjobs/MJStar.cc:
     - set maxima/minima for rms and currents plot
     _ really display rms (former display was incorrectly Pedestal
       instead of its rms

   * mjobs/MJCalibration.cc:
     - fixed a small bug in the display of unsuitable pixels. 
       (LoGainBlackout haven't been displayed, and previously excluded
        pixels were wrong)

   * mbadpixels/MBadPixelsCam.cc:
     - small simplifications in GetPixelContent

   * mmuon/MHMuonPar.cc:
     - new reference line for 100%

   * mpointing/MPointingDevCalc.cc:
     - reset counter in PreProcess

   * resources/calibration.rc:
     - new file

   * mbadpixels/MBadPixelsTreat.[h,cc]:
     - implemented a new treatment of "no-signal". If a pixel
       presumably contains no signal as detected by the arrival time
       interpolation its interpolated signal is overwritten with
       a gaus. The gaus mean and rms are taken from the corresponding
       MPedPhotCams



 2005/09/29 Daniela Dorner

   * datacenter/macros/insertsequence.C:
     - added (macro to insert manually changed sequences into the DB)

   * datacenter/scripts/insertsequences:
     - added (script to call insertsequence.C)

   * datacenter/scripts/rmlock:
     - added (script to remove lockfiles after 13 hours)



 2005/09/27 Thomas Bretz

   * mbase/MTime.[h,cc]:
     - added function GetMoonPhase
     - added function GetMoonPeriod
     - added function GetMagicPeriod

   * mcalib/MCalibrationRelTimeCalc.[h,cc]:
     - fixed some wrong text alignment in output (therfor added
       new member function)

   * mmuon/MHMuonPar.[h,cc]:
     - commented out old obsolete member function
     - updated reference lines

   * mmuon/MHSingleMuon.[h,cc]:
     - if(abs(x-m)<x0) instead of if(x0<x-m && x0>x+m)
     - changed the binning of the time histogram such that 
       there is a bin symmetric to 0
     - reduced the start value sigma from 0.3 to 0.2
     - added new member function CalcSize

   * mmuon/MMuonSearchPar.[h,cc]:
     - adapted some variable names to standard
     - increased version number due to new variables in header
     - added corresponding comment

   * mmuon/MMuonCalibParCalc.cc:
     - replaced wrong calculation of size via integral by
       new member function CalcSize

   * datacenter/macros/fillstar.C:
     - updated reference values



 2005/09/26 Markus Meyer

   * mmuon/MMuonSearchPar.[cc,h]:
     - Mean arrival time of core Pixels is calculated

   * mmuon/MHSingleMuon.[cc,h]:
     - new histogram fHistTime (TH1), which contents difference
       of the arrival time between Mean arrival time of the core
       pixels and every pixel in the margin around the circle.
       The histogram is fitted by an gaussian distribution.
     - fHistPhi is now a TProfile
     - fHistPhi is only filled with pixels with an arrival time  
       of < 2 sigma difference to the fitted mean value

   * mmuon/MMuonSetup.cc:
     - fThresholdArcPhi is changed to 5 phe
   
   * mmuon/MHMuonPar.cc:
     - for the reference values to MC, the integral over the mean
       values of the different radius bins is taken again



 2005/09/22 Daniela Dorner

   * datacenter/macros/fillsignal.C, setupdb.C:
     - added new value (fMeanSignalInner/Outer)

   * datacenter/macros/fillcalib.C, setupdb.C:
     - changed precision of fArrTimeRmsInnser/Outer



 2005/09/22 Thomas Bretz

   * mbadpixels/MBadPixelsTreat.cc:
     - implemented a new treatment for the time information developed
       by S.Ruegamer, this should give much better response than the
       old very primitive algorithm. This is especially important
       for bad pixels due to bright stars as Ceta-Tauri

   * mgeom/MGeomCam.[h,cc]:
     - added new member function SeorNeighbors which sorts the neighboring
       pixels clockwise
     - call SortNeighbors in InitGeometry so that we always get a geometry
       with clockwise sorted pixels.

   * ganymed.rc, ganymed_wobble.rc, ganymed_onoff.rc:
     - new values for the spark-event-cut

   * macros/optim/optimonoff.C:
     - some typos fixed

   * mjobs/MJSpectrum.cc:
     - required missing MEnergyEst from ganymed.root... fixed.

   * mreport/MReportStarguider.cc:
     - made aware of new format 20050829-0

   * msignal/MSignalCam.cc:
     - added a check for unmapped pixels to case 6 and 7 in
       GetPixelContent



 2005/09/21 Thomas Bretz

   * datacenter/macros/plotdb.C:
     - changed some resolution values

   * datacenter/macros/fillsignal.C:
     - started support to fill mean interpolated signal into DB

   * mfileio/MWriteRootFile.cc:
     - added a FIXME comment

   * mhvstime/MHSectorVsTime.h:
     - added new function GetGraph
     - increased version number (increase was forgotten some time ago)

   * mimage/MImgCleanStd.cc:
     - added some comments
     - replaced IsPixelUsed/Core(int) by [int].IsPixelUsed/Core for
       acceleration (some obsolete range checks are skipped)
     - now the core status is explicily set in any case
     - removed an obsolete range check in the ring cleaning
     - the range checks became obsolete because with the new format
       all pixels must exist.

   * mjobs/MDataSet.cc:
     - sort the sequence numbers instead of the file names (the file
       name sort might be biased due to different paths)

   * mjobs/MJob.[h,cc]:
     - new static functions: SortArray

   * mjobs/MSequence.cc:
     - sort run-numbers as the sequences are sorted in MDataSet



 2005/09/20 Daniela Dorner

   * datacenter/scripts/runganymed:
     - removed writing of summary file



 2005/09/16 Thomas Bretz

   * mbadpixels/MBadPixelsTreat.cc:
     - removed obsolete artificial add of missing (zero supressed)
       pixels
     - removed obsolete MArrayD which stored the result of the
       interpolation but was never used

   * mcalib/MCalibrateData.cc :
     - removed an obsolete calibConv=-1 in case the pixel is unsuitable
       (UpdateConversionFactors)
     - improved warning output in case the conv factor is out-of-range

   * mcalib/MCalibrateRelTimes.cc:
     - reordered the algorithm for the time calibration to make it faster
     - replaced if(IsLoGainUsed()) by the new function GetArrivalTime in
       MArrivalTimePix

   * msignal/MArrivalTimePix.h:
     - new getter function GetArrivalTime returning the arrival time
       depending on the flag IsLoGainUsed()

   * msignal/MSignalPix.h:
     - removed '!' from fRing data member to allow the status unmapped
       to be stored after the badpixel treatment
     - increased version number
     - removed some obsolete comments
     - added Copy() member function

   * mgeom/MGeomCam.[h,cc], mgeom/MGeomPix.h:
     - new member function GetAngle

   * mhvstime/MHSectorVsTime.[h,cc]:
     - updated comments
     - increased version number
     - added new member function GetGraph

   * msignal/MSignalPix.cc:
     - updated comments
     - updated Print()



 2005/09/16 Daniela Dorner

   * datacenter/macros/filldotrun.C:
     - added new arehucas version



 2005/09/12 Thomas Bretz

   * callisto.cc:
     - exchanged order of random and peak-search extracted pedestal in the
       call of job4 (MJCalibrateSignal). It wasn't exchanged correctly when 
       the order of pedestal calculation was exchanged.

   * mbadpixels/MBadPixelsCalc.cc:
     - replaced return kFALSE in Processing by return kERROR to allow
       the automatic analysis to detect this kind of fatal errors

   * mbadpixels/MBadPixelsTreat.cc:
     - fixed abug in the treatment of times. The indices of the neighbors
       have never been requested but the index of the loop (0-5) instead.

   * mbase/MStatusDisplay.[h,cc]:
     - a simple improvement to the usage of DrawClonePad.

   * mgui/MCamEvent.[h,cc]:
     - new member function GetCameraMean

   * mhflux/MHThreshold.h:
     - fixed a typo in a comment

   * mhvstime/MHSectorVsTime.cc:
     - fixed a typo in the gsDefName

   * mjobs/MDataSet.cc, mjobs/MSequence.cc:
     - stop the loop evaluating sequence/run numbers is seqeunce in NaN

   * mjobs/MJCut.cc:
     - expand path-name to allow ~ in path name

   * mpedestal/MPedPhotCam.cc, msignal/MSignalCam.cc:
     - replaced sqrt(pixratio) by PixRatioSqrt

   * msignal/MSignalCam.h:
     - changed order of functions



 2005/09/12 Daniela Dorner

   * datacenter/scripts/copyscript:
     - fixed small bug in change of 2005/08/29



 2005/09/09 Thomas Bretz

   * mgeom/MGeomPix.cc:
     - fixed a problem with incorrectly set bits for outermost
       pixels (introduced with the latest changes)

   * mgeom/MGeomCam.[h,cc]:
     - removed some obsolete comments



 2005/09/09 Daniela Dorner

   * datacenter/scripts/runcallisto:
     - fixed problem in handling of filenames



 2005/09/06 Thomas Bretz

   * Makefile.conf.general:
     - added libASImage

   * mgeom/MGeomCam.[h,cc]:
     - clone the whole container in any case not only if it is 
       different from MGeomCam
     - unified the non-default and default constructor

   * mgeom/MGeomPix.[h,cc]:
     - initialize neighbors with empty values in constructor
     - added some more default arguments

   * mhist/MHCamera.[h,cc]:
     - implemented new Draw-options "nopal", "abscontent"
     - implemented more accurate handling of transparency
     - new flags kNoScale and kNoUnused
     - changed private stuff to protected

   * mtools/Makefile, mtools/ToolsLinkDef.h:
     - added new "tool" MagicJam

   * mtools/MagicJam.[h,cc]:
     - added

   * mtools/jam/*.jam:
     - games for Magic Jam



 2005/08/29 Daniela Dorner

   * datacenter/scripts/insertdatasets, 
     datacenter/macros/insertdataset.C:
     - added handling of the new fiels fComment in the table DataSets

   * datacenter/macros/setupdb.C:
     - adapted to changes in the table DataSets

   * datacenter/scripts/copyscript:
     - added copying of the file to the directory 
       /magic/datacenter/totape 

   * datacenter/scripts/fillganymed:
     - small bugfixes

   * datacenter/macros/fillstar.C:
     - fixed bug in change of 25.7.



 2005/08/28 Daniela Dorner

   * datacenter/scripts/dodatacheck:
     - added 'find-todofile-algorithm' to this script to accelerate the 
       process of datacheck
     - changed call of filldotraw.C

   * datacenter/macros/getdolist.C:
     - added fDataCheckDone for the option to get many todofiles to 
       accelerate the process of datacheck

   * datacenter/macros/filldotrun.C:
     - added check: if a run is a testrun, the flag for datacheck is 
       set to 'not to be done'

   * datacenter/macros/filldotraw.C:
     - removed database name from the queries

   * datacenter/macros/setupdb.C:
     - adapted to changes in the table MagicNumber
     - adapted to changes concerning ganymed in the DB 

   * datacenter/macros/fillganymed.C:
     - adapted to the new table Ganymed in the DB

   * datacenter/scripts/fillganymed:
     - added (script to fill the information of the ganymed*.root 
       files into the db)



 2005/08/27 Daniela Dorner

   * datacenter/scripts/dowebplots:
     - excluded files from lapalma for this check, as there's a big 
       amount of files (this would cause problems with the array in 
       shell)

   * datacenter/scripts/dodatacheck:
     - fixed bug in finding rawfile and date of rawfile



 2005/08/26 Daniela Dorner

   * datacenter/scripts/dowebplots:
     - added some logging 
     - improved algorithm



 2005/08/25 Daniela Dorner

   * datacenter/scripts/dowebplots:
     - added (script to produce the plots for the websites out of the 
       rootfiles)



 2005/08/24 Thomas Bretz

   * macros/tutorials/threshold.C:
     - added new example how to calculate the threshold

   * mhflux/MHThreshold.cc:
     - updated some comments



 2005/08/22 Thomas Bretz

   * mgeom/MGeomPix.h, mgeom/MGeomCam.[h,cc]:
     - added new function GetDist returning the distance between two
       pixels

   * mhist/MHCamera.h:
     - added new function (also to context menu) SetMinMax

   * mhist/MHEvent.[h,cc]:
     - added the possibility to set min and max values for the displayed
       data
     - added a new option to display the arrival time after cleaning

   * mmain/MEventDisplay.cc:
     - added the arrival time after cleaning to display
     - set the min value in some displays to 0

   * msignal/MSignalCam.cc:
     - added the possibility to return the arrival time after cleaning



 2005/08/18

   * RELEASE 0.9.4.1



 2005/08/17 Thomas Bretz

   * mcalib/MCalibCalcFromPast.[h,cc]:
     - reset the number of events fNumEvents in ReInit, because
       the corresponding histograms get also reset. This prevents
       the calibration from analysing partly filled histograms
     - the number of cases in which the fChargeCalc->Finalize fails
       are counted and written to the console
     - In PostProcess all histograms and fChargeCalc are reset to 
       prevent the finalization of the histograms to fit partly filled
       histograms and fail.

   * mcalib/MCalibrationChargeCalc.h:
     - added a member function ResetNumProcessed so that MCalibCalcFromPast
       can 'switch off' the finalization in PostProcess

   * mhcalib/MHCalibrationCam.cc, mhcalib/MHCalibrationChargeCam.cc,
     mhcalib/MHCalibrationPulseTimeCam.cc:
     - shortened some console output



 2005/08/16 Thomas Bretz

   * ganymed.cc:
     - fixed a typo in Usage()

   * mjobs/MDataSet.cc:
     - fixed a typo in some output

   * ganymed.rc, ganymed_onoff.rc, ganymed_wobble.rc:
     - fixed some comments

   * macros/dohtml.C:
     - updated

   * mhflux/MHDisp.cc:
     - some small fixes to let the code not crash in on-only more
       (still doesn't give reasonable results... maybe a fit to the 
        background would do it)

   * mhflux/MHFalseSource.cc:
     - removed some obsolete comment
     - set initial marker color of stars in star display

   * mjobs/MJCut.cc:
     - added a small fix to get the correct parlist in on-only mode

   * mpointing/MSrcPosCalc.[h,cc]:
     - fixed source position handling in on-only mode



 2005/08/11 Daniela Dorner

   * datacenter/scripts/makecallistolinks:
     - fixed path

   * datacenter/scripts/runcallisto:
     - improved locking

   * datacenter/macros/getdolist.C:
     - included removing of file for the case, that there's something 
       strange happening in the shell script



 2005/08/08 Daniela Dorner

   * datacenter/macros/buildsequenceentries.C:
     - fixed some bugs
     - added deleting of sequences

   * datacenter/macros/resetallruns.C:
     - fixed small bug

   * datacenter/macros/fillstar.C:
     - fixed bug

   * datacenter/scripts/dodatacheck:
     - fixed logging of sinope



 2005/08/05

   * RELEASE 0.9.4



 2005/08/05 Daniela Dorner

   * datacenter/macros/setupdb.C:
     - exchanged in the table RunProcessStatus the column fFillDotRaw 
       by the column fDataCheckDone

   * steps.rc:
     - adapted to the needs of the new step fDataCheckDone in the table
       RunProcessStatus

   * datacenter/scripts/dodatacheck:
     - added (script to do datacheck including filldotraw.C, sinope, 
       fillsinope.C, resetcolumn.C)

   * datacenter/macros/filldotraw.C:
     - adapted to the needs the new script dodatacheck

   * datacenter/macros/fillsinope.C:
     - adapted paths to the needs the new script dodatacheck
     - removed test stuff

   * datacenter/macros/getdolist.C:
     - added if clause to reduce the number of runs for datacheck
       (arrays in shell scripts are limited)
     - added logging output

   * datacenter/scripts/buildsequenceentries, fillcallisto, 
     checkfilesforsequenceavail, checkstardone, correcttime, 
     filesondisk, fillstar, insertdatasets, runganymed, runstar, 
     doexclusions, writesequencefiles, runcallisto:
     - fixed typo and logging



 2005/08/05 Thomas Bretz

   * mpointing/MSrcPocCam.[h,cc]:
     - fixed a bug which caused problems if now source position was
       defined in the dataset.

   * mastro/MAstroCatalog.[h,cc]:
     - added new base class TAttMarker
     - added new data mebers MAttLine for the two line types
     - some simplification to the atoi/atof stuff
     - added new helper class MAttLine
     - increased class version to 2



 2005/08/04 Daniela Dorner

   * datacenter/scripts/makecallistolinks:
     - added (script to make the links for the correct callisto.rc in 
       case when callisto_Dec04Jan05.rc is needed)

   * datacenter/macros/writesequencefile.C:
     - added writing of ZdMin and ZdMax to the sequencefile

   * sinope.cc
     - added printing of Usage() in case of missing arguments
     - added option --outf to make it possible to give the filename 
       (needed for automation of datacheck)
     - added output in txt-file in case of no events (needed for the 
       evaluation of runs with no interlaced events)
     - small changes in output

   * datacenter/macros/setupdb.C:
     - added new table (DataCheck)

   * datacenter/macros/fillsinope.C:
     - added (macro to read in the sinope*.txt files and fill the 
       information into the DB)

   * datacenter/macros/filldotraw.C:
     - added (was before in the directory macros/sql/)
     - made some changes to include it into the automation 
       added function make it possible to call the macro not only 
       with the filename but also with the runnumber

   * macros/sql/*:
     - removed (all macros are now in the datacenter directory)



 2005/08/02 Thomas Bretz

   * mjobs/MJStar.cc:
     - changed the muon cuts back after a discussion with Markus. I
       made a mistake interpreting the meaning of the cuts.



 2005/08/03 Daniela Dorner

   * datacenter/macros/getdolist.C:
     - added if-clause to distinguish between steps that need one todo
       file and steps that need one todo file per sequence/dataset (i.e.
       callisto, star, ganymed) and added writing of these files

   * datacenter/scripts/runcallisto, runganymed, runstar:
     - adapted scripts to the changes in getdolist.C (removed lines to 
       divide todo file, changed getting of todo file)

   * datacenter/scripts/runcallisto:
     - added if-clause for the choosing of the correct callisto.rc 
       (needed due to the new callist_MarApr05.rc which is applied 
       between sequence 49736 and 53315



 2005/08/02 Daniela Dorner

   * datacenter/macros/buildsequenceentries.C:
     - fixed bug, added some logging output and comments



 2005/08/02 Thomas Bretz

   * callisto.rc, callisto_Dec04Jan05.rc:
     - new ScaleFactor (1% difference)

   * callisto_MarApr05.rc:
     - new file, identical to callisto.rc but scale factor 5% different

   * mhflux/MHPhi.[h,cc]:
     - some small improvements
     - commented code for further improvement

   * mjobs/MJCut.cc:
     - implemented MHPhi for wobble mode

   * mjobs/MJStar.cc:
     - repleced maximum deviation (45) in first muon cut by 35
       it is done anyhow in a later step and doesn't change in between

   * datacenter/macros/fillstar.C:
     - now get muon data from MHMuonPar directly

   * mmuon/MHMuonPar.[h,cc]:
     - implemented the function to get the reference values
     - updated psf reference line
     - implemented calib reference line



 2005/08/01 Thomas Bretz

   * mhflux/MHPhi.[h,cc]:
     - added

   * mhflux/Makefile, mhflux/FluxLinkDef.h:
     - added MHPhi



 2005/07/31 Daniela Dorner

   * datacenter/macros/buildsequenceentries.C:
     - fixed bug in the new sequence-build algorithm (-> 2005/07/22): 
       completely re-wrote the function CheckSequence() to make sure, 
       that sequences which are not changed are not inserted once again



 2005/07/30 Daniela Dorner

   * datacenter/scripts/sourcefile:
     - added function to make a directory

   * datacenter/scripts/buildsequenceentries, checkstardone, copyscript,
     checkfilesforsequenceavail, correcttime, doexclusions, filesondisk,
     fillcallisto, fillstar, insertdatasets, runcallisto, runganymed, 
     runstar, writesequencefiles:
     - replaced making of directories by the function

   * datacenter/macros/setupdb.C:
     - added column fTest in table Source to make building datasets 
       easier
     - fixed small bug

   * datacenter/macros/getdolist.C:
     - fixed small bug

   * datacenter/macros/filldotrun.C:
     - inserted the two new arehucas version from July 2005



 2005/07/29 Daniela Dorner

   * datacenter/scripts/sourcefile:
     - added four more general paths to the sourcefile to make it 
       easier to use the software for different users, paths and setups

   * datacenter/scripts/buildsequenceentries, checkstardone, 
     checkfilesforsequenceavail, correcttime, doexclusions, filesondisk,
     fillcallisto, fillstar, insertdatasets, runcallisto, runganymed, 
     runstar, writesequencefiles:
     - adapted this scripts to the usage of the paths

   * datacenter/macros/buildsequenceentries.C, findcacofiles.C, 
     getdolist.C, writesequencefile.C:
     - adapted this macros to the usage of the paths

   * datacenter/macros/buildsequenceentries.C, createdataset.C, 
     resetcolumn.C:
     - fixed documentation of this macros



 2005/07/27 Markus Meyer, Daniela Dorner

   * datacenter/macros/fillstar.C:
     - implemented new algorithm and new values for the calculation 
       of the muon parameter in the database



 2005/07/28 Thomas Bretz

   * mastro/MAstro.cc:
     - fixed a bug in Deg2Hms reported by Abelardo. It gave wrong
       results by 1./2pi



 2005/07/27 Markus Meyer, Thomas Bretz

   * mmuon/MHSingleMuon.[h,cc]:
     - added third (constant) parameter to arc width gaus fit
     - replaced nonsense GetMaximumBin as start value for fit
       by GetMaximum
     - replaced TH1F for fHistWidth by TProfile

   * mmuon/MMuonSetup.cc:
     - set new threshold for arc width plot to 2

   * star.rc:
     - replaced default for arc width threshold



 2005/07/27 Thomas Bretz

   * mhflux/MAlphaFitter.cc:
     - added a line at the cut value to PaintResults

   * mhflux/MHDisp.cc:
     - replaced GetCosDelta/GetSinDelta by new GetNormAxis

   * mhist/MHRate.cc:
     - replaced some warn by err

   * mimage/MHillas.[h,cc]:
     - added new member function GetNormAxis



 2005/07/26 Daniela Dorner

   * datacenter/macros/fillsignal.C, setupdb.C:
     - changed format of variables fMeanPedRmsInner and fMeadPedRmsOuter
       from float(5,1) to float(6,2)



 2005/07/26 Thomas Bretz

   * mhflux/MHDisp.cc:
     - improved scaling for significance plot, so that significances
     similar to the ThetaSq plot come out

   * mhvstime/MHSectorVsTime.[h,cc]:
     - implemented the possibility to set a minimum/maximum from outside

   * mjobs/MJStar.cc:
     - added a plot of the pedestal rms vs time
     - set minimum and maximum for dc currents vs time

   * mpedestal/MPedPhotCam.cc:
     - added a sanity in GetPixelContent for the index



 2005/07/25 Daniela Dorner

   * datacenter/macros/fillstar.C, setupdb.C:
     - changed format of variable fMeanNumberIsland from float(5,1) to 
       float(6,2)



 2005/07/25 Thomas Bretz

   * mastro/MAstroSky2Local.[h,cc]:
     - allow setting a pointing deviation when calculating the rotation angle

   * mhflux/MHDisp.[h,cc]:
     - added pot for a significance map
     - changed alignment range from 0.33/0.47 to 0.325/0.475
     - added fDeviation to calculation of Rotatio angle
     - removed some obsolete code

   * mpointing/MPointingPos.[h,cc]:
     - added option to calculate Rotation angle using MPointingDev 

   * ganymed_onoff.rc, ganymed_wobble.rc:
     - added example for MPointingDevCalc

   * mjobs/MDataSet.cc:
     - fixed an endless loop when a sequence is added twice

   * mjobs/MSequence.cc:
     - fixed an endless loop when a run is added twice

   * mjobs/MJPedestal.cc:
     - CheckEnv doesn't return kERROR, test for kFALSE instead

   * mpointing/MPointingDev.h:
     - added fDevX
     - added fDevY

   * mpointing/MPointingDevCalc.cc:
     - call SetDevXY instead of the starguider calibration in zd/az

   * mpointing/MSrcPosCalc.cc:
     - added the DevXY to the source position if fDeviation!=NULL



 2005/07/22 Daniela Dorner

   * sinope.cc:
     - added option to select only data or only calibration events for 
       the datacheck

   * datacenter/scripts/runstar, runcallisto:
     - increased number of processes to ensure, that the runtime of a 
       process doesn't exeed 12 hours

   * datacenter/scripts/runganymed:
     - removed second execution of ganymed

   * datacenter/scripts/:
     - small change in all scripts to make it easier to adapt scripts 
       for a different user

   * datacenter/macros/buildsequenceentries.C:
     - implemented new algorithm to build sequences: instead of 
       checking the conditions of the runs after grouping them together
       the condition are taken into account for grouping the runs
       Attention: some sequences will change with this new algorithm! 



 2005/07/22 Thomas Bretz

   * macros/tutorials/extendcam.C, macros/tutorials/hft.C:
     - some updates. Replaced MCerPhotEvt by MSignalCam

   * mhflux/MHDisp.cc:
     - some more fixes to allow no-smearing

   * mhft/MGeomCamMagicEnhance.cc:
     - replaced GetPixById by the id itself

   * mimage/MImgCleanStd.cc:
     - do not check for the pedestal container if absolute cleaning
       has been chosen

   * mjobs/MJCalibrateSignal.cc:
     - removed obsolete comments

   * mreport/MReport.[h,cc]:
     - added some conversions for wrong version numbers

   * mreport/MReportCamera.cc:
     - fixed a problem reading files with gkActiveLoadControlVersNum
     - added a fix for report files before 200407070

   * mhvstime/MHSectorVsTime.[h,cc]:
     - added example to class reference
     - fixed possible crash in SetName and SetTitle
     - set default style to kFullDotMedium
     - removed seconds from default axis labels
     - changed default time labels size to 0.033
     - moved Draw code to Paint as in MHVsTime
     - fixed wrong return of kCONTINUE in Fill

   * mhvstime/MHVsTime.cc:
     - removed seconds from default axis labels
   
   * mjobs/MJStar.cc:
     - added Starguider info to output
     - added MHSectorVsTime to display mean DC current
     - allow skipping MHPointing for very old files without
       starguider reports

   * mpointing/MHPointing.[h,cc]:
     - allow skipping MHPointing for very old files without
       starguider reports
     - removed displaying nominal Az

   * mjobs/MJCut.cc:
     - implemented pointing correction by starguider

   * mpointing/MPointingDevCalc.cc:
     - some minor updates

   * mpointing/MSrcPosCalc.[h,cc]:
     - implemented usage of pointing deviation -- still in progress!

   * mpointing/MSrcPosCorrect.[h,cc]:
     - inverted sign of pointing correction for anti-source
     - write telescope axis to parlist

   * ganymed_wobble.rc:
     - added setup for polynom order 1



 2005/07/21 Thomas Bretz

   * mastro/MAstro.[h,cc]:
     - added new member function GetDevAbs

   * mcamera/MCameraAUX.[h,cc]:
     - added new data members for counting house temperatures
     - increased class version number to 2

   * mcamera/MCameraHV.[h,cc]:
     - added new data members for HV settings file name
     - increased class version number to 2

   * mhflux/MHDisp.cc:
     - fixed handling of non-smearing
     - fixed calculation of number of entries for the two wobble
       histograms

   * mjobs/MJStar.cc:
     - gave a new name to the task writing the Muon-tree

   * mpointing/MHPointing.cc:
     - do not check the abs deviation but check both deviations
       independantly whether they make sense.
     - Plot only hour and minutes

   * mpointing/MPointingPosCalc.h:
     - fixed wrong #ifndef

   * mpointing/Makefile, mpointing/PointingLinkDef.h:
     - new class MPointingDev
     - new class MPointingDevCalc

   * mpointing/PointingIncl.h:
     - removed TVector2

   * mreport/MReportCamera.[h,cc]:
     - added interpretation CHTEMP and HVFIl valid since
       arehcas version 200507190 (incl)

   * mreport/MReportDrive.cc:
     - moved code from GetErrorAbs to MAstro

   * mreport/MReportStarguider.[h,cc]:
     - moved code from GetDevAbs to MAstro
     - added new getter returning a TVector2

   * ganymed_onoff.rc, ganymed_wobble.rc:
     - added

   * ganymed.rc: 
     - updated



 2005/07/19 Thomas Bretz

   * mjobs/MJCut.cc:
     - write MSrcPosCam to output
     - write MSrcPosAnti to output
     - removed MEnergyEst from output
     - added MSrcPosCorrect to tasklist

   * mjobs/MJSpectrum.cc:
     - removed MSrcPosCalc from tasklist for refilling
     - removed hillas calculation from tasklist for refilling 
       (both need a better concept in MJCut: not writing to
        results file, but to summary file)

   * mjobs/MJStar.cc:
     - removed MSrcPosCalc from tasklist (better this is always done
       correctly in MJCut)
     - added Starguider information to output
     - replaced Rate historams by new histogram MHRate
     - added new histogram MHPointing

   * mpointing/MSrcPosCorrect.cc:
     - write new optical axis to parameter list
     - print a message if a correction is introduced for this run

   * mreport/MReportStarguider.[h,cc]:
     - added GetDevAbs

   * mhist/MHRate.[h,cc]:
     - added

   * mhist/Makefile, mhist/HistLinkDef.h:
     - added MHRate

   * mpointing/MHPointing.[h,cc]:
     - added

   * mpointing/Makefile, mpointing/PointingLinkDef.h:
     - added MHPointing

   * mcalib/MCalibrationCam.[h,cc]:
     - moved code of static function GetPulserColorStr into source file.
       Hopefully this 'repairs' a strange message some people got linking
       mars: `.gnu.linkonce.t._ZN15MCalibrationCam17GetPulserColorStrENS_13PulserColor_tE' referenced in section `.rodata' of mcalib/CalibCint.o: defined in discarded section `.gnu.linkonce.t._ZN15MCalibrationCam17GetPulserColorStrENS_13PulserColor_tE' of mcalib/CalibCint.o
       which was mainly annoying.

   * mfbase/MF.cc:
     - changed order and handling in ReadEnv. This allows to overwrite
       already set resources in sponde (eg. MFMagicCuts.ThetaCut)

   * mhbase/MH.cc:
     - first draft of a new palette introduced by Pepe (I got it from
       Hendrik)



 2005/07/16 Thomas Bretz

   * macros/dohtml.C:
     - some updates to the macro section

   * mcalib/MCalibrationCam.h:
     - added new member function GetPulserColorStr to convert
       pulser color into string

   * mcalib/MCalibrationPattern.h:
     - added new member function GetPulserColorStr to return
       pulser color a string

   * mcalib/MCalibrationPatternDecode.cc:
     - fixed a typo in a comment

   * mhflux/MHThetaSq.cc:
     - set default number of bins to 75

   * msignal/MExtractTimeAndChargeDigitalFilter.[h,cc]:
     - updated support for automatic weights. All cases should now
       be handled as accurate as possible.

   * msignal/MC_calibration_weights_UV46.dat,
     msignal/MC_cosmics_weights46.dat:
     - new files



 2005/07/14 Thomas Bretz

   * mbadpixels/MBadPixelCam.[h,cc]:
     - added new function GetNumSuitable

   * mcalib/MCalibrationChargeCalc.cc:
     - simplified FinalizeUnsuitablePixels()

   * mcalib/MCalibCalcFromPast.cc:
     - when finalizing of unsuitable pixels fails return kERROR in
       Process

   * mcalib/MCalibrationRelTimeCalc.cc:
     - simplified counting unreliable pixels

   * mfilter/MFMagicCuts.[h,cc]:
     - replaced the m3long cut. m3long now is used to determin which
       origin might be the correct impact of the shower. This gives
       not so steep theta plots and the 2D plot can be done at the
       same time.
     - The sign of Disp stored in the paremeter list is now correctly
       aligned along the major axis of the shower. >0 for along major
       axis, <0 otherwise.
     - comment have been updated.
     - some old code had been removed

   * mhflux/MHDisp.[h,cc]:
     - updated with a more appropriate calculation of a background model



 2005/07/13 Abelardo Moralejo (2005/07/12)

   * manalysis/MGeomApply.cc
     - Now, if the MGeomApply task has a serial number >0 (indicating 
       most likely a specific telescope in a multi-telescope file), then 
       apply the geometry only to objects with the same serial number. 
       This is important for stereo setups in which the telescopes have 
       cameras with different numbers of pixels. If the MGeomApply task 
       has serial number 0 (default), it will apply the geometry to all 
       found objects as it used to do.

   * manalysis/MMcCalibrationUpdate.cc, mpedestal/MMcPedestalCopy.cc
     - Now the PreProcess adds the serial number also to MRawRunHeader
       and MMcRunHeader, since in stereo MC files produced with the 
       current camera simulation at CVS there is one such container per 
       telescope. There is no difference in behaviour for single 
       telescope files. Old MC stereo files will no longer be readable.

   * mimage/MNewImagePar.cc
     - Made calculation of "Inner size" valid also for camera geometries
       other than MAGIC standard one. The calculation of "inner leakage"
       is now made only for MAGIC standard geometry (there is no easy 
       fix for that, but having fInnerSize and MHillas.fSize, the inner 
       leakage is a completely unnecessary parameter). Added a comment on
       a possible fix for the calculation of fConc.

   * mcalib/MMcCalibrationCalc.[h,cc]
     - Added member fMinSize and setter for it. It is the minimum 
       (uncalibrated) size of events to be used in the calibration. 
       Previously it was fixed at 1000 ADC counts, but the value depends
       on the extractor used, so it must be possible to change it.
     - Add the serial number to MRawRunHeader and MMcConfigRunHeader 
       (now there is one per telescope in stereo files).
     - Moved the creation of histograms from the constructor to the
       PreProcess, otherwise the serial number is not added to the 
       histogram name.
     - In PostProcess, set the average QE for area 0 (inner pixels) in
       MCalibrationQECam object, to be used later by MCalibrateData.
   
   * macros/starmcstereo.C
     - Big update. Adapted to all changes above. Now not only relative, but
       also absolute calibration (=SIZE in phes) is made.

  * mcalib/MCalibrateData.cc
    - In PreProcess, changed initialization of fRenormFactor. Formerly 
      it was fixed to MCalibrationQEPix::gkDefaultAverageQE. Now we check
      first if there is a valid average QE for inner pixels in 
      MCalibrationQECam, and if so, we inititalize fRenormFactor with it. 
      Else, the default gkDefaultAverageQE is taken. fRenormFactor is
      used to convert back from photons to "equivalent inner pixel phes"
      in the (now default) case of calibrating in phes.



 2005/07/13 Raquel de los Reyes (2005/07/12)

   * merpp.cc
     - Added the container MCameraActiveLoad to the rootified central
       control files

   * mreport/MReportCC.[h,cc]
     - Changes in the InterpreteBody to write the variable UPS status and
       the Time difference between GPS and rubidium clock. 

  * mreport/MReportCamera.cc
     - Changes in the InterpreteCamera and InterpreteBody functions to allow
       the data merpping from 2005_06_30.



 2005/07/13 Abelardo Moralejo (2005/07/12)

   * macros/starmcstereo.C
     - Fixed error which made some objects to be written twice in the
       _test_ output file.



 2005/07/13 Patricia Liebing (2005/07/06)

   * mhcalib/MHCalibrationChargeCam.cc:
    - include new flag (kLoGainBlackout) into the "uncalibrated"
      pixel classification (see docu from 28/06/2005 Markus Gaug)

   * mbadpixels/MBadPixelsPix.[cc.h], mcalib/MCalibrationChargeCalc.cc
     - included flag kLoGainBlackout for unsuitable pixels w/
       corresponding docu/printout (see MHCalibrationChargeCam.cc)
 
   * mhcalib/MHCalibrationPulseTimeCam.cc, MHCalibrationCam.cc
     - add Pixel ID to Debug printout statements 

   * mjobs/MJCalibration.cc
     - include new display for kLoGainBlackout unsuitable pixels



 2005/07/13 Antonio Stamerra (2005/07/04)

   * manalysis/MMcTriggerLvl2Calc.cc
     - the checks written on ReInit for MC have been moved to PreProcess()
     - kFALSE substituted with kSKIP in the check for the standard MAGIC 
       geometry



 2005/07/13 Abelardo Moralejo (2005/07/01)

   * macros/starmc.C
     - Set two different cleaning tasks for the calibration loop and 
       for the second (analysis) loop. Otherwise, some pixels were 
       cleaned out in the first loop (we do not want this) if the 
       absolute method was chosen.



 2005/07/13 Abelardo Moralejo (2005/06/30)

   * mmc/MTriggerDefine.h
     - Added TRIGGER_PIXELS_4, a provisional number of trigger pixels
       for the MGeomCamMagic1183 geometry.

   * mgeom/MGeomCamMagic1183.[h,cc]
     - added. Possible design for a MAGIC-II camera. Preliminary 
       version, not yet ready to use.



 2005/07/13 Abelardo Moralejo (2005/06/29)

   * mgeom/MGeomCamMagic1183.[h,cc]
     - added. Possible design for a MAGIC-II camera

   * mgeom/Makefile, GeomLinkDef.h
     - added new class above.



 2005/07/13 Markus Gaug (2005/06/28)

   * mhcalib/MHCalibrationChargeCam.[h,cc]
     - set the fPickupLimit and fBlackoutLimit for the low-gain arrays
       to a 3.5 instead of the default used in MHCalibrationPix (5.0).
     - use a new criterium to exclude bad pixels: If the high-gain was
       saturated and the blackout-events in the low-gain exceed the 
       fNumLoGainBlackoutLimit, the pixel is declared unsuitable.
       This excludes those pixels which have a saturating high-gain 
       channel, but the low-gain switch does not switch often enough 
       to make the distribution reliable.



 2005/07/13 Markus Gaug (2005/06/23)

   * mhcalib/MHCalibrationChargeCam.cc
     - fix a bug counting the number of saturated events. Up to now, the 
       number of saturated slices was counted (which is one for a not too
       high number), but for some (pathological) pixels, many more slices
       saturated and produced wrong limits.
     - make the PickupLimit und BlackoutLimit for the low-gain explicitely
       smaller. The too large limits caused a failed fit for some channels
       which resulted in wrong calibration constants. (M. Gaug)



 2005/07/13 Markus Gaug (2005/06/22)

   * mjobs/MJPedestal.cc
     - change order of reading local environmnet variables in lines 1044 
       to 1068. Reason: The lines:
            if (fExtractor==tenv.GetTask())
               return kTRUE;
       yielded sometimes a return before the rest of the env-variables 
       could be read in. This affected ONLY the reading of the pedestal
       reference file and the bad pixels file name. (M. Gaug)
     - Added "decode" task (MTriggerPatternDecode) task to the list also 
       for MC runs.

   * mhcalib/MHCalibrationChargeCam.cc
     - fixed the setting of unreliability for saturated events where the 
       high-gain signal was not stable over time. Now, saturation is 
       asked for before (like in the high-gain fitted-case). (M. Gaug)
     - fixed a small bug in the precise setting of the histogram ranges. 
       May have introduced a bias of typically 1 FADC cnt in the mean 
       fitted signal (< 0.5%).

   * mbadpixels/MBadPixelsPix.[h,cc]
     - took out the un-used bad pixels information in function: 
       GetUnsuitableCalLevel(). 
     - debugged the class-documentation

   * mcalib/MCalibrationIntensityChargeCam.cc
     - a very small fix in the axis title from N_phe to N_{phe}
     - fixed one bug in the draw-functions of this class. Not (yet) used by 
       standard calibration.
     - +some undocumented changes

  * mjobs/MJCalibration.cc
    - changed order in tasklist between MCalibColorSet and 
      MPedCalcFromPedRun. Caused crashes in the intensity calibrations. 
      Does not affect ordinary calibration since MPedCalcFromPedRun is 
      then not in the tasklist anyhow. 
    - changed order of MHCalibrationChargeCam and MCalibrationRelTimeCalc. 
      This wrong order caused MCalibrationRelTimeCalc to print out 
      unreliable pixels which were not set by the rel. time calibration. 
      This caused some confusion in the reading of the output because of
      the un-logical order of flag settings and posterior output.
    - set the error of the hi-logain intercalibration constants
      as the real error on the mean instead of the sigma.
    - took out the those bad pixel-informations which are not used
      any more in the "Defect" - display. (M. Gaug)



 2005/07/13 Markus Gaug (2005/06/21)

   * mhcalib/MHCalibrationChargePix.h
     - take out one un-necessary 'virtual'-declaration for the Draw-
       function

   * mhcalib/MHGausEvents.cc
     - fixed a small bug in the non-standard display with options.



 2005/07/13 Markus Gaug (2005/06/19)

   * msignal/MExtractTimeAndChargeSpline.cc
     - set fgOffsetLoGain from 1.7 to 1.39. This is the correct time
       shift between high-gain and low-gain. Affects only very detailed
       timing studies.

   * msignal/MExtractTimeAndChargeDigitalFilter.cc
     - set fOffsetLoGain from 1.7 to 1.4 which corrects now exactly for 
       the arrival time difference between low-gain and high-gain pulses.
       This wrong number could have had some effect on image cleanings
       using the time information. (M. Gaug)
 
   * mcalib/MCalibrationBlindCam.[h,cc]
     - remove obsolete Copy-function

   * mcalib/MCalibConstPix.h, mcalib/MCalibConstCam.h
     - introduce Copy-functions
     - set class index to 1 (was 0)

   * mcalib/MCalibrationChargePix.[h,cc]
     - introduce Copy() function.



 2005/07/13 Markus Gaug (2005/06/18)

   * mpedestal/MPedestalCam.cc
     - modify Print() function to print out also the event-by-event
       averaged results.

   * mpedestal/MExtractPedestal.[h,cc]
     - new flag fUseSpecialPixels (set to kFALSE per default)
     - new data member: fNameRawEvtData which can be set from outside 
       (e.g. to "MRawEvtData2"). 
     - with these two changes, the special pixels can be extracted. 
       Difference to previous version: if flag fUseSpecialPixels is set, 
       * the area and sector averages are not calculated.
       * the MPedestalCam will get initialized to 
         MRawRunHeader->GetNumSpecialPixels(). 
     - fix a bug in the calculation of the event-by-event averaged 
       pedestal RMS (one total number of areas or sectors was not taken 
       into account). 
     - make local variables in the calculation of rms and mean doubles
       instead of floats.

   * mpedestal/MPedCalcPedRun.cc
     - do not calculate the area and sector averages in case flag
       fUseSpecialPixels is set.
     - check for existence of pointer fRawEvt in PostProcess.

   * mcalib/MCalibrationChargeCalc.[h,cc]
     - implement possibility to set reference number of photo-electrons from 
       outside (stored in fExternalNumPhes).

   * mcalib/MCalibrateData.[h,cc], mcalib/MCalibCalcFromPast.cc, 
     mjobs/MJCalibrateSignal.cc:
     - write calibration constants now in separate 
       MCalibrationIntensityConstCam. This is necessary since with the 
       introduction of the averageing of mean photo-electrons, the 
       MCalibrationIntensityChargeCam does not hold the correct conv. 
       factors any more. 

   * mcalib/MCalibrateData.[h,cc]
     - get also pointers to the IntensityCams and use them if exist 
       (previously, only the first calibration cam was used together 
       with the updatecam.)



 2005/07/13 Markus Gaug (2005/06/17)

   * mcalib/MCalibrationIntensityCam.[h,cc]
     - take out some un-used or commented code (variables fOffsets and
       fSlopes). These data members were not in the streamter either.
     - put some of the most-used code from the .cc file into the .h file
     - add new function: SetCam().



 2005/07/13 Markus Gaug (2005/06/15)

   * mcalib/MCalibrationIntensityConstCam.[h,cc]
     - new class to store the actual applied conversion factors (now with 
       averaged photo-electrons not in the MCalibrationIntensityChargeCam
       any more).

   * mjobs/MJCalibration.cc
     - set the correct (statistical) error of the inter-calibraiton factor
       into MCalibrationChargePix::SetConversionHiLoErr() and the 
       sigma of the distribution
       into MCalibrationChargePix::SetConversionHiLoSigma().
     - In MCalibrationChargePix, the mean conversion error is used for the 
       statistical error of the conversion factor.
     - In CalibrateData, the sigma is used for the statistical error of the
       converted signal to equiv. high-gain charges.

   * mcalib/MCalibCalcFromPast.[h,cc]
     - implement the mean photo-electron averageing for a desired number of 
       calibration updates.

   * mcalib/MCalibrateData.cc
     - use MCalibrationChargePix::GetConversionHiLoSigma() to calculate the
       error (was previously MCalibrationChargePix::GetConversionHiLoErr(). 

  * callisto.cc
    - calculate first fixed window pedestal in MJPedestalY2, 
      then sliding window pedestal in MJPedestalY3 (order reversed).



 2005/07/13 Markus Gaug (2005/06/14)

   * mcalib/MCalibrationHiLoPix.[h,cc]
     - store also results from profile fits.
     - increades class version

   * mhcalib/MHCalibrationHiLoPix.[h,cc], mhcalib/MHCalibrationHiLoCam.[h,cc]
    - added TProfiles for every pixel filled with the high-gain signal
      vs. low-gain signal which can be fitted to extract gain and 
      offset.

   * mhcalib/Makefile, mhcalib/HCalibLinkDef.h
     - added MHCalibrationHiLoPix



 2005/07/13 Markus Gaug (2005/06/10)

   * mcalib/MCalibrationRelTimeCalc.cc
     - print out forgotten successfully calibrated pixels
     - small change in spacing of one output

   * mhcalib/MHCalibrationCam.[h,cc]
     - introduce max. number of events, the rest gets skipped before the 
       next ReInit() is called. Default: 4096
       Reason: The calibration causes too many un-reliable pixels if more 
               than about 5000 events are treated (@500 Hz) because of the
               mode hopping of the VCSels. However, in the past, some 
               calibration runs have been taken (erroneously) with more 
               than 5000 events, especially the intensity scans where  
               a good precision is needed.
    - increased version number
    - introduce a Getter for the fAverageAreaNum array.
    - re-normalize the area-averaged sigmas to the equivalent number per 
      pixel also for the intensity calibration.

   * mcalib/MCalibrationChargePix.[h,cc]
    - divide errors in stat. and syst. errors. Both can be retrieved
      now, depending on the study, one wants to make.

  * mcalib/MCalibrationChargeCalc.[h,cc]
    - set a limit to the number of un-suitable and un-reliables pixels
      for the run to succeed: 0.1 unsuitables and 0.3 un-reliables
    - set UseExtractorRes to kTRUE, will raise the number of 
      photo-electrons for the spline extractor by 1-2% (correctly).
    - re-normalize the pedestal RMS of the event-by-event averaged 
      area events to the sqrt of the number of used pixels.
    - re-normalize the sigma of the event-by-event averaged area events
      by 1/F-Factor.
    - introduce switch to choose if un-reliables should be used for the
      calculation of mean number of phes (default: kTRUE).
    - print out the number of high-gain saturated pixels.



 2005/07/13 Markus Gaug (2005/06/10) 

  * mjobs/MJCalibrateSignal.[h,cc]
    - skip also the PIN Diode events from the data calibration.



 2005/07/13 Markus Gaug (2005/06/06) 

   * mhcalib/MHGausEvents.[h,cc]
     - put small functions into header file to speed up calculations a bit.

   * mcalib/MCalibrationRelTimeCalc.cc
     - introduce flags to steer the setting of unreliability like done 
       in MCalibrationChargeCalc. Can be steered from the conf-file.

   * mbadpixels/MBadPixelsIntensityCam.[h,cc]
     - implement two Get and Draw-functions to display bad pixels over 
       time like in the mcalib/MCalibrationIntensityChargeCam



 2005/07/13 Markus Gaug (2005/06/03) 

   * mhcalib/MHCalibrationPulseTimeCam.cc
     -  fill arrays only if IsOscillations() was asked. This is a speed 
        bug and could cause important memory leaks. It does not affect the 
        outcome of an analysis, however.



 2005/07/13 Thomas Bretz

   * mbase/MTaskInteractive.[h,cc]:
     - fixed a bug with calling ReInit... PostProcess was called instead.
     - added the missing initialisation of fReInit in constructor

   * sinope.cc:
     - removed plotting the tasklist statistics twice
     - replaced DrawClone by DrawCopy (DrawClone gave problems)

   * mhflux/MAlphaFitter.[h,cc]:
     - fixed the ThetaSq function. It was wrongly defined as
       exp(-((x-c)/s)^2) instead of exp(-1/2*((x-c)/s))
     - Set start value for corresponding fit back to same value
       as for a standard gauss-fit.



 2005/07/12 Daniela Dorner

   * datacenter/macros/buildsequenceentries.C:
     - fixed bug, that was caused by changes in TExMap in root_v4.04.02



 2005/07/12 Daniela Dorner

   * automatic-exclusions.rc:
     - added two automatic exclusions

   * datacenter/macros/findcacofiles.C:
     - adapted query to ensure, that only existing caco-files are 
       searched

   * datacenter/macros/getdolist.C:
     - changed query to make sure, that new data is processed first

   * datacenter/macros/resetallruns.C:
     - changed query to allow manual interaction in RunProcessStatus

   * datacenter/scripts/runganymed:
     - fixed bug in choice of rc-file



 2005/07/12 Thomas Bretz

   * mhist/MHEvent.[h,cc]:
     - added MTime to output

   * mastro/MAstroCatalog.cc:
     - added a fix which avoided reproducing the gui elements after
       reading from file

   * mbase/BaseIncl.h:
     - added TVector3

   * mbase/MMath.[h,cc]:
     - added Sgn function
     - moved include of TVector3 to source file

   * mimage/MHillasExt.cc:
     - included TVector2

   * mjobs/MJCut.cc:
     - write Disp to output
     - write MTime to output
     - changed handling of source position (MSrcPosCalc)

   * mpointing/MSrcPosCalc.[h,cc]:
     - allow to switch off source pos calculation



 2005/07/11 Thomas Bretz

   * callisto.cc, ganymed.cc, mars.cc, showlog.cc,
     showplot.cc, sponde.cc, mimage/MImgCleanStd.cc:
     - fixed some typos

   * mastro/MAstro.[h,cc]:
     - added new member function GetStringDeg and GetStringHor

   * mastro/MAstroCatalog.cc:
     - don't display empty ":  " in tooltip for sources without name

   * mbase/MParContainer.cc, mbase/MTask.cc:
     - fixed usage of a ?:-operator

   * mbase/MString.h:
     - added two new constructors

   * mjobs/MDataSet.cc:
     - made sure that all files read later are sorted correctly.
       This is necessary to ensure correct reading of subsystem
       data.
     - skipped adding a sequence twice

     - print effective on time only in debug mode
     
   * mjobs/MSequence.cc:
     - skipped adding a run twice

   * mpointing/MSrcPosCalc.cc:
     - reformatted the comments
     - add MTime and MPointingPos to branch list
     - fTime and fObservatory are now presearched in PreProcess
       to allow usage in macros having no RunHeaders (if they are
       not found no warning is printed!)
     - added sanity checks for these pointers in Process



 2005/07/08 Thomas Bretz

   * showplot.cc:
     - implemented the possibility to open a root interpreter

   * mbase/MMath.cc:
     - added sanity checks in GaussProb

   * mimage/MHillasExt.[h,cc]:
     - fixed some units
     - added Paint

   * mimage/MNewImagePar.cc:
     - fixed Print output

   * mmain/MEventDisplay.cc:
     - print a separator between two events
     - Draw MHillasExt, too

   * mmuon/MMuonCalibPar.cc, mmuon/MMuonSearchPar.cc:
     - fixed Print output

   * mimage/MHillas.cc:
     - implemented plotting a estimate of disp
     - fixed some units in output
     - fixed the special case in which the shower is symmetric to
       the axis

   * mimage/MHillasCalc.cc:
     - skipped printing the removed case 4 from MHillas::Calc

   * mbase/MStatusDisplay.cc:
     - fixed wrong "save as" in "open" dialog

   * mbase/MTaskInteractive.[h,cc]:
     - added ReInit

   * mhflux/MAlphaFitter.cc:
     - fixed the standard polynom order (0 instead of 1) for
       difference histogram
     - changed default start velue for gauss sigma in case of kThetaSq

   * mhflux/MHAlpha.cc, mhflux/MHCollectionArea.cc, 
     mhflux/MHEffectiveOnTime.cc, mhflux/MHThetaSq.cc,
     mjobs/MJCut.cc:
     - enhanced zenith angle range

   * mhflux/MHFalseSource.h:
     - made GetCatalog protected
     - made SetOffData virtual

   * mhflux/MHThreshold.cc:
     - enabled Sumw2

   * mjobs/MJCut.cc:
     - removed BinningEnergyEst

   * mpointing/MPointingPos.h:
     - added copy constructor

   * mpointing/MSrcPosCorrect.cc:
     - added a comment

   * mranforest/MRFEnergyEst.[h,cc]:
     - now stores the mean energy of the bins in the forest
     - implemented several interpolation methods



 2005/06/28 Thomas Bretz

   * mfilter/MFMagicCuts.[h,cc]:
     - first full implementation... updates to come.

   * mhbase/MH.[h,cc]:
     - added new member function to set several palettes

   * mhflux/MHDisp.[h,cc]:
     - fixed z-axis dscription
     - rotate filling off data by 180 deg.
     - implemented subtracting off-data from on-data
     - set different palettes

   * mhflux/MMcSpectrumWeight.[h,cc]:
     - implemented additional weight for zenith-angle- and size-bins



 2005/06/27 Thomas Bretz

   * macros/optim/optimenergy.C:
     - changed algorithm from Simplex to Migrad
     - fixed a typo (RunDisp)

   * mhflux/FluxLinkDef.h, mhflux/Makefile:
     - added new class for threshold calculation

   * mhflux/MHCollectionArea.cc:
     - replaced BinningEnergy by BinningEnergyEst

   * mimage/MHHillasSrc.cc:
     - set minimum of fAlpha, fCosDA and fDCADelta to 0

   * mjobs/MDataSet.cc:
     - improved reading source position

   * mranforest/MRanForest.[h,cc]:
     - implemented a value describing the forest (eg. corresponding
       energy)
     - increased ClassVersion

   * mtrigger/MFTriggerPattern.cc, mtrigger/MTriggerPattern.cc,
     mtrigger/MTriggerPatternDecode.cc
     - improved dox (thx to Nicola)

   * mjobs/MJStar.cc:
     - implemented a new write task which only writes the effective
       on time. This is necessary otherwise for example the image
       cleaning could skip effective on-time events.



 2005/06/17 Thomas Bretz

   * mbase/MArgs.[h,cc]:
     - handle possible char \015 in arguments

   * mdata/MDataArray.h:
     - added Print function to //*MENU*

   * mhflux/MAlphaFitter.[h,cc]:
     - added new Option for Scale: Fixed
     - fixed typo in IsEnvDefined for Signalfunction

   * mhist/MHCamera.cc:
     - plot profile in deg instead of mm

   * mjobs/MDataSet.[h,cc]
     - changed error handling when reading source catalog

   * mjobs/MJCut.cc:
     - added MImagePar to output
     - take new error handling into account when reading source catalog

   * mjobs/MJSpectrum.cc:
     - print energy estimator
     - removed the double minus displaying the fitted spectrum 

   * mjoptim/MJOptimizeDisp.cc, mjoptim/MJOptimizeEnergy.cc:
     - print rule when optimization has finished

   * mmain/MBrowser.cc:
     - replaced old path with new path to datacenter

   * mranforest/MRFEnergyEst.[h,cc]:
     - store binning in new data member fBinning to avoid many calles
       to atof



 2005/06/15 Daniela Dorner

   * datacenter/macros/createdataset.C:
     - added function to read in input from txt-file

   * datacenter/macros/insertdataset.C:
     - fixed bug -> no new sourcenames can be inserted by this macro

   * datacenter/macros/writesequencefile.C:
     - fixed small bug in logging-output



 2005/06/13 Daniela Dorner

   * datacenter/macros/createdataset.C:
     - added (macro to write simple datasetfile)

   * datacenter/macros/buildsequenceentries.C:
     - fixed bug introduced 12.5.2005

   * datacenter/scripts/copyscript:
     - fixed bug



 2005/06/13 Thomas Bretz

   * mcalib/MCalibrationHiLoCam.h:
     - added Print to //*MENU*

   * mhflux/MHThetaSq.[h,cc]:
     - added resources for fNumBinsSignal and fNumBinsTotal

   * mjobs/MJSpectrum.[h,cc]:
     - implemented weighting in theta, so we get better statistics
     - improved output
     - added plotting other spectras
 
   * Makefile:
     - added new directory mjoptim

   * manalysis/MEnergyEstimate.[h,cc]:
     - derives now from a new more genral class MParameterCalc

   * manalysis/Makefile, manalysis/AnalysisLinkDef.h:
     - added new class MParamterCalc

   * manalysis/MParameterCalc.[h,cc]:
     - added new class MParamterCalc

   * mbase/MLog.cc:
     - do not display 'underline' if fIsNull output

   * mhbase/MBinning.cc:
     - removed some obsolete comments fixed old stylish SetBinningCos

   * mhflux/MAlphaFitter.[h,cc]:
     - background fit can now be switched off
     - removed some obsolete comments
     - adapted Print output
     - added new option to change signal function type 
     - adde new Strategy option: kGaussSigma

   * mhflux/MHAlpha.[h,cc]:
     - output the gauss sigma to the parameter list

   * mhflux/MHThetaSq.h:
     - mase InitMapping public (used in MJOptimizeDisp)

   * mjobs/JobsLinkDef.h, mjobs/Makefile:
     - removed MJOptimize*

   * mjobs/MJOptimize.[h,cc]:
     - allow minimization of something else than MinimizationValue

   * mjobs/MJOptimizeEnergy.[h,cc]:
     - added class description with example
     - added weighting task to RunEnergy (untested)

   * mtools/MChisqEval.[h,cc]:
     - added comments
     - print result in Postprocess
     - allow to give a different name to the result

   * mjobs/MJOptimize*:
     - finally moved to new dir mjoptim
     - new class MJOptimizeDisp



 2005/06/10 Daniela Dorner

   * datacenter/scripts/copyscript:
     - adapt script to new machine



 2005/06/10 Thomas Bretz

   * datacenter/macros/plotdb.C:
     - set minimum and maximum also for ZA graph

   * mdata/MDataChain.cc:
     - fixed a possible crash to to NULL-acess in GetDataMember

   * mhbase/MBinning.[h,cc]:
     - added a new binning type "asin" which is used for the
       ZA binning

   * mhflux/MAlphaFitter.cc:
     - allow polynom order 1
     - improved result line in PaintResult

   * mhflux/MHAlpha.cc:
     - call PaintResult also in DrawAll

   * mhflux/MHCollectionArea.cc:
     - removede nonsense A_{eff} from plot

   * mhflux/MHDisp.cc:
     - fixed a possible crash if fSrcPos==NULL

   * mhflux/MHAlpha.cc, mhflux/MHCollectionArea.cc, 
     mhflux/MHEffectiveOnTime.cc, mhflux/MHEnergyEst.cc,
     mjobs/MJCut.cc:
     - replaced SetEdgesCos by new SetEdgesASin (set the correct binning)
       the old binning was not well aligned with the MC binning

   * mhflux/MMcSpectrumWeight.[h,cc]:
     - added the possibility to set ZA-weights
       (Could be improved calculating correst sine-weights)

   * mimage/MHVsSize.cc:
     - fixed. Conc1 was incorrectly scaled

   * mjobs/MDataSet.h:
     - added getter for TLists

   * mjobs/MJCut.cc:
     - in non-wobble mode the hcalc2 had been wrrornously added 
       to the tasklist -> removed
       
   * mjobs/MJOptimize.h:
     - added a comment for EnableTestTrain

   * mpointing/MSrcPosCam.[h,cc]:
     - implemented Add member function

   * mranforest/MRFEnergyEst.[h,cc]:
     - fixed a problem with the removal of the last columns
     - implemented debug-mode
     - interpolate energy in logarithmic grid
     - removed Test function completely
     - added ReadEnv

   * mranforest/MRanTree.[h,cc]:
     - replaced some TMatrixFRow by TMatrixFRow_const

   * mpointing/MSrcPosCorrect.[h,cc]:
     - added

   * mpointing/Makefile, mpointing/PointingLinkDef.h:
     - added MSrcPosCorrect

   * mhflux/MHDisp.cc:
     - fixed the scaling of the abs-limit of m3l above which 
       we assume that the 3rd moment is a good measurement for the
       correct disp point



 2005/06/08 Daniela Dorner

   * datacenter/scripts/checkstardone:
     - fixed bug 
     - added check 

   * datacenter/scripts/runstar, runcallisto, runganymed:
     - added -v4 to commandlines



 2005/06/07 Daniela Dorner

   * datacenter/scripts/runstar, runcallisto:
     - fixed bug in filenumber calculation



 2005/06/06 Daniela Dorner

   * datacenter/scripts/runganymed:
     - fixed bug in second commandline



 2005/06/03 Thomas Bretz

   * ganymed.cc:
     - fixed the wrong printout of ganymed

   * mars.cc:
     - allow to open a file via commandline

   * mars.rc:
     - added some more comments

   * mcalib/MCalibrateRelTimes.cc:
     - removed obsolete comments

   * mmain/MEventDisplay.cc:
     - implemented muon analysis
     - fixed a crash caused by the DF

   * mmain/Makefile:
     - added -I../mmuon

   * mmuon/MMuonCalibPar.cc:
     - updated Print output

   * mmuon/MMuonSearchPar.[h,cc]:
     - updated print output
     - added Paint function

   * mranforest/MRFEnergyEst.h:
     - fixed thw wrong data types in setters

   * msignal/MExtractTimeAndChargeDigitalFilter.cc:
     - don't try to find automatic weights without template file name

   * mjobs/MJStar.cc:
     - set bit MFillH::kDoNotDisplay for fillmuon

   * mmuon/MHSingleMuon.[h,cc]:
     - store function in hist
     - added Paint member function



 2005/06/03

   * RELEASE 0.9.3



 2005/06/03 Thomas Bretz

   * mjobs/hilocalib_sp1.root, mjobs/hilocalib_sp1_mc.root:
     - updated

   * callisto.rc:
     - MJPedestalY2.MaxEvents: 2000 replaced by 5000 as in
       callisto_Dec04Jan05.txt

   * manalysis/MMultiDimDistCalc.h:
     - changes to layout

   * mbadpixels/MBadPixelsCalc.cc:
     - improved sanity checks

   * mbase/MEvtLoop.cc:
     - fixed a bug which could cause Eventloop to crahs if
       parlist was not initialized

   * mdata/MDataArray.[h,cc]:
     - added copy constructor

   * mhbase/MFillH.cc:
     - made sure that no constructor can crash due to NULL pointers

   * mhbase/MHMatrix.[h,cc]:
     - first check in AddColumn if the column is available. Afterwards
       check whether it can be added
     - added new interfaced to single rows

   * mhflux/MMcSpectrumWeight.cc:
     - slight change to screen output

   * mjobs/MJPedestal.cc:
     - slight change to screen output

   * mpedestal/MPedCalcPedRun.cc:
     - fixed a bug which caused MC files not to work treat them now
       as pedestal files (always)

   * mranforest/MRFEnergyEst.[h,cc]:
     - improved the code and the interface

   * mranforest/MRanForestGrow.[h,cc]:
     - derives now from MRead to be able to use the bar in the
       display

   * mtools/MTFillMatrix.[h,cc]:
     - allow to fill a single matrix with all events

   * datacenter/macros/plotdb.C:
     - display values versus Mean of ZdMin and ZdMax instead of ZdMin



 2005/06/02 Markus Gaug (2005/06/01)

   * mcalib/MCalibrationChargeCalc.cc
     - lower fgPheErrLowerLimit from 9.0 to 6.0. This is necessary to 
       exclude 2 very ringing pixels in September which - when kept - 
       destroy the image cleaning around them. 



 2005/06/02 Markus Gaug (2005/05/31)

   * mjobs/MJCalibration.cc
     - The MFTriggerPattern filters out all events taken with the 
       CT1-pulser and data format version greater than 4. 
       Demand now that the filter is put into the task list only if the 
       calibration colour is not kCT1. 



 2005/06/02 Markus Gaug (2005/05/26)

   * mpedestal/MPedCalcPedRun.cc
     - fixed bug in recognition of pedestal bit - affects only intensity
       calibration.

   * mhcalib/MHCalibrationChargeCam.cc, 
     mhcalib/MHCalibrationRelTimeCam.cc:
     - do not draw to status display if histogram is empty. This 
       caused some error messages from root. 



 2005/06/02 Thomas Bretz

   * callisto.cc:
     - made "-raw" the default
     - switched bad pixel check on for MJPedestalC2

   * callisto_Dec04Jan05.rc:
     - reduced MJPedestalY2.ExtractWinRight from 4.0 to 2.0

   * mhflux/MHThetaSq.[h,cc]:
     - added missing InitMapping

   * mjobs/MJCalib.cc:
     - set default for fDataFlag to kIsUseRawData

   * mjobs/MJOptimizeCuts.cc:
     - added some sanity checks if CreateHistNew couldn't create
       the histogram

   * mjobs/MJPedestal.[h,cc]:
     - implemented a possible deadpixel check

   * star.rc:
     - added a missing template line

   * mbadpixels/MBadPixelsCalc.[h,cc]:
     - changed to allow different upper and lower cuts in pedestal
       variance

   * mfilter/MFCosmics.cc:
     - allpix were not increased correctly if a saturated pixel
       was skipped

   * mjobs/MJCalibrateSignal.cc:
     - changed name of "Interp'd" to something more accurate

   * msignal/MExtractFixedWindow.cc:;
     - removed case 12 for logain resolution as it is in bcn cvs
       but nowhere documented

   * callisto.rc:
     - added new template line for dead pixel check
     - added correction factor determined from Muon analysis

   * callisto_Dec04Jan05.rc
     - added correction factor determined from Muon analysis
     
   * mhflux/MMcSpectrumWeight.cc:
     - small change to output



 2005/06/01 Thomas Bretz

   * mjobs/MJOptimize.[h,cc]:
     - moved code for cut optimization to MJOptimizeCuts
     - moved code for energy optimization to MJOptimizeEnergy

   * mjobs/MJOptimizeCuts.[h,cc], mjobs/MJOptimizeEnergy.[h,cc]:
     - added

   * mjobs/Makefile, mjobs/JobsLinkDef.h:
     - added MJOptimizeCuts
     - added MJOptimizeEnergy

   * showplot.cc:
     - set window name to input file name

   * mcalib/MCalibColorSet.cc:
     - changed order of checks so that an explicit color is 
       prior to any automatic detection.

   * mcalib/MCalibrateData.[h,cc]:
     - implemented setting a possible additional scale factor
       (for MC it is always reset to 1)

   * mfilter/MFCosmics.cc:
     - don't count saturated hi-gain pixels at all. It should
       not be necessary, because such pixels should have a value
       high enough in the high-gains but it seems sometimes they don't

   * mhflux/MHAlpha.[h,cc]:
     - changed some orders in header
     - made some private data members protected
     - Call GetVal() if fMap[0]<0. This is necessary if the fill
       value is calculated on-the-fly (like ThetaSq)
     - made InitMapping virtual

   * mhflux/MHDisp.cc:
     - removed 'Get-Entries' workarund
     - changed the function integartion for the significance

   * mhflux/MHThetaSq.[h,cc]:
     - overwrite InitMapping because ThetaSq should be read from
       the parlist always

   * mimage/MHHillas.cc:
     - set histogram minimum of Delta to 0

   * mpedestal/MPedPhotCam.cc:
     - check for unsuitable pixels when calculating the means not
       only for the UnsuitableRun ones

   * msignal/MExtractor.cc:
     - replaced wrong %2d by %2f



 2005/06/01 Daniela Dorner

   * datacenter/scripts/runcallisto:
     - added writing html-logs
     - added --auto-time-stop for merpping(ccupdate)

   * datacenter/scripts/runganymed:
     - added writing html-logs
     - added second execution of ganymed
     - adapted to correct usage of config-files
     - fixed bug

   * datacenter/scripts/runstar:
     - added writing html-logs
     - minor change in logpath



 2005/05/31 Daniela Dorner

   * datacenter/macros/fillstar.C, plotdb.C:
     - added two new parameters

   * datacenter/macros/setupdb.C:
     - adapted to changes in DB (added two columns)



 2005/05/31 Thomas Bretz

   * mfileio/MReadReports.[h,cc]:
     - changed such that it can force prereading of the first event of 
       a sequence after PreProcess

   * mfileio/MReadTree.h:
     - added some comment about the new bits used in MReadReports

   * mhflux/MHDisp.cc:
     - changed fit limit from 1.1 to 1.0
     - fixed access to wrong axis

   * mhflux/MHEffectiveOnTime.cc:
     - fixed a bug which caused the first bin of the histograms
       vs time to disapear in PostProcess, which gave wrong results
       on the screen. The output and all following programs not
       directly accessing the histograms haven't been affected

   * mjobs/MJCalib.cc:
     - HasEnv for boolean type resources is obsolete and has been
       removed

   * mjobs/MJCalibrateSignal.cc:
     - removed MPointingPosInterpolate
     - adapted usage of MReadReports to changes

   * mjobs/MJCut.cc, mjobs/MJStar.cc:
     - adapted usage of MReadReports to changes
     - made Drive-tree a 'required' tree

   * mjobs/MJStar.cc:
     - removed "Events" from setting up rate and effective on time
       tasks to tlist2. It is obsolete because calibration events
       don't enter star at all.

   * mpointing/MPointingPosCalc.[h,cc]:
     - assume that the run-type is real-data if Process is called before
       ReInit

   * merpp.cc:
     - new options: --auto-time-start --auto-time-stop

   * mbadpixels/MBadPixelsTreat.cc:
     - removed the checks in the algorithm whether the current pixel
       is NULL. MSignalCam doesn't support zero supression anymore.
       GetPixById has been replaced by the []-operator



 2005/05/30 Thomas Bretz

   * msql/MSQLServer.cc:
     - added possibility to setup SelectDatabase from resource file

   * mbadpixels/MBadPixelsCalc.[h,cc]:
     - implemented the possibility to use the check routine
       from outside
     - check now returns kFALSE if more than 50% of all
       pixels are marked as unsuitable

   * mhflux/FluxLinkDef.h, mhflux/Makefile:
     - added MHDisp
     - added MMcSpectrumWeight

   * mhflux/MHFalseSource.[h,cc]:
     - allow finding of Off-plot for derived classes  - like in MHAlpha
     - get source position from MSourcePos if existing
     - changed some data members from private to protected

   * mhflux/MHDisp.[h,cc]:
     - added

   * mjobs/MJCut.[h,cc]:
     - implemented new option (HistNameFS) to allow using a different
       False Source Plot

   * mpedestal/MPedPhotCam.[h,cc]:
     - added a copy constructor to allow conversion from MPedestalCam

   * mpointing/MSrcPosCam.[h,cc]:
     - added copy constructor



 2005/05/30 Daniela Dorner

   * datacenter/scripts/buildsequenceentries, checkstardone, correcttime, 
       doexclusions, fillcallisto, insertdatasets, runganymed, 
       checkfilesforsequenceavail, copyscript, filesondisk, fillstar
       runcallisto, runstar, writesequencefiles:
     - moved two variables from the scripts to the sourcefile

   * datacenter/scripts/runganymed: 
     - changed # of processes

   * datacenter/macros/buildsequenceentries.C, filldotrbk.C, fillstar.C,
       insertcacofile.C, plotdb.C, setstatus.C, checkfileavail.C,
       doexclusions.C, filldotrun.C, findcacofiles.C, insertdataset.C, 
       resetallruns.C, setupdb.C, checkstardone., fillcalib.C, 
       fillsignal.C, getdolist.C, insertdate.C, resetcolumn.C, 
       writesequencefile.C: 
     - adapted the macros to the changes in msql/MSQLServer.cc

   * datacenter/macros/fillstar.C:
     - adapted the functions for the myon parameter after the bugfixes 
       in the calibration



 2005/05/27 Daniela Dorner

   * datacenter/macros/plotdb.C:
     - changed binning of fConvFactorInner
     - added plot vs ZdMin

   * datacenter/macros/resetcolumn.C:
     - added (macro to reset value in the DB)

   * datacenter/scripts/runganymed:
     - removed command line option for ganymed, which is default now



 2005/05/27 Javier Rico (2005/05/26)

   * mbadpixels/MBadPixelsCam.cc
     - fixed small bug in the Print() function (one line was printed out 
       at a wrong place). (M. Gaug)



 2005/05/27 Javier Rico (2005/05/24)

   * mhcalib/MHCalibrationHiLoCam.cc
     - do not write Arrays if flag kOscillations is not set. 
       (this was actually a bug since it caused a huge usage for large 
       amounts of data). (M. Gaug)

   * mcalib/MCalibColorSet.cc
     - set colour already in the ReInit(), needed by the digital filter 
       later. (M. Gaug)
 
   * mjobs/MJCalibration.cc
     - forgot to merge hi-lo calibration factors for intensity calibration.
       (M. Gaug)

   * mhcalib/MHCalibrationCam.[h,cc]
     - do not Finalize histograms if a flag kReset is set. Caused wrong 
       result in last run of intensity calibration. (M. Gaug)

   * msignal/MC_calibration_weights_UV.dat
     - Removed. It was confusing to have this file since it was just a 
       copy of calibration_weights_UV.dat. For MC calibration you can 
       just use the same weights files as for real data. (A. Moralejo)

   * msignal/calibration_weights_blue46.dat
     - added missing weights file (M. Gaug)



 2005/05/27 Markus Gaug (2005/05/21)

   * mcalib/MCalibrationChargePix.[h,cc]
     - allow setting of extractor resolution in CalcReducedSigma()

   * mcalib/MCalibrationChargeCalc.[h,cc]
     - implement usage of extractor resolution (only if UseExtractorRes
       is set).



 2005/05/27 Thomas Bretz

   * Makefile:
     - removed mmontecarlo directory

   * mmontecarlo/MMcEnergyEst.[h,cc], 
     mmontecarlo/MMcTimeGenerate.[h,cc],
     mmontecarlo/MMcWeightEnergySpecCalc.[h,cc]:
     - removed

   * sponde.rc:
     - added new line for weighted spectral index

   * mbadpixels/MBadPixelsCalc.[h,cc]:
     - added an option to perform the checks also in PostProcess

   * mhbase/MFillH.h:
     - added default argument to SetWeight

   * mhbase/MH3.h:
     - added Sumw2() member function

   * mhflux/MHCollectionArea.[h,cc]:
     - added TLatex output to plots
     - added some Getter

   * mjobs/MJSpectrum.[h,cc]:
     - implemented the possibility to weight the monte carlo spectrum
       to a new index or function. More details can be found
       in MMcSpectrumWeight
     - slightly changed the plot comparing the size distributions
     - scale the comparsison plots by the resulting spectrum

   * mjobs/MJob.[h,cc]:
     - added a member function to check ReadEnv of a single
       container

   * mjobs/Makefile:
     - added -I../mmc

   * mmc/MMcEvt.[hxx,cxx], mmc/McEvtBasic.[hxx,cxx]:
     - changed the inheritance: MMcEvt now derives from MMcEvtBasic
       so that both classes are interchangable
     - increased both class versions
     - chaged the default partictle in MMcEvtBasic from
       kGAMMA to kUNDEFINED
     - added new particle type: kUNDEFINED

   * mhflux/MMcSpectrumWeight.[h,cc]:
     - added

   * callisto_Dec04Jan05.rc:
     - commented MJPedestalC1.ExtractSignal.FallTimeHiGain 
       because it is the dfeault now

   * msignal/MExtractTimeAndChargeSpline.cc:
     - changed default of fgFallTimeHiGain to 0.5

   * mimage/MHillasSrc.h:
     - added copy constructor and Copy function

   * msignal/MExtractTimeAndChargeDigitalFilter.[h,cc]:
     - implemented reading of automatic weights file following an
       idea of Markus G.

   * mjobs/MJPedestal.cc:
     - fixed the reading of the resource file fopr the extractor
       (reading the extractor from file can overwrite the seetings)

   * msignal/MC_weights46.dat:
     - updated from BCN cvs

   * msignal/Makefile:
     - added -I../mcalib

   * callisto.rc:
     - updated comments

   * mcalib/MCalibrateData.[h,cc]:
     - same small changes to layout
     - mainly unrolled Form-statements

   * msignal/MExtractFixedWindow.cc:
     - added case 12 and a default for logain setting the
       extractor resolution (partly taken from bcn cvs)



 2005/05/25 Thomas Bretz

   * callisto.cc, ganymed.cc, mars.cc, merpp.cc, readdaq.cc,
     readraw.cc, sponde.cc, star.cc:
     - made the output about the root version clearer

   * mbase/MEvtLoop.cc:
     - call CallProcess instead of Process for the mail tasklist
       (this makes sure that all counters are correct) This should
       NOT be done for Pre/PostProcess

   * mbase/MStatusDisplay.cc:
     - fixed a possible crash if padsave==NULL
     - fixed the missing first tab in postscript files

   * mbase/MTask.cc:
     - initialize fNumExec0 with 0 (this was the reason why the
       missing CallProcess in MEvtLoop didn't seem to have any effect
       on the possible printing of the statistics

   * mhflux/MAlphaFitter.cc:
     - improved output

   * mhflux/MHEffectiveOnTime.cc:
     - added some eMail from Wolfgang about treating the calibration
       events to the class description
     - removed some debug output in Paint()

   * mhflux/MHThetaSq.cc:
     - replaced \\theta by \\vartheta

   * mhvstime/MHPixVsTime.cc:
     - fixed a bug found by marcos: the error bars weren't retrieved
       correctly (instead of fTypeErr fType was requested)

   * mjobs/MJStar.cc:
     - do not use calibration events for rate and effective-on-time
       calculation

   * mjobs/MJob.cc:
     - added some debug output to ExpandPath

   * msignal/MExtractTime.h, msignal/MExtractTimeAndCharge.h,
     msignal/MExtractor.h:
     - added Print() to //*MENU*



 2005/05/25 Daniela Dorner

   * datacenter/macros/fillcalib.C, setupdb.C:
     - changed presicion of parameter

   * datacenter/macros/plotdb.C:
     - added (macro to plot quality paramter from the DB)



 2005/05/24 Daniela Dorner

   * datacenter/macros/fillstar.C:
     - added new parameters

   * datacenter/macros/setupdb.C:
     - added variables for the new parameters



 2005/05/23 Daniela Dorner

   * datacenter/scripts/fillstar:
     - fixed bug in path

   * datacenter/macros/fillstar.C, fillcalib.C, fillsignal.C:
     - added check

   * datacenter/macros/fillcalib.C, setupdb.C:
     - adapted variables for the conversion factor



 2005/05/20 Thomas Bretz

   * RELEASE 0.9.2



 2005/05/20 Daniela Dorner

   * datacenter/scripts/insertdatasets,checkstardone:
     - adapted paths for release

   * datacenter/macros/fillstar.C:
     - adapted functions to calculate psf and the ratio

   * datacenter/scripts/runganymed:
     - adapted ganymed command



 2005/05/20 Thomas Bretz
   
   * msignal/MExtractTimeAndChargeSlidingWindow.cc
     - increased log-gain window from 6 to 8 according to an
       UNDOCUMENTED change in the bcn cvs

   * mhcalib/MHCalibrationChargePINDiode.cc:
     - removed a check in fill according to an UDOCUMENTED change
       in the bcn cvs

   * mhcalib/MHCalibrationChargePINDiode.cc:
     - use a dynamic_cast for the Fill-argument

   * mjobs/MJCalibration.cc:
     - shortened output line telling file name of hi-/lo-gain
       calibration

   * mjobs/MJPedestal.[h,cc]:
     - moved code for PulsePosCheck into own function
     - put also code for pixel check into this function
     - added a sanity check for fExtractor at some places

   * msignal/MExtractor.cc:
     - added output of pedestal container - if available - in Print()
     - improved format of Print() output

   * mbase/MEvtLoop.[h,cc]:
     - removed the obsolete (it was never been used) argument from
       PreProcess
     - replaced the second obsolete argument in Eventloop by a flag
       whether statistics should be printer or not: default=kTRUE
     - Print statistics automatically in Eventloop if tasklists
       Process has ever been touched.

   * mjobs/MJCalibTest.cc, mjobs/MJCalibration.cc, MJCalibrateSignal.cc,
     mjobs/MJCut.cc, mjobs/MJOptimize.cc, mjobs/MJPedestal.cc,
     mjobs/MJSpectrum.cc, mjobs/MJStar.cc:
     - removed call to PrintStatistics - no done automatically in 
       MEvtLoop

   * mpedestal/MExtractPedestal.cc:
     - removed InitArrays after ReInit of fExtractor. It is done there
       automatically

   * mjobs/MJCalibrateSignal.cc:
     - don't add pinext and bldext to tasklist if not necessary
       (UNDOCUMENTED change from bcn cvs)

   * callisto.rc, callisto_Dec04Jan05.rc: 
     - replaced wrong MaxHiGainVar by MaxSignalVar (was nowehere 
       really used)

   * mjobs/MJCalibrateSignal.cc, mjobs/MJCalibration.cc:
     - some simplifications to the access of histograms after the loop
       has finished. There is no need to search for them in the parameter
       list.

   * mjobs/MJCut.cc:
     - fixed the file-path when writing the status display and an
       output path was given.

   * mjobs/hilocalib_sp1.root:
     - new intercalibration constants due to the latest bug-fixes

   * manalysis/MCameraData.[h,cc]:
     - removed all stuff depending on MSigmabar

   * manalysis/MSigmabar*
     - removed



 2005/05/20 Markus Gaug (2005/05/19) 

   * mjobs/MJPedestal.cc:
    - fixed an important bug in the setting of the incoming pedestal 
      pointer to the signal extractor. This bug caused the pedestals not
      to be subtracted correctly in the calibration afterwards. The 
      effect was about 10% too high conversion factors for the digital 
      filter and the spline and more than 40% for the sliding window. 
      The bug existed since end of February! (Markus G.)



 2005/05/20 Markus Gaug (2005/05/18) 

   * mcalib/MCalibrationChargeCalc.cc
     - issue a warning if no colour has been set until the PostProcess.
       (happens to old MC files).



 2005/05/19 Markus Meyer

   * mmuon/MHMuonPar.cc:
     - add a second integral in the function paint, which is 
       plotted in the MStatusDisplay



 2005/05/19 Daniela Dorner

   * datacenter/macros/fillstar.C:
     - add new parameter

   * datacenter/macros/setupdb.C:
     - adapted to new column in db

   * callisto_Dec04Jan05.rc:
     - set value for MJPedestalY2.MaxEvents from 2000 to 5000 to get 
       better statistics for the calculation of the mean pulse time
       of the cosmisc

   * datacenter/scripts/runganymed:
     - fixed bug in path



 2005/05/19 Thomas Bretz

   * msignal/MExtractTimeAndCharge.cc:
     - simplified a really cryptical use of the ?:-operator when
       the fLoGainFirst is calculated
     - fixed a bug introduced in the calculation of the derivatives

   * mmain/MEventDisplay.cc:
     - removed MC trigger display

   * mbase/MTaskList.[h,cc]:
     - member function to use MTaskList in a TIter

   * mhflux/MAlphaFitter.[h,cc]:
     - improved the output line plotted into the histogram
     - implemented getter for fSigInt
     - start integration in first bin not in underflow bin
     - added 'background' option for scaling

   * mhflux/MHAlpha.[h,cc]:
     - added some comments
     - improved DistancetoPrimitive

   * mhflux/MHThetaSq.[h,cc]:
     - derives the binning now from the cut value or the MAlphaFitter

   * mjobs/MJStar.cc:
     - moved weather data histogram back to the end - otherwise
       MEventRate is not initialized before



 2005/05/18 Thomas Bretz

   * mcalib/MCalibCalcFromPast.cc:
     - added missing fIntensQE to list of initialization in
       constructor

   * mcalib/MCalibrateData.cc:
     - fixed a bug which caused kNo to be ignored
     - removed a second check for the size of the badpixelcam

   * mjobs/MJCalibrateSignal.cc:
     - removed the obsolete second adding of filhil and filpul to
       the tasklist

   * mjobs/MJCalibration.cc:
     - do not display result or statistics if no execution has taken
       place

   * mjobs/MJStar.cc:
     - moved processing of CC-branch to the beginning of the tasklist

   * msignal/MExtractTimeAndChargeSpline.[h,cc]:
     - introduced some small changes to the validity range of
       some variables
     - determin the higher bound above which no search is done
       analog to the lower bound using the fall-time
     - CalcIntegral[Hi,Lo]Gain now returns sum. No need for a reference
     - fixed calling Integral[HI,Lo]Gain in cases we are at the edge of
       the valid range -- at a lot of position in the code random memory 
       above or below the arrays have been accessed.
     - improved the numercila stability of CalcIntegral[Hi,Lo]Gain
       more by calculating the number of steps from the rise and fall time.
       this should at least give consistent results on the same machine!

   * mbase/MContinue.cc:
     - fixed a namimg problem of the filter when it is added to
       the tasklist and has the same name as MContinue

   * mcalib/MCalibrationChargeCalc.cc:
     - for some sceen output the manipulator (inf) was missing

   * msignal/MExtractPINDiode.cc, mcalib/MCalibrationChargeCalc.cc,
     mcalib/MCalibrationChargeCam.cc:
     - fixed a problem with the fit (it always tried to display
       the fit-function somewhere)



 2005/05/17 Thomas Bretz
 
   * callisto.rc, callisto_Dec04Jan05.rc:
     - added new comments diescribing setup of MFCosmics

   * mfilter/MFCosmics.[h,cc]:
     - skip bad pixels using MBadPixelsCam
     - implemented a check in PostProcess about the fraction
       of events which survived or were rejected
     - added ReadEnv for setup

   * mfilter/Makefile:
     - added mbadpixels
     - removed mmain and manalysis

   * mhcalib/MHCalibrationChargeCam.h:
     - removed numbers from data member descrition -- too much
       to maintain

   * mhcalib/MHCalibrationChargePINDiode.h:
     - incremented version number (undocumented from bcn)

   * mjobs/MJCalibration.cc:
     - reorganized some TText output (undocumented from bcn)
     - overwrite the default of MaxNumberEmptyPixels by 0.05
       (undocumented from bcn)
     - print tasklist statistics also if eventloop returned
       KFALSE

   * msignal/MExtractTimeAndChargeDigitalFilter.cc:
     - changed fgLoGainStartShift from -2.8 to -1.8 
       (undocumented from bcn)

   * msignal/MExtractTimeAndChargeSlidingWindow.h:
     - increased version number from 0 to 1 (undocumented from bcn)



 2005/05/17 Markus Gaug (2005/05/16)

   * msignal/MExtractor.[h,cc]
     - introduce two new variables: fResolutionPerPheHiGain and 
       fResolutionPerPheLoGain, to be set by deriving extractors. 
     - set version number one higher.

   * msignal/MExtractFixedWindow.[h,cc]
   * msignal/MExtractTimeAndChargeSlidingWindow.[h,cc]
   * msignal/MExtractTimeAndChargeSpline.[h,cc]
   * msignal/MExtractTimeAndChargeDigitalFilter.[h,cc]
     - set the variables fResolutionPerPheHiGain and 
       fResolutionPerPheLoGain

   * msignal/MExtractPINDiode.[h,cc]
     - adapt to current PIN Diode signal, fit signal with Gaussian
     - set version number up by one.
     
   * msignal/MExtractedSignalPINDiode.[h,cc]
     - set new data member fExtractedChi2
     - set version number up by one.

   * mhcalib/MHCalibrationChargePINDiode.cc
     - adapt one function to newly used names.
     - adapt signal tests.

   * mjobs/MJPedestal.[h,cc]
     - read MBadPixelsCam together with extractor, if exisiting 
       (necessary for bad pixels exclusion in pulse position search).

   * mjobs/MJCalibration.[h,cc]
     - use MFCosmics in any case (not only for CT1-pulses) and apply 
       a quality criteria depending on number of rejected events: 
       MaxExcludedEvents (default: 50%). 



 2005/05/17 Daniela Dorner

   * datacenter/macros/setupdb.C
     - adapted to new column in datasetstatus-table

   * datacenter/macros/checkstardone.C
     - added (macro to check if star has been done for a sequence)

   * datacenter/scripts/checkstardone
     - added (script that executes checkstardone.C for all datasets

   * datacenter/scripts/checkfilesforsequenceavail, fillcallisto, 
     fillstar
     - fixed bug

   * datacenter/scripts/buildsequenceentries, doexclusions,
     writesequencefiles
     - adapted paths

   * datacenter/scripts/insertdataset
     - added logging

   * datacenter/scripts/runganymed
     - added (script to run ganymed automatically for datasets)

   * datacenter/scripts/runcallisto
     - adapted paths
     - fixed bug

   * datacenter/scripts/runstar
     - adapted paths
     - fixed bug

   * steps.rc
     - adapted resource file to needs of the new table in db



 2005/05/13 Daniela Dorner

   * datacenter/macros/insertdataset.C
     - added (macro, that inserts dataset into db)

   * datacenter/macros/setupdb.C
     - adapted to new table in db

   * datacenter/scripts/insertdatasets
     - added (script, that inserts datasets into db)

   * datacenter/scripts/sourcefile
     - added (file with commands and variables, that are needed by all
       scripts)

   * datacenter/scripts/buildsequenceentries, checkfilesforsequenceavail
                        copyscript, correcttime, doexclusions, 
                        filesondisk, fillcallisto, fillstar, runcallisto
                        runstar, writesequencefiles
     - adapted scripts to the usage of the sourcefile

   * datacenter/macros/fillcalib.C:
     - changed name of histogram according to change of Markus
     - removed debugoutput



 2005/05/13 Thomas Bretz

   * mreport/MReportCC.cc:
     - fixed reading of rep-files for versions newer than V200404070 

   * mpointing/MSrcPosCalc.cc
     - took a bugfix from Wolfgang to Loc0LocToCam and implemented it
       Wolfgang: the results are changed only minimally

   * msignal/MExtractTimeAndChargeSpline.cc
     - integration ranges were shifted by 0.2 FADC slices to the right. 
       Fixed in the new algorithm according to Markus' change.

   * mcalib/MCalibrationChargeCalc.h:
     - Incremented ClassVersion number by 1
   
   * mhcalib/MHCalibrationPulseTimeCam.cc:
     - removed a commented debug output

   * mjobs/MJCalibration.cc
     - new undocumented adjust of "Unsuitable"- and "Unreliable"-displays 
       for new exclusion criteria taken from bcn

   * manalysis/MEventRateCalc.cc:
     - some fixes. In some cases the event rate wasn't calculated
       anymore

   * mbadpixels/MBadPixelsCalc.cc:
     - fixed a bug when checking whether the check should be done
       or not (>0 was missing)

   * mhist/Makefile:
     - added MHWeather

   * mhvstime/MHVsTime.[h,cc]:
     - implemented new function the set minimum

   * mjobs/MJStar.cc:
     - read weather data (CC tree)
     - set minimum of rate-display to 0
     - display weather data for non-MC files

   * mmuon/MHSingleMuon.cc:
     - slight change to a comment

   * callisto.rc:
     - added new possible setup

   * callisto_Dec04Jan05.rc
     - added new possible setup
     - use default for MJCalibration.ExtractSignal.LoGainSwitch

   * mbadpixels/MBadPixelsCalc.cc:
     - exclude unsuitable pixels from mean/rms calculation
     - changed the lower bound for the second mean loop from
       0.5 to 0.66

   * mbadpixels/MBadPixelsCam.cc:
     - added case 102 returning the global unsuitable status
       of an event

   * mhist/MHCamEvent.h:
     - added default 0 to SetThreshold

   * mjobs/MJCalibrateSignal.cc:
     - use new case 102 for unsuitable display
     - enable counting (to get the correct display also with
       profile option switched on)

   * mraw/MRawRunHeader.cc:
     - after displaying millions of hex numbers switch back to dec



 2005/05/13 Markus Gaug (2005/05/12)

   * msignal/MExtractTimeAndChargeDigitalFilter.cc
     - set default extraction range in the high gain to 4.
     - set default weights file to cosmics_weights46.dat

   * mhcalib/MHCalibrationHiLoCam.cc
     - set Oscillations to kFALSE

   * mhcalib/MHCalibrationChargeCam.cc
     - set default for fNumHiGainSaturationLimit to 0.15

   * mjobs/MJCalibrateSignal.[h,cc]
     - put MHCalibrationHiLoCam and MHCalibrationPulseTimeCam directly 
       into tasklist if needed. Otherwise, it does not read the 
       resources from the config. file.


 2005/05/11 Markus Gaug (2005/05/11)

   * mjobs/MJPedestal.cc
     - adjust the fit ranges for the histogramming with moon data slightly.

   * mcalib/MCalibrationChargeCam.cc, mcalib/MCalibrationChargeCalc.cc
     - make a distinction between newly excluded pixels (by calibration)
       and previously excluded pixels in the displays and print-functions

   * mcalib/MCalibrationChargeCalc.cc
     - introduce the check for fluctuating arrival times.
     - set charge limit to from 2.5 to 4.5
     - introduce asymmetric exclusion due to "deviating number of phes":
       Default: -9.0 +4.5
     - make deviating number of phes unsuitable (see David's findings).
   
   * mbadpixels/MBadPixelsPix.h 
     - add kDeviatingNumPhes to function GetUnsuitableCalLevel()



 2005/05/13 Daniela Dorner

   * datacenter/scripts/runstar
     - fixed bug in the calculation of the number of to-do-files

   * datacenter/scripts/runcallisto
     - fixed bug in the calculation of the number of to-do-files



 2005/05/12 Daniela Dorner

   * datacenter/macros/fillcalib.C:
     - removed debugoutput

   * datacenter/macros/fillstar.C:
     - added (macro to read parameters from the star*.root files and
       fill them into the db)

   * datacenter/macros/setupdb.C:
     - added new table 'Star'

   * datacenter/macros/buildsequenceentries.C:
     - added delete-query for new table 'Star' in the delete function

   * datacenter/scripts/runstar
     - changed number of processes

   * datacenter/scripts/runcallisto
     - changed number of processes

   * datacenter/scripts/fillstar
     - added (script to run macro fillstar.C automatically)



 2005/05/12 Thomas Bretz

   * mcalib/MCalibrationChargeCam.cc:
     - fixed a bug in FinalizeArrivalTime which caused Form() to hang

   * mmuon/MHMounPar.[h,cc]
     - added a line showing a reference shape

   * star.rc:
     - added setup strings for software trigger

   * mbase/MContinue.cc:
     - allow setup of already set filters in ReadEnv. They must not
       necessarily be already in the tasklist

   * mcalib/MCalibrationChargeCalc.cc:
     - shortened a lot of Form() calls to reduce the risk of
       memory corruption

   * mjobs/MJCalibration.cc:
     - some cosmetics to text in pad

   * mraw/MRawRunHeader.[h,cc]:
     - a fix to MRawRunHeader because the definition of the
       raw-data format has changed. fProjectName and fSourceName
       has no trailig \0 anymore by default
     - incremented ClassVersion by 1



 2005/05/12 Markus Meyer

   * mmuon/MHMounPar.[h,cc]
     - added function Paint. This function integrates the TProfile
       ArcWidth/Radius Vs. Radius between certain values and shows
       the result in the Status Display

   * mmjobs/MJStar.cc
     - changed the default values for the final muon cuts
     
   * star.rc
     - changed the default values for the final muon cuts



 2005/05/11 Thomas Bretz

   * mbase/MStatusDisplay.cc:
     - fixed year of copyright

   * mcalib/MCalibCalcFromPast.cc:
     - undocumented change from BCN: a new resource has been implemented
       in ReadEnv (NumEventsDump)

   * mjobs/MJob.[h,cc]:
     - added new static member function which can be used
       to overwrite relative paths with a default



 2005/05/11 Abelardo Moralejo (2005/05/11)

   * mjobs/MJPedestal.cc
     - Fixed use of MFTriggerPattern: first, added it to the tasklist
       (was missing); second, added to tasklist MTriggerPatternDecode
       before MFTriggerPattern. This was the reason for the problems
       reported by T. Coarasa on May 9. I do not know why the behaviour
       of the previous version depended on compiler, but this seemed to 
       be the case...



 2005/05/11 Markus Gaug (2005/05/11)

   * mjobs/MJCalibration.cc
     - display in Tab "Conv" in the 3rd column the conversion to equiv. 
       phes instead of Cherenkov photons. 
   
   * mjobs/calibrationref.rc,  mjobs/calibrationref_Nov04.rc,
     mjobs/calibrationref_Dec04.rc:
     - add reference lines for the conv. to equiv. phes.

   * mcalib/MCalibrationChargeCam.cc, mcalib/MCalibrationChargeCalc.cc:
     - make a distinction between newly excluded pixels (by calibration)
       and previously excluded pixels in the displays and print-functions

   * mcalib/MCalibrationChargeCalc.cc
     - introduce the check for fluctuating arrival times.
     - set charge limit to from 2.5 to 4.5



 2005/05/10 Markus Gaug (2005/05/10)

   * mhcalib/MHCalibrationHiLoCam.cc
     - ask for averageing and do not fill the arrays per pixel any more. 
       This caused too much memory usage for the calculation of the 
       high-gain low-gain inter-calibration constants.

   * mcalib/MCalibrationChargePix.[h,cc]
     - store number of saturated events in the results container.
     - set version number by one higher (due to new data member).
 
   * mhcalib/MHCalibrationChargeCam.cc
     - store number of saturated events in the results container.
     - allow reading of NumHiGainSaturationLimit and 
       NumLoGainSaturationLimit in ReadEnv
     - set saturation limit from 5% to 8.5%

   * mbadpixels/MBadPixelsPix.h
     - introduce new bits: kDeadPedestalRms, kPreviouslyExcluded, 
       kFluctuatingArrivalTimes

   * mbadpixels/MBadPixelsCam.cc
     - set bit kPreviouslyExcluded in the AsciiRead-Function
     - include three new bits in the Print() function

   * mjobs/MJCalibration.cc
     - display excluded pixels from DeadPedestalRms in Defect-Tab.
     - display correct error of the RMS/Mean charge diagramm.

   * mcalib/MCalibrationChargeCam.cc
     - calculate the error of RMS/Mean values in GetPixelContent Nr.33



 2005/05/11 Hendrik Bartko (2005/05/09)

   * msignal/MC_weights46.dat
     - updated weights file for digital filter with dedicated MC weights
       with 4 slices for the high gain and 6 slices for the low gain



 2005/05/10 Daniela Dorner

   * datacenter/macros/fillcalib.C:
     - added some parameters (reading from calib*.root and inserting
       into db)

   * datacenter/macros/setupdb.C:
     - adapted macro to the new columns in the calibration db

   * datacenter/macros/fillsignal.C:
     - fixed typo



 2005/05/10 Markus Meyer

   * mmuon/*:
     - update of the class documentation
     
   * mmuon/*:
     - commented out the ArcLength and Estimpact (will be not 
       calculated for the moment)



 2005/05/10 Thomas Bretz

   * mreport/MReportStarguider.cc:
     - introduced the correct version which marked the fix of the
       units of the nominal position

   * callisto.rc:
     - introduced a new line for new option in MCalibColorFromPast

   * ganymed.cc:
     - removed option "--full-display" -> now default

   * manalysis/MEnergyEstimate.cc:
     - print the rule a bit earlier in PreProcess

   * mfilter/MFDeltaT.cc:
     - fixed a typo in the output

   * mhflux/MAlphaFitter.cc:
     - some improvements to output

   * mjobs/MJCut.cc:
     - added ThetaSquared to output

   * mjobs/MJStar.cc:
     - fixed bug in copying of OriginalMC tree

   * mmuon/MMuonCalibParCalc.cc:
     - removed obsolete setting of ReadyToSave

   * mjobs/MJSpectrum.cc:
     - made sure the correct type of MHAlpha is used



 2005/05/10 Markus Gaug (2005/05/09)

   * mjobs/hilocalib_sp1.root
   * mjobs/hilocalib_sp1_mc.root
     - new hi-lo intercalibration files with the fixed spline extractor.

   * mjobs/hilocalib_df46_mc.root
     - new hi-lo intercalibration files from MC with the left out -O5 
       option. (The real data files had already the correct executable).



 2005/05/10 Hendrik Bartko (2005/05/09)

   * msignal/MC_weights46.dat
     - NEW weights file for digital filter with dedicated MC weights
       with 4 slices for the high gain and 6 slices for the low gain



 2005/05/10 Markus Gaug (2005/05/08)

   * mhcalib/MHCalibrationCam.[h,cc]
     - introduce parameters fLowerFitLimit and fHigherFitLimit to 
       tell explicitly from outside to fit functions in a certain 
       range. If both are 0. (default), the histogram limits define 
       the fit limits (as before).



 2005/05/10 Abelardo Moralejo (2005/05/07)

   * mcalib/MMcCalibrationCalc.cc
     - in Process, fixed wrong estimate of true number of "equivalent 
       photoelectrons" (correctedphotel). This worked roughly OK as long
       as the file used for calibration was a (noiselesss) gamma file,
       because most light is contained in the inner camera and the
       problem was related to the light going into the outer pixels. So
       results are not much affected, unless one uses for calibration 
       a file with events having a lot of light in the outer camera.
       Thomas Hengstebeck noticed this problem when he used a file of MC 
       calibration pulses in mccalibrate.C

   * manalysis/MMcCalibrationUpdate.[h,cc]
     - Added possibility to set the hi to lo gain conversion factor. 
       Until now the factor was simply the ratio of pulse areas as read
       from MMcFadcHeader. This of course is not the factor to be applied 
       to the extracted signals unless the extractor integrates the full 
       pulse in both high and low gain. The factor depends then on the
       extractor, and the user has to find out what its value is.
       Set as default calibration type kPhe.

   * macros/mccalibrate.C, starmc.C
     - Added the setting of the hi to lo gain conversion factor (see 
       above). For now it has to be calculated by the user. However, it
       is strongly recommended from now on to use always callisto for the
       calibration of real data, and not these macros. These are kept 
       just for checking purposes, mostly by "experts".



 2005/05/10 Robert Wagner (2005/05/06)

   * mreport/MReportStarguider.[h,cc]:
     - Bugfix: Sequence of extracting fDevZd and fDevAz (switched)



 2005/05/10 Markus Gaug (2005/05/05)

   * mcalib/MCalibCalcFromPast.[h,cc]
     - introduce flag "fUpdateWithFFactorMethod" which allows to use the
       entire results obtained with the F-Factor method (including a new 
       number of mean photo-electrons). This possibility is switched on 
       (only) if somewhere in the callisto.rc file the following line is 
       written:
         MJCalibrateSignal.MCalibCalcFromPast.UpdateWithFFactorMethod: yes
       (Default is still the old way of adjusting the relative extracted 
       charges w.r.t. the mean charge over the inner camera).



 2005/05/10 Markus Gaug (2005/05/02)

   * mcalib/MCalibrationChargeCam.[h,cc]
     - added new function MergeHiLoConversionFactors

   * mcalib/MCalibColorSteer.[h,cc]
     - introduce copying of hi-lo calibration factors from one cam to 
       the next in intensity calibration.
     - added storage of averageing histograms of flag fHistStorage is
       set

   * mcalib/MCalibrationIntensityCam.[h,cc]
     - introduce place for storage of averageing histograms (if wanted).



 2005/05/09 Markus Meyer

   * mmuon/MHSingleMuon.cc
     - changed the default value for the binning of fHistPhi
     - changed the start parameter for the gaussian fit for the
       calculation of ArcWidth



 2005/05/09 Thomas Bretz

   * callisto.cc, ganymed.cc, mars.cc, merpp.cc, readdaq.cc,
     readraw.cc, showplot.cc, sinope.cc, sponde.cc, star.cc:
     - changed order of initialization such that a real NULL 
       output is possible
     - changed TApplication name from upper to lower case
     - in some applications replaced manual setup of gLog with
       gLog.Setup

   * showlog.cc:
     - improved alorithm

   * showplot.cc:
     - implemented Print options

   * mbase/MLog.[h,cc]:
     - fixed a bug which caused output in NULL output
     - added Getter IsNullOutput

   * mbase/MStatusDisplay.[h,cc]:
     - implemented PDF and SVG printing
     - moved "Save As Something" to new submenu
     - fixed and improved printing
     - implemented PrintDialog for printing
     - implemented printing of log (untested)
     - allow saving by extension (line Print() in root): SaveAs

   * mfileio/MWriteRootFile.h:
     - replaced BIT(17) by BIT(23) to improve compatibility with
       root 4.04/00 and upcomming versions

   * mhflux/Makefile, mjobs/MJCut.cc:
     - replaced MTheta by MThetaSq to get rid of a problem
       with the automatic naming of the binning (BinningTheta)

   * mhist/MHCamera.[h,cc]:
     - fixed a workaround (it has been fixed in root 4.04/00)
     - allow setting the palette through the Draw-option. This allows
       storage of the palette
     - removed fColor. The palette is now diretly set though gStyle in
       Paint

   * mjobs/MJOptimize.cc:
     - restore null output correctly after eventloop

   * mjobs/MJSpectrum.cc:
     - renamed Hist and HistOff to HistE and HistEOff
     - added binnings M3Long and Conc1



 2005/05/06 Thomas Bretz

   * mbase/MStatusDisplay.cc:
     - fixed constructor to work with newer root versions
       (gClient!=NULL)

   * mfileio/MWriteRootFile.h:
     - added a comment about BITs used by root

   * mhflux/MHEffectiveOnTime.cc:
     - use 1e-10 instead of 0 in TPad::Divide



 2005/05/06 Daniela Dorner

   * datacenter/scripts/copyscript:
     - added command to ensure the correct permissions of the files
       on disk



 2005/05/04 Markus Meyer

   * mjobs/MJStar.cc:
     - added cut in ArcWidth (final cuts for muons)
     
   * star.rc:
     - added cut in ArcWidth
     
   * mmuon/MHSingleMuon.h
     - added a Getter for fHistWidth



 2005/05/04 Thomas Bretz

   * mfileio/MWriteRootFile.cc:
     - fixed a possible infinite loop when compiling the new
       file name as suggested by Abelardo

   * mhflux/MHAlpha.cc:
     - search for fName+"Off" instead of ClassName()+"Off"

   * mjobs/MJSpectrum.cc:
     - scale the displayed zd-plots by their maximum as the 
       histograms are scaled before

   * mjobs/MJStar.cc:
     - implemented writing of the muon parameters. This takes another
       5% of the time (in total 15-20% for muon analysis). It enlarges
       the file size by roughly 15% (a test file was enlarged from
       5.1M to 5.9M)

   * mmuon/MMuonCalibPar.cc:
     - set default of ArcPhi to an invalid value = -1

   * mreport/MReportDrive.cc:
     - fixed a typo in the comments



 2005/05/03 Thomas Bretz

   * mjobs/MJCut.cc:
     - added histogram <Fake->'OnTime' for MC

   * mpointing/MSrcPosCalc.cc:
     - removed dependancy on MTime for MC

   * star.cc:
     - addde possibility to switch off  muon analysis

   * star.rc:
     - added parameters for muon analysis

   * mbadpixels/MBadPixelsCam.cc:
     - fixed a typo in a comment

   * mjobs/MJStar.[h,cc]:
     - added possibility to switch off muon analysis

   * mjobs/Makefile:
     - added -I../mmuon

   * mjobs/MJCut.cc, mjobs/MJSpectrum.cc:
     - renamed MHAlpha to Hist (to have a common naming for all options)
     - renamed MHAlphaOff to HistOff



 2005/05/02 Thomas Bretz

   * ganymed.rc:
     - updated to the latest changes

   * mhflux/MHAlpha.[h,cc]:
     - made a base class with the necessary interface to derived classes
       to support other variables like dca or theta

   * mjobs/MJCut.[h,cc]:
     - added support for MHAlpha derived classes
     - made MHTheta the default

   * mhflux/MHTheta.[h,cc]:
     - added

   * mhflux/Makefile, mhflux/FluxLinkDef.h:
     - added MHTheta



 2005/04/29 Thomas Bretz

   * manalysis/MEventRateCalc.cc:
     - fixed jumps when a new run is initiated
     - set as time a time which represents the starting point
       of the calculation interval in all cases

   * star.rc, mmuon/MMuonCalibParCalc.cc, mmuon/MMuonSetup.[h,cc]:
     - fixed wrong units of thresholds for muon analysis

   * mmuon/MHSingleMuon.cc:
     - removed obsolete conversion factor in error calculation
     - FindeCreateObj called for MMuonSetup
     - get NDF from fit
     - optimized FindRangeAboveThreshold
     - handle special case when arcphi is 360deg

   * star.cc:
     - replaced ProcessFile by Process

   * mjobs/MJSpectrum.cc:
     - renamed second MHAlpha tab to MHAlphaOn to be able to
       access each tab uniquely
     - fixed a bug calling SetStats which could cause crashes

   * mjobs/MJStar.[h,cc]:
     - preliminary implementation of the muon analysis
     - reanamed ProcessFile to Process



 2005/04/28 Thomas Bretz

   * manalysis/MMultiDimDistCalc.[h,cc]:
     - replaced MHadronness by MParameterD

   * mhflux/MHEnergyEst.cc:
     - removed obsolete include of MEnergyEst

   * mmuon/MHMuonPar.cc:
     - fixed a type in an axis label



 2005/04/27 Thomas Bretz

   * Makefile:
     - added mmuon
     - remobed mstarcam

   * callisto.cc, ganymed.cc, star.cc:
     - renamed ProcessFile to Process

   * star.rc:
     - added some muon parameters

   * mastro/MAstroCamera.[h,cc]:
     - temporarily removed interface to MStarPos

   * mbase/MStatusArray.h:
     - added default constructor

   * mcalib/MCalibColorSet.cc:
     - added runs 39942, 39944, 44834, 39941, 39943 and 44833
       (undocumented change from the BCN cvs)

   * mjobs/MJCalib.[h,cc], mjobs/MJCalibTest.[h,cc],
     mjobs/MJCalibrateSignal.[h,cc], mjobs/MJCalibration.[h,cc],
     mjobs/MJCut.[h,cc], mjobs/MJPedestal.[h,cc]:
     - removed support for MRunIter (use the setter of MSequence
       instead) -- this makes the code a lot easier to maintain
     - removed support for autodetection if the output already exists --
       this makes the code a lot easier to maintain
     - renamed ProcessFile to Process - which was missleading

   * mmuon/MHMuonPar.[h,cc]:
     - changes to axis labels etc.

   * mmuon/MMuonCalibPar.[h,cc]:
     - removed the histograms and all obsolete variables
     - removed obsolete SetUseUnmap (this cannot happen 
       by definition of Unmap)

   * mmuon/MMuonCalibParCalc.[h,cc]:
     - moved the code for calculation the parameters to new class
       MHSingleMuon

   * mmuon/MMuonSearchPar.[h,cc]:
     - replaced arbitrary fir by minuit (faster and more accurate)
     - removed precalculation of muon center - makes fit worse

   * mmuon/MMuonSearchParCalc.[h,cc]:
     - fixes to comments
     - fixes to includes

   * mmuon/MMuonSetup.[h,cc]:
     - binnings removed (replaces by MBinning)

   * mmuon/Makefile, mmuon/MuonLinkDef.h:
     - added MHSingleMuon

   * msignal/MExtractTimeAndchargeSpline.cc:
     - fixed a bug found by Abelardo which could cause different
       results with different compiler optimiztaion options due
       to rounding errors.



 2005/04/25 Thomas Bretz

   * ganymed.cc:
     - changed policy of writing the resulting events to the result file

   * sponde.cc:
     - added commandline option to use all monte carlos
     - added command line option to read the MCs more accurate

   * sponde.rc:
     - added

   * mbase/MStatusDisplay.[h,cc]:
     - added some code to get Tab by name
     - fixed a typo in a status line output

   * mhbase/MH.[h,cc], mhbase/MH3.[h,cc], mhflux/MHFalseSource.h,
     mhist/MHCamEvent.[h,cc], mhist/MHCamEventRot.h,
     mhist/MHEvent.h, mhist/MHStarMap.h, mhist/MHTriggerLvl0.[h,cc],
     mhistmc/MHMcTriggerLvl2.[h,cc], mhvstime/MHPixVsTime.[h,cc],
     mhvstime/MHSectorVsTime.[h,cc], mimage/MHHillas.[h,cc],
     mimage/MHHillasExt.[h,cc], mimage/MHHillasSrc.[h,cc],
     mimage/MHImagePar.[h,cc], mimage/MHNewImagePar.[h,cc]:
     - changed GetHistByName to be const-qualified to be compatible
       with FindObject
     - added some FindObject function to call GetHistByName

   * mhflux/MHAlpha.[h,cc]:
     - changed such, that it can be forced to display the excess
       events versus size

   * mjobs/MJCut.[h,cc]:
     - display number of excess events versus Size per default
     - removed energy estimator

   * mjobs/MJOptimize.cc:
     - display number of excess events verss size after optimization

   * mjobs/MJSpectrum.[h,cc]:
     - implemented setting up energy estimator
     - replaced some gLog by fLog
     - display comparison of image parameters



 2005/04/22 Thomas Bretz

   * mbase/MStatusArray.[h,cc]:
     - switch off adding histograms to gDirectory in newly
       overwritten Read-function

   * mhflux/MHCollectionArea.[h,cc]:
     - implemented member function GetHistSel
     - don't display full statistics
     - fixed a possible crash in Paint



 2005/04/22 Markus Meyer

    * mmuon/MMuonSetup[.h.cc]: 
      - new container class for muon parameters
        which are not changing from event to event
        (setup parameters for the analysis). These
        parameters were stored in MMuonCalibPar before
      
    * mmuon/MMuonCalibPar[.h.cc]:
      - changed MCerPhotEvt and MCerphotPix to MSignalCam
        and MSignalPix to read the new format
      - removed the setup parameters (stored now in 
        MMuonSetup)
      - removed all the sanity checks
      - removed pre-cuts
      - cuts in process, to save only muon-like events
      
    * mmuon/MMuonCalibParCalc[.h.cc]:
      - changed MCerPhotEvt and MCerphotPix to MSignalCam
        and MSignalPix to read the new format
      - removed pre-cuts
      
    * mmuon/MMuonSearchPar[.h.cc]:
      - changed MCerPhotEvt and MCerphotPix to MSignalCam
        and MSignalPix to read the new format
      - 
	
    * mmuon/MMuonSearchParCalc[.h.cc]:
      - changed MCerPhotEvt and MCerphotPix to MSignalCam
        and MSignalPix to read the new format
	
    * mmuon/MHMuonPar[.h.cc]:
      - new histgram class, plots different muon 
        parameters



 2005/04/21 Daniela Dorner

   * datacenter/scripts/runcallisto: 
     - fixed choice of todofile
     
   * datacenter/scripts/copyscript:
     - adapted some paths
     
   * datacenter/macros/filldotrun.C:
     - added 6 new arehucas versions
     
   * datacenter/scripts/writesequencefile:
     - added make path for sequencefiles



 2005/04/21 Thomas Bretz

   * mhcalib/MHCalibrationRelTimeCam.cc:
     - fixed usage of a uninitialized pointer

   * mjobs/MJCalibrateSignal.cc, mjobs/MJCalibration.cc:
     - fixed usage of MFTriggerPattern

   * mtrigger/MFTriggerPattern.[h,cc]:
     - allow to set default from outside in case no pattern
       could be decoded



 2005/04/20 Thomas Bretz

   * callisto.cc:
     - added a comment which shows how to correctly skip job2 if
       extractor doesn't inherit from MExtractTimeAndCharge, but...
       // This could skip job2 if extractor doesn't inherit from
       // MExtractTimeand Charge... but this is not necessary.
       // We only get the same pedestal twice (which we want to have
       // anyhow. A switch when using the result of job2 later is also
       // not necessary, because without running job2 it is identical
       // with job1

   * mjobs/MSequence.cc:
     - use the sequence number'd directories in case of calibrated data
       and image files instead of the date.

   * mhflux/MAlphaFitter.cc:
     - copy also results in Copy()

   * mjobs/MJOptimize.cc:
     - print result of optimization in case MAlphaFitter is used
     - store results back in initial MAlphaFitter

   * mjobs/MJSpectrum.[h,cc]:
     - implemented a faster simple mode weighting the read spectrum
       with the theta-probability



 2005/04/20 Daniel Mazin (2005/04/18)

   * mreport/MReportCamera.[h,cc]
     - added necessary changes to include Active Load and Central Pixel 
       info from Camera reports
   
   * mcamera/MCameraActiveLoad.[h,cc]
     - added to store Active Load info from the Camera reports

   * mcamera/MCameraCentralPix.[h,cc]
     - added to store Central Pixel info from the Camera reports

   * mcamera/Makefile 
   * mcamera/CameraLinkDef.h 
     - added MCameraActiveLoad and MCameraCentralPix classes



 2005/04/20 Markus Gaug (2005/04/15)

   * mcalib/MCalibrationChargeCam.[h,cc]
     - added new function CopyHiLoConversionFactors



 2005/04/20 Markus Gaug (2005/04/14)

   * mcalib/MCalibColorSteer.[h,cc]
     - fixed a bug in the recognition of the calibration bit pattern. 
       Concerns only intensity calibration.

   * mcalib/MCalibrationRelTimeCalc.cc
     - return kTRUE instaed of kFALSE in case that the Process() has 
       never been executed.

   * mjobs/MJCalibration.cc
     - add a filter against PIN Diode events since some of the recent 
       calibration runs have been taken with Pin Diode.



 2005/04/12 Markus Gaug

   * mcalib/MCalibrationCam.[h,cc]
     - added a storage place for the run number

   * mcalib/MCalibCalcFromCalc.[h,cc]
     - store the run number in the individual MCalibrationCams 



 2005/04/19 Thomas Bretz

   * mjobs/MJCut.cc:
     - fixed a problem when not enabling "--res"

   * mimage/MHVsSize.[h,cc]:
     - added more displayed variables

   * mjobs/MJSpectrum.[h,cc]:
     - added

   * mjobs/Makefile, mjobs/JobsLinkDef.h:
     - added MJSpectrum

   * Makefile:
     - added sponde.cc

   * sponde.cc:
     - added

   * mhbase/MBinning.h:
     - added Print() to //*MENU*

   * mhflux/MAlphaFitter.cc:
     - do not set inf-flag in Print()

   * mhflux/MHAlpha.[h,cc]:
     - set all-flag for printing MAlphaFitter("result")
     - added Getter for excess histogram

   * mjobs/MDataSet.[h,cc]:
     - allow to initialize a TChain from this dataset

   * mjobs/MJCut.cc:
     - moved energy estimator back before Cut0 otherwise the
       EnergyEst container is missing in summary file

   * mhflux/MHCollectionArea.cc:
     - draw efficiency into third pad



 2005/04/18 Thomas Bretz

   * manalysis/MCompProbCalc.cc, mbadpixels/MBadPixelsCalc.cc,
     mbadpixels/MBadPixelsTreat.cc:
     - some fixes to documentation (THtml complained about missing
       classes)

   * mbase/MStatusArray.[h,cc]:
     - implemented some functions to print contents of StatusArray
       and/or tab/canvas.

   * mhbase/MFillH.cc:
     - remove fH from ListOfPrimitives before adding Clone in
       PostProcess

   * mhbase/MH.[h,cc]:
     - implemented new member function RemoveFromPad (necessary
       if a class should support same-option)

   * mimage/MHHillas.cc, mimage/MHHillasExt.cc, mimage/MHHillasSrc.cc,
     mimage/MHImagePar.cc, mimage/MHNewImagePar.cc, mimage/MHVsSize.cc:
     - fixed naming in case of same-option in Draw
     - remove previous histograms from pad in case of same-option

   * mjobs/MJCut.[h,cc]:
     - write all binnings in WriteResult
     - write MHillasExt to output
     - BinningWidth, BinningLength and BinningDist added

   * mjobs/MJOptimize.[h,cc]:
     - fixed a typo in output
     - allow to exchange Test-/Train-Sample

   * ganymed.cc:
     - implemented "-mc" option to allow cutting MC samples

   * showlog.cc:
     - implemented real treatment of debug-levels
     - return 1 instead of 0 in cae of normal finish

   * manalysis/MEnergyEstimate.h, mbase/MContinue.h,
     mhflux/MAlphaFitter.h:
     - added Print() to context //*MENU*

   * manalysis/MMatrixLoop.cc:
     - fixed returning of number of entries if using split mode

   * mbase/MContinue.cc:
     - implemented Print() function

   * mbase/MParContainer.[h,cc]:
     - in Read set name of object to argument name if argument!=NULL
     - reordered some checks for Method calls

   * mdata/MDataFormula.cc:
     - fixed a problem with the replacement if using [?] for
       fits

   * mfbase/MFEventSelector2.cc:
     - replaced some +=1 and -=1 by ++ and --

   * mfileio/MReadMarsFile.cc:
     - fixed a bug which caused Preprocess to crahs if instatiated
       with default constructor

   * mhbase/MH.cc, mhflux/MHEffectiveOnTime.cc:
     - use dynamic_cast if getting "stats"

   * mhflux/MAlphaFitter.cc:
     - small updates to output

   * mhflux/MHEnergyEst.cc:
     - fixed all axis lables
     - implemented fit of resolution
     - initialize fBias=0 in SetupFill
     - enhances Print() output

   * mjobs/MJCalibrateSignal.cc:
     - moved all tasks for interleaved calibration events to
       a third tasklist

   * mjobs/MJCut.[h,cc]:
     - implemented correct treatment of MC files
     - write resulting events to result file if no filename set
     - moved energy estimator behind cuts

   * mjobs/MJOptimize.cc:
     - changed RunEnergy such, that it can correctly treat
       MC files written by ganymed using wobble-mode

   * mbase/MStatusDisplay.cc:
     - fixed a possible crash in GetFullPad

   * mhbase/MBinning.[h,cc]:
     - implemented Copy Constructor

   * mhflux/MHCollectionArea.h:
     - call CalcEfficiency in Finalize

   * mhflux/MHEnergyEst.[h,cc]:
     - implemented GetWeights

   * mimage/MHHillas.cc, mimage/MHHillasExt.cc, mimage/MHHillasSrc.cc,
     mimage/MHImagePar.cc, mimage/MHNewImagePar.cc, mimage/MHVsSize.cc:
     - remove histograms from global directory if name was changed
       in Draw

   * mimage/MHVsSize.cc:
     - exhanged the arguments of TMath::Sign



 2005/04/14 Thomas Bretz

   * Release 0.9.1



 2005/04/14 Thomas Bretz

   * mjobs/MJCut.cc:
     - added MPointingPos to output



 2005/04/13 Thomas Bretz

   * mbase/MStatusDisplay.[h,cc]:
     - implemented new Image types which can be written

   * mhbase/MBinning.[h,cc]:
     - added some more constructors which can set the binning directly

   * mhflux/MHEnergyEst.h:
     - added getter for fHEnergy

   * mhflux/FluxLinkDef.h, mhflux/Makefile:
     - added MHCollectionArea

   * mhflux/MHCollectionArea.[h,cc]:
     - added



 2005/04/13 Daniela Dorner

   * datacenter/macros/fillcalib.C:
     - added update
   
   * datacenter/scripts/copyscript
     - fixed bug / changed path
   
   * datacenter/macros/setupdb.C
     - added table



 2005/04/12 Daniela Dorner

   * datacenter/macros, datacenter/scripts:
     - added
   
   * datacenter/macros/buildsequenceentries.C, 
     datacenter/macros/checkfileavail.C, 
     datacenter/macros/doexclusions.C, 
     datacenter/macros/fillcalib.C, 
     datacenter/macros/filldotrbk.C, 
     datacenter/macros/filldotrun.C, 
     datacenter/macros/fillsignal.C, 
     datacenter/macros/findcacofiles.C, 
     datacenter/macros/getdolist.C, 
     datacenter/macros/insertcacofile.C, 
     datacenter/macros/insertdate.C, 
     datacenter/macros/resetallruns.C, 
     datacenter/macros/setstatus.C, 
     datacenter/macros/setupdb.C, 
     datacenter/macros/writesequencefile.C, 
     datacenter/scripts/buildsequenceentries
     - added macros to do the automatic procedures in the datacenter
     
   * datacenter/scripts/checkfilesforsequenceavail, 
     datacenter/scripts/copyscript, 
     datacenter/scripts/correcttime, 
     datacenter/scripts/doexclusions, 
     datacenter/scripts/filesondisk, 
     datacenter/scripts/fillcallisto, 
     datacenter/scripts/runcallisto, 
     datacenter/scripts/runstar, 
     datacenter/scripts/writesequencefiles
     - added scripts to do the automatic procedures in the datacenter

   * automatic-exclusions.rc, steps.rc
     - added rc files for the automatic procedures



 2005/04/12 Thomas Bretz

   * Makefile:
     - for the moment remove mhistmc from compilation

   * ganymed.cc:
     - return 2 when detecting wrong commandline argument

   * manalysis/AnalysisLinkDef.h, manalysis/Makefile:
     - removed MEnergyEst (replaced by a simple MParameterD)

   * manalysis/MEnergyEstimate.[h,cc]:
     - replaced MEnergyEst by MParameterD
     - implemented Print() function
     - updated ClassVersion from 0 to 1 to allow storage of 
       energy estimator

   * mbase/MStatusArray.[h,cc]:
     - overloaded DisplayIn to allow displaying a single tab
     - added some output if ObjectInCanvas not found

   * mbase/MStatusDisplay.[h,cc]:
     - enhanced Read() and Display() with the possibility to only
       read or display a single tab

   * mcalib/MCalibrateData.cc:
     - enhancements to logging output

   * mcalib/MCalibrationRelTimeCalc.cc:
     - some fixes to format of logging output

   * mfbase/MF.[h,cc]:
     - changed kAllowEmpty from a bit to the new datamember fAllowEmpty.
       This was necessary to allow storage of MF into files
     - changed ClassVersion from 0 to 1

   * mhbase/MBinning.cc:
     - fixed SetEdgesRaw (lin, log, etc was ignored)

   * mhflux/MHAlpha.[h,cc]:
     - replaced MEnergyEst by MParameterD
     - renamed Theta to ExcessTheta
     - renamed Energy to ExcessEnergy
     - renamed Size to ExcessSize
     - renamed Time to ExcessTime

   * mhflux/MHEnergyEst.[h,cc]:
     - replaced MEnergyEst by MParameterD
     - implemented Print() function
     - some fixes to displaying the histograms. This makes sure,
       that no crashes happen, but unluckily it works correctly only
       with root 4.02/00

   * mjobs/MJOptimize.[h,cc]:
     - implemented a AddPreCut taking a MFilter as argument
     - SetBit(kCanDelete) for all internal PreCuts
     - Print the result of the energy estimation after it was done

   * mranforest/MRFEnergyEst.[h,cc]:
     - replaced MEnergyEst by MParameterD

   * mfileio/MReadTree.cc:
     - shortened the output a bit when siwtching to the next file



 2005/04/11 Thomas Bretz
 
   * manalysis/MMatrixLoop.[h,cc]:
     - implement option to divide matrix into two samples

   * mhflux/MHEnergyEst.cc:
     - changed to display projection of enegry resolution
     - fixed to use correct minimization value

   * mjobs/MJOptimize.[h,cc]:
     - implemented option to divide sample into test/train

   * mcalib/MCalibCalcFromPast.cc, mcalib/MCalibColorSteer.cc,
     mcalib/MCalibrationChargeCalc.cc, mhcalib/MHCalibrationCam.cc:
     - small updates to log-output

   * mhflux/MAlphaFitter.cc:
     - output scale-factor

   * mhist/MHCamera.cc:
     - as a workaround for a severe problem in gStyle->SetPalette
       when using the deep blue sea I have switched off this
       Platte for the moment



 2005/04/08 Markus Gaug (2005/04/07)

   * mhcalib/MHCalibrationChargeCam.cc:
     - UNDOCUMENTED CHANGE: Do not call histlo.CreateFourierSpectrum()
       if IsOscillations()

   * mjobs/MJCalibrateSignal.cc:
     - UNDOCUMENTED CHANGE: Set SetOscillations(kFALSE) for
       hchacam, hbndcam, hrelcam

   * mhcalib/MHCalibrationRelTimeCam.cc:
     - fill array only if IsOscillations() is true. This is the case in 
       all classes deriving from MHCalibrationCam, except for this one! 
       The effect was that the interlaced calib. events occupied more 
       and more memory becoming slower and slower because the option: 
       SetOscillations(kFALSE) was not treated correctly. 

   * mjobs/pedestalref_Dec04.rc
     - update the reference lines in the display according to the spline
       extractor.

   * mjobs/MJCalibration.cc
     - clarify a mis-leading histogram title

   * callisto_Dec04Jan05.rc:
     - UNDOCUMENTED CHANGE: use the pedestref_Dec04.rc as reference
       file.



 2005/04/08 Thomas Bretz

   * mhbase/MH3.cc:
     - replaced all Float-histograms by double histograms. This
       is backward compatible with I/O and has the advantage, that
       we are compatible with most other double histograms used in
       Mars

   * mhflux/MHEnergyEst.cc:
     - made the energy binning the same than in all other classes

   * mreport/MReportStarguider.[h,cc]:
     - implemented new values from new starguider report as defined
       in TDAS00-07 V7.1
     - Fixed the formerly wrong unit of fDevAz and fDevZd (unit now
       is arcmin)

   * mjobs/MJCalibrateSignal.cc:
     - first replaced contmc by a new filter Markus G. used, but
       after a discussion with Abelardo it turned out, that the 
       original filter does a better job, becuase it takes both
       (level 1 trigger and minimum number of phes) conditions
       used in the MC into account.

   * mjobs/MJCut.cc:
     - added a plot: Effective-On-Time versus Theta used to produce
       a spectrum

   * mjobs/MJCalibrateSignal.cc:
     - removed condition IsUseBlindPixel() and IsUsePINDiode from
       setting filter and applied it to the corresponding task

   * mjobs/MDataSet.cc:
     - fixed a bug using the default paths



 2005/04/07 Thomas Bretz

   * mpointing/MSrcPosCalc.cc:
     - also skip Process if fSourcePos==NULL, this happens in real
       data, too, if no pointing correction is done.

   * manalysis/AnalysisLinkDef.h, manalysis/Makefile:
     - removed MParameterI, MParameterD, MParameterDerr

   * mbase/BaseLinkDef.h, mbase/Makefile:
     - added MParameterI, MParameterD, MParameterDerr

   * mbase/MParList.cc:
     - if a container is rejected due to wrong inheritance its
       inheritance is mentioned in the error message

   * mhbase/HBaseLinkDef.h, mhbase/Makefile:
     - removed MWeight

   * mhbase/MWeight.[h,cc]:
     - removed, replaced by MParameterD

   * mhbase/MFillH.[h,cc], mmontecarlo/MMcWeightEnergySpecCalc.[h,cc]:
     - replaced MWeight by MParameterD

   * mjobs/MJStar.cc:
     - fixed the wrong axis title in the histogram showing the rate

   * manalysis/MParameters.[h,cc]:
     - moved to mbase

   * mbase/MParameters.[h,cc]:
     - inherit MParameterDerr from MParameterD
     - changed class version of MParameterDerr from 1 to 2

   * mfbase/MFEventSelector2.cc:
     - fixed that in SelectProb the wrong bin was chosen



 2005/04/07 Markus Gaug (2005/04/06)

   * mjobs/calibrationref_Dec04.rc
   * callisto_Dec04Jan05.rc
     - update the reference lines in the display according to the spline
       extractor.

   * msignal/MExtractTimeAndChargeSpline.cc
     - move fgHiGainFirst from 2 to 0. This is important for the Dec. und 
       January data where the calib. pulse position changes much.

   * mjobs/MJCalib.cc
   * mjobs/MJCalibration.cc
     - move fDevice and functions IsUseBlindPixel() and 
       IsUsePINDiode() into the base class.

   * mjobs/MJCalibrateSignal.cc
     - do not apply the modified extraction window to the interlaced
       calibration events. This is a bugfix especially for the 
       December and January data.
     - extract and fit blind pixel and pin diode only if flag 
       IsUseBlindPixel() or IsUsePINDiode() is set.



 2005/04/07 Markus Gaug (2005/04/03)
  
   * mcalib/MCalibrateData.cc
     - made one warning more understandable.

   * msignal/MExtractTimeAndChargeDigitalFilter.cc
     - moved fgOffsetFromLogain from -1.8 to -2.8. This corrects only an 
       defective extraction of the MC at low-gain signals lower than 90 
       phes.



 2005/04/07 Markus Gaug (2005/04/01)
 
   * mpedestal/MExtractPedestal.[h,cc]
     - use the standard way to define the default for fNumEventsDump
     - added missing "NumDump" in ReadEnv

   * callisto_*.rc
     - correct the default of the number of events used in 
       pedestal calculation (NumEventsDump).
     - added missing lines for setting of parameters for the 
       MJCalibrateSignal.PedCalcFromExtractRndm.*
       (CORRECTED SOME BUGS IN THIS LINES)
     - Replaced NumEventsDump by NumDump



 2005/04/05 Thomas Bretz

   * mjobs/MSequence.cc:
     - fixed a bug in SetupDatRuns. P was setup instead of D

   * star.cc, mjobs/MJStar.cc:
     - fixed wrong setup of data-files

   * mjobs/pedestalref_Feb05.rc, mjobs/hilocalib_sp1.root,
     mjobs/hilocalib_sp1_mc.root:
     - added

   * mimage/MHillasCalc.[h,cc]:
     - implemented missing ReadEnv - DON'T KNOW WHERE IT WAS! argh...

   * mmc/MMcCorsikaRunHeader.h:
     - added Getter for fWobbleMode

   * mpointing/MSrcPosCalc.[h,cc]:
     - added detection of MC files and setting of source position 
       according to wobble mode flag in MMcCorsikaRunHeader
     - fixed a bug in ReadEnv (wrong return statement) found
       by Abelardo. Correct handling of floating point numbers
       in the source position (12.5) was affected.



 2005/04/04 Thomas Bretz

   * callisto.cc, sinope.cc, mjobs/MDataSet.[h,cc], mjobs/MJCalibTest.cc,
     mjobs/MJCalibrateSignal.cc, mjobs/MJCalibration.cc,
     mjobs/MSequence.[h,cc]
     - changed setup procedure for paths to allow using standard 
       paths everywhere
     - fixed to use new correct datacenter standard paths
     - made sure, that the sequences in a dataset are sorted by
       their number to ensure the correct synchronization

   * mhflux/MHAlpha.cc:
     - display correct error (excess/significance)

   * mjobs/MJCalibrateSignal.cc, mjobs/MJPedestal.cc:
     - removed MPointingPosCalc from Tasklist

   * mjobs/MJStar.cc:
    - added MPointingPosCalc to tasklist for "Events" in case of MC

   * ganymed.cc, mjobs/MJCut.[h,cc]:
     - implemented an option to enhance the display
     - do not display FS plot in wobble mode
     - made sure files are not written when they should not be written

   * mhflux/MHAlpha.[h,cc]:
     - let FitEnergyBins return the mean of the significance of
       all Energy Bins

   * mimage/MHHillasExt.cc, mimage/MHHillasSrc.cc, 
     mimage/MHImagePar.cc, mimage/MHNewImagePar.cc:
     - implemented or fixed implementation of "same" Draw-option
     - slightly modified binning for Dist in MHHillasSrc

   * mjobs/MJCalibrateSignal.cc:
     - do not plot pulse time twice

   * mjobs/MJOptimize.cc:
     - print all parameters in minuit after they have been
       setup



 2005/04/01 Thomas Bretz

   * mbadpixels/MBadPixelsCalc.cc:
     - switched on bad pixel detection for a pedestal level
       which is more than 5 times the variance

   * mfbase/MF.cc:
     - when fixing the "Inverted" bit in ReadEnv don't print a 
       message on the screen

   * mhflux/MHAlpha.cc:
     - plot correct errors
     - do not plot the point if its significance is not greater 1



 2005/03/29 Markus Gaug

   * mcalib/MCalibColorSet.cc:
     - added runs 34814, 34815, 45493, 45502, 45525, 45537 and 45548



 2005/03/29 Thomas Bretz

   * ganymed.cc:
     - implemented cmdline option for wobble and no-wobble to overwrite
       dataset
     - added cmdline option to print dataset

   * mbase/MEvtLoop.[h,cc]:
     - added some memory leak analysis to eventloop

   * mbase/MStatusDisplay.[h,cc]:
     - added third part to status bar which displays the current
       memory usage
     - added some more sizes to menu bar
     - replaced SetStatusLine1/2 by calling a common SetStatusLine
     - added a delete to CloseWindow() to be able to close a 
       static window. REMARK: This gives a hell of warnings in
       valgrind but it is currently the only option to get this working
       which is really annoying

   * mhbase/MH.cc:
     - small simplification

   * mhbase/MHMatrix.cc:
     - replaced IsValid() by a check for the number of Rows, this
       was necessary because in root 4.02/00 all matrices seems
       to be valid

   * mhflux/MHAlpha.cc:
     - changed the number of default bins in energy
     - make sure that the Alpha plot for off-data is displayed with
       a minimum at 0
     - fixed TPad::Divide for root 4.02/00

   * mhflux/MHEnergyEst.cc:
     - use the mean abs of the resolution as fit value
     - some fixed to graphics
     - fixed the TPad::Divide for root 4.02/00
     - for the moment removed the pad added to the list of cleanups
       to get rid of the crashes

   * mhflux/MHFalseSource.cc:
     - fixed for root 4.02/00 which seaqrches in the current pad
       for the histogram when calling Project3D
     - fixed the TPad::Divide for root 4.02/00

   * mhist/MHHadronness.[h,cc]:
     - use MParameterD instead of MHadronness

   * mimage/ImageLinkDef.h, mimage/Makefile:
     - added MHVsSize

   * mimage/MHHillas.cc:
     - implemented 'same' for Center-histogram

   * mhflux/FluxLinkDef.h, mhflux/Makefile:
     - added MHEnergyEst

   * mhflux/MAlphaFitter.[h,cc]:
     - added significancetimes log10(excess) as fit option

   * mjobs/MDataSet.[h,cc]:
     - added wobble-mode option

   * mjobs/MJCut.cc:
     - changed default binning for energy
     - added MHillasSrcAnti optionally to the output
     - added MHVsSize to the tabs which are shown

   * mjobs/MJOptimize.[h,cc]:
     - added dummy parameters to FixParameter for compatibility
       with SetParemeter
     - replaced MFSupercuts by MFMagicCuts
     - use Energy in MHAlpha instead of size

   * mbase/MFilter.[h,cc]:
     - implemented ReadEnv to treat "Inverted"

   * mfbase/MF.[h,cc], mfilter/MFSupercuts.cc:
     - treat "inverted" with MFilter::ReadEnv

   * manalysis/MCompProbCalc.[h,cc], mranforest/MRanForestCalc.[h,cc]:
     - replaced MHadronness by MParameterD

   * mdata/MDataFormula.[h,cc]:
     - removed comments from SetVariables
     - replaced GetExpFormula by GetTitle

   * manalysis/AnalysisLinkDef.h, manalysis/Makefile:
     - MHadronness removed

   * mfilter/MFMagicCuts.[h,cc]:
     - added

   * mfilter/FilterLinkDef.h, mfilter/Makefile:
     - added MFMagicCuts

   * mjobs/Makefile, mjobs/JobsLinkDef.h:
     - removed MJExtractSignal

   * mfbase/MF.cc:
     - fixed a problem with double-inversion in ReadEnv

   * mpointing/MSrcPosCalc.cc:
     - removed an output line which showed only an empty container



 2005/03/24 Thomas Bretz

   * callisto.cc, ganymed.cc, mars.cc, merpp.cc, readdaq.cc,
     readraw.cc, showlog.cc, showplot.cc, sinope.cc, star.cc:
     - replaced all returns of -1 by return 2

   * manalysis/AnalysisLinkDef.h, manalysis/Makefile:
     - added MEnergyEst (container)

   * mhflux/MAlphaFitter.[h,cc]:
     - implemented new fit result options



 2005/03/23 Markus Gaug

   * msignal/MExtractTimeAndChargeDigitalFilter.cc
     - fix a bug in the time fine adjustment

   * mjobs/hilocalib_*_mc.root
     - high-gain low-gain intercalibration constants for the MC.

   * mjobs/MJCalibration.cc
     - use the MC- intercalibration files for MC.



 2005/03/23 Thomas Bretz

   * mhcalib/MHCalibrationChargeCam.cc:
     - fixed a possible crash in DrawDataCheckPixel() if 
       pix.GetGraphEvents() returns NULL



 2005/03/23 Thomas Bretz

   * Release 0.9



 2005/03/23 Thomas Bretz

   * ganymed.cc:
     - implemented wobble-mode option

   * mhflux/MAlphaFitter.[h,cc]:
     - fixed a problem in wobble mode (number of on- minus number
       of off-entries where calculated as 0)
     - added some additional resource options for scaling
     - added some missing const-qualifiers

   * mhflux/MHAlpha.cc:
     - some cosmetic change to output

   * mjobs/MDataSet.[h,cc]:
     - added the possibility to add a source name for wobble mode
       (preliminary)
     - added reading from *.edb catalog

   * mjobs/MJCalibTest.cc, mjobs/MJCalibrateSignal.cc,
     mjobs/MJCalibration.cc, mjobs/MJPedestal.cc:
     - replaced iter.Print("all") by iter.Print()

   * mjobs/MJCut.[h,cc]:
     - implemented wobble mode
     - implemented getting source position

   * mjobs/MJStar.cc:
     - switched off calculation of MConcentration
     - implemented the new debug option for files (was still missing
       in MJStar)

   * mpointing/MSrcPosCalc.[h,cc]:
     - always writa the anti-source position into the parameter list, too
     - implemented wobble mode (exchange source and anti-source position)

   * mjobs/Makefile, mjobs/JobsLinkDef.h:
     - added MJOptimize

   * mfilter/MFSupercuts.[h,cc]:
     - added

   * mfilter/Makefile, mfilter/FilterLinkDef.h:
     - added MFSupercuts
     - removed MFAlpha

   * manalysis/Makefile, manalysis/AnalysisLinkDef.h:
     - removed MEnergyEst
     - removed MEnergyEstParam
     - removed MEnergyEstParamDanielMkn421
     - removed MSupercuts
     - removed MSupercutsCalc
     - removed MFindSupercuts
     - removed MMinuitInterface
     - removed MFiltercutsCalc

   * mhist/Makefile, mhist/HistLinkDef.h:
     - removed MHEnergyTime
     - removed MHEnergyTheta
     - removed MHAlphaEnergyTime
     - removed MHAlphaEnergyTheta
     - removed MHThetabarTime
     - removed MHThetabarTheta
     - removed MHGamma
     - removed MHSigmaPixel
     - removed MHSigmabarTheta
     - removed MHOnSubtraction
     - removed MHFindSignificance
     - removed MHCT1Supercuts

   * mhflux/Makefile, mhflux/HistLinkDef.h:
     - added MHEnergyEst



 2005/03/22 Thomas Bretz

   * mjobs/MJCalibTest.cc, mjobs/MJCalibrateSignal.cc,
     mjobs/MJCalibration.cc, mjobs/MJPedestal.cc:
     - added a possibility to print the files which are 
       searched/found if the files doesn't match the sequence

   * mjobs/MJPedestal.cc:
     - undocumented(!) change, changed fgExtractWinLeft
       from 3.5 to 2.5

   * mimage/MHillas.cc:
     - fixed a bug which took unused pixels into account
       introduced errornously with the last change to MSignalCam



 2005/03/21 Thomas Bretz

   * mfbase/MFDataChain.cc:
     - fixed a bug in GetDataMember if fData is not valid

   * mhbase/MH3.cc:
     - moved drawing histograms back to Draw. This fixes a
       problem with root 4.02/00. Reading/Writing should be
       no problem if the names of the profiles are well known.
     - with this fix 'same' is currently NOT supported

   * mimage/ImageLinkDef.h, mimage/Makefile:
     - added MNewImagepar2
     - added MHCewImagePar2
   
   * mimage/MNewImagePar2.[h,cc], mimage/MHNewImagePar2.[h,cc]:
     - added new classes calculating and displaying the length
     of the border line of a shower

   * mimage/MHImagePar.cc:
     - fixed a problem with root 4.02/00 when setting the margin
       in Divide to 0 by setting it to 1e-10

   * mimage/MHNewImagePar.[h,cc]:
     - fixed to display Areas in deg^2

   * mimage/MHillas.cc, mimage/MHillasExt.cc, mimage/MHillasSrc.cc,
     mimage/MImagePar.cc, mimage/MNewImagePar.cc
     - a small fix to Print()

   * mimage/MHillasCalc.[h,cc]:
     - added MNewImagePar2 to supported image parameters

   * mjobs/MJStar.cc:
     - replaced MCerPhotEvt by MSignalCam

   * msignal/cosmics_weights46.dat, msignal/calibration_weightsUV46.dat,
     mjobs/hilocalib_df46.root:
     - added new intercalibration file for digital filter 4sl higain
       and 6sl logian

  * mbase/MLogHtml.cc:
     - fixed a bug in Underline which cause a crash if fOut==NULL
     - output a message if file cannot be opened

   * mhcalib/MHCalibrationPulseTimeCam.cc:
     - for some output there was a replacement of pix.GetPixId()
       by hist.GetName() <undocumented>

   * mimage/MHillas.[h,cc]:
     - added new member function GetBorderLine returning the border
       line correspondig to an ellipse with axis lnegth and width
     - added new member function GetArea returning the area
       correspondig to an ellipse with axis lnegth and width



 2005/03/19 Markus Gaug
 
   * mjobs/hilocalib_df46.root
     - added new intercalibration file for digital filter 4sl higain 
       and 6 slices logain

   * mjobs/MJCalibration.cc
      - exchanged intercalibration file from hilocalib_df_4.root to  
        hilocalib_df46.root
      - do not apply hi-gain lo-gain intercalibration for MC files.

   * mjobs/MJPedestal.cc
     - exchanged two (Int_t)'s by TMath::Nint().
     - undocumented(!) change to the calculation of the extraction
       range (PulsePosCheck)

   * callisto.rc
     - exchanged default weights file for Digital filter from
       cosmics_weights4.dat to cosmics_weights46.dat and from 
       calibration_weights_UV4.dat to calibration_weights_UV46.dat!
       This change is absolutely necessary, given the new results from 
       Nuria about the signal resolution in the low gain which gets worse
       than the intrinsic Poisson jitter above 350 phes. Also the time
       resolution is too bad. This was not known before we had the  
       correct low-gain MC pulse.



 2005/03/18 Thomas Bretz

   * Makefile:
     - removed mone from list of compiled programs

   * mars.cc:
     - replaced the MARS display by the Camera Display directly

   * manalysis/MCameraData.[h,cc], mcalib/MCalibrateData.[h,cc],
     mbadpixels/MBadPixelsTreat.[h,cc], mcalib/MCalibrateRelTimes.[h,cc],
     mimage/MCameraSmooth.[h,cc], mimage/MConcentration.[h,cc],
     mimage/MHillas.[h,cc], mimage/MHillasExt.[h,cc], 
     mimage/MImgCleanStd.[h,cc], mimage/MNewImagePar.[h,cc],
     mimage/MImagePar.[h,cc], MNewImagePar.[h,cc],
     mjobs/MJCalibTest.cc, mhcalib/MHCalibrationTestCam.[h,cc],
     mpedestal/MPedPhotCalc.[h,cc], mjobs/MJCalibrateSignal.cc:
     - removed dependancy on MArrivalTime, information now
       found in MSignalCam
     - replaced MCerPhotEvt by MSignalCam
     - it was renamed because it will be completely incompatible
       anyhow

   * mjobs/MJCalibrateSignal.cc:
     - use new MSignalCam type to display pulse position of cosmics

   * mcalib/MCalibrateData.cc:
     - calculate number of saturated pixels

   * manalysis/MCerPhotEvt.[h,cc]:
     - removed possibility for zero-supression. Now the index
       is identical with the position in the array
     - renamed and moved to msignal/MSignalCam.[h,cc]

   * manalysis/MCerPhotPix.cc:
     - removed obsolete values
     - added arrival time
     - renamed and moved to msignal/MSignalPix.[h,cc]

   * mcalib/MCalibrationChargeCalc.cc:
     - some cosmetic changes and small fixed from the Munich cvs
       (undocumented)

   * mfileio/MWriteRootFile.cc:
     - fixed bug in RecursiveRemove which caused crashed with real
       data

   * mhft/MGeomCamMagicEnhance.cc, mhft/MHexagonalFTCalc.cc:
     - updated, but untested

   * mhist/MHCamEvent.[h,cc]:
     - some fixes in Draw to get a correct display in root 4.02/00
       (at least on 64-bit systems)
     - removed kSqrtVariance it is included in kProfile now

   * mhist/MHCamera.[h,cc]:
     - removed sqrtvariance option which is included in profile now
     - the profile now uses the new array fBinEntries to display
       a more accurate profile

   * mhist/MHEvent.cc:
     - set to type 6 for arrival times

   * mimage/MHillasCalc.cc:
     - updated text for error=1

   * mimage/MImagePar.cc:
     - copy number of saturated pixels from MSignalCam

   * mjobs/MJStar.cc:
     - enhanced title of some histogram

   * mjobs/MSequence.cc:
     - updated path to fit data center (D.Dorner)

   * mmain/MEventDisplay.cc:
     - display Arrival Time from MSignalCam now

   * msignal/MArrivalTimeCam.cc:
     - implemented a new case 6 which is identical with the 
       default case AND arrival time from MSignalCam

   * manalysis/Makefile, manalysis/AnalysisLinkDef.h,
     manalysis/:
     - removed MCerPhotEvt
     - removed MCerPHotPix
     - removed MCerPhotAnal
     - removed MCerPhotAnal2
     - removed MCerPhotCalc

   * mimage/Makefile, manalysis/ImageLinkDef.h:
     - removed MHillasSrcCalc

   * manalysis/MSupercutsCalc.cc:
     - removed an obsolete include

   * mhist/Makefile, mhist/HistLinkDef.h:
     - removed MHSigmaTheta

   * mmain/Makefile, mmain/HistLinkDef.h:
     - removed MDataCheck
     - removed Mars
     - removed MAnalysis
     - removed MMonteCarlo
     - removed MGDisplayAdc
     - removed MOnlineDisplay
     - removed MOnlineDump

   * msignal/Makefile, msignal/HistLinkDef.h, msignal/:
     - added MSignalCam
     - added MSignalPix
     - added MSignalCalc

   * msql/Makefile, msql/SqlLinkDef.h:
     - removed MSqlInsertRun

   * mfilter/Makefile, mfilter/FilterLinkDef.h:
     - removed MFSelBasic
     - removed MFSelStandard
     - removed MFSelFinal



 2005/03/17 Thomas Bretz

   * callisto.cc:
     - added new option moon
     - use light condition from MSequence to determin light condition
       automatically

   * mjobs/MJPedestal.h:
     - allow setting SetUseHists also to kFALSE

   * mjobs/MSequence.[h,cc]:
     - added fLightCondition

   * mcalib/MCalibrateData.cc:
     - undocumented change from Markus Gaug

   * mfilter/MFCT1SelBasic.[h,cc], mfilter/MFCT1SelStandard.[h,cc],
     mfilter/MFCT1SelFinal.[h,cc]:
     - moved to manalysisct1

   * mfilter/Makefile, mfilter/FilterLinkDef.h:
     - removed MFCT1SelBasic
     - removed MFCT1SelStandard
     - removed MFCT1SelFinal

   * manalysis/Makefile, manalysis/AnalysisLinkDef.h:
     - removed MPad
     - removed MMakePadHistograms
     - removed MSigmabar
     - removed MSigmabarParam
     - removed MSigmabarCalc

   * mimage/Makefile, mimage/ImageLinkDef.h:
     - removed MImgCleanTGB

   * mmontecarlo/Makefile, mmontecarlo/MonteCarloLinkDef.h
     - removed MMcEnergyEst
     - removed MMcTimeGenerate

   * msignal/Makefile, msignal/SignalLinkDef.h:
     - removed MArrivalTime
     - removed MArrivalTimeCalc
     - removed MArrivalTimeCalc2

   * mjobs/MJCalibration.cc:
     - followed some undocumented changes from the other cvs



 2005/03/16 Thomas Bretz

   * callisto.cc:
     - set changed extractor in MJCalibrateSignal from MJPedestal
     - don't process 'range finding' for MonteCarlo data

   * callisto.rc:
     - removed obsolete Modified* option

   * mjobs/MJCalibrateSignal.[h,cc]:
     - removed obsolete flag for ModifiedExtractWin
     - allow also NULL for SetExtractor
     - rearanged the too MWriteRootFile instantiations otherwise
       callisto crashes in MWriteRootFile::ChangeFile
     - removed some obsolete comments about an old MC workaround

   * mdata/MDataChain.cc:
     - fixe to allow sign after e (eg. 1e-3, 1e+5 instead of 1e3, 1e5)

   * mcalib/MCalibColorSet.cc, mcalib/MCalibrationChargeCalc.cc,
     mhcalib/MHCalibrationCam.cc:
     - undocummented change



 2005/03/16 Markus Gaug

   * msignal/MExtractTimeAndChargeSlidingWindow.cc
     - fixed a bug in the reading of the resource file (reading of the 
       MExtractTimeAndCharge resources was skipped).

   * mcalib/MCalibrateData.cc
     - for the case that the high-gain saturates, but the low-gain signal
       could not be extracted successfully, take the high-gain signal,
       multiplied by 1.5 (before, 0 was taken erroneously).

   * msignal/MExtractTimeAndCharge.cc
     - catch one potential case for memory leaks in the low-gain 
       calculation. Extract low-gain only if the remaining extraction 
       window is not smaller than the number of slices needed by the 
       signal extractor. 
     - set the default fgLoGainStartShift to -3.5

   * msignal/MExtractTimeAndChargeSpline.[h,cc]
   * msignal/MExtractTimeAndChargeDigitalFilter.[h,cc]
     - adjust fLoGainStartShift by one slice, after findings from MC.



 2005/03/15 Markus Gaug

   * msignal/MExtractTimeAndChargeSpline.h
     - take fRandomIter out of the streamer. 
     - take fRiseTimeLoGain and fFallTimeLoGain into the streamer.
     - raise version number to 4

   * mjobs/MJCalibration.cc
     - set default to kFALSE for PIN Diode or Blind Pixel calibration 
       (was kTRUE by error).



 2005/03/15 Thomas Bretz

   * mjobs/MJCalibrateSignal.[h,cc]:
     - added the fExtractor data member
     - added a destructor deleting it
     - only read extractor from file if not set by user
     - user fExtractor as extractor1
     - do not delete extractor1 if set by user
     - added member function to set extractor

   * mjobs/MJPedestal.cc:
     - removed MFEventSelector workaround again
     - do not write pedy file anymore

   * callisto.cc:
     - MJCalibrateSignal now takes the signal extractor directly
       instead of taking the long way round a new file

   * mpedestal/MExtractPedestal.cc:
     - ReInit extractor correctly. Now the workaround should be
       really obsolete

   * mbase/MGMenu.[h,cc]:
     - make fix fix also compile root 3.10.02



 2005/03/14 Thomas Bretz

   * mbase/MGMenu.h:
     - added a fix for root 4.02.00



 2005/03/14 Markus Gaug

   * mcalib/MCalibrateData.cc
     - catch the case that now high-gain low-gian intercalibration const.
       is available.

   * mjobs/MJPedestal.cc
     - modify option for pedy*.root: from UPDATE to RECREATE



 2005/03/11 Markus Gaug

   * callisto.rc
     - changed default weights for DF to cosmics_weights4.dat. (This has 
       turned out to be the most stable set of weights). 

   * mjobs/MJCalibration.cc
     - some cosmetic changes in the output
     - in case of WriteHists(), do not overwrite existing signal*.root 
       file, but append histograms (bugfix!)



 2005/03/10 Toni Coarasa (With Nadia's and Alessandro's inside)

   * mjobs/MJCut.cc
     - inclusion of (TString) to avoid compiler error under 2.95.3

   * sinope.cc
     - inclusion of <errno.h> to avoid compiler error under 2.95.3



 2005/03/10 Markus Gaug

   * msignal/MExtractTimeAndCharge.cc
     - set fgLoGainStartShift to -4.0
     - put a check to avoid a dynamic low-gain range < 0 (should not 
       occur with current extractors, but one never knows...)

   * msignal/MExtractor.[h,cc]
     - introduced Clear()-function, used in SetRange()

   * mjobs/MJCalibrateSignal.cc
     - changed order of initialization of the 2 MWriteRootFiles whereupon
       the crash goes away. Have to revise the /dev/null work-around 
       in MWriteRootFile!



 2005/03/09 Markus Gaug
  
   * msignal/MExtractTimeAndCharge.cc
     - catch a (very unprobable) case in which the low-gain range could 
       be negative

   * mjobs/MJCalibrateSignal.cc
     - modify writing of MCalibrationPulseTimeCam to disk in order to 
       avoid program crash in the destructor of MJCalibrateSignal

   * mhcalib/MHGausEvents.h
     - take fGraphEvents, fGraphPowerSpectrum, fHPowerProbability and 
       fPowerSpectrum out of the streamer.
     - intialize fFlags to 0



 2005/03/09 Thomas Hengstebeck

   * mranforest/MRFEnergyEst.cc
     - changed call of min, max functions to TMath::Min() and 
       TMath::Max() to avoid compilation problems with some gcc
       versions
     - changed check of energy rule (last col of MHMatrix) so, that 
       any rule containing "fEnergy" is accepted.



 2005/03/08 Markus Gaug

   * mhcalib/MHPedestalCam.[h,cc]
     - introduce new parameter "fFitStart" to decide from outside where
       to start fitting the pedestals.



 2005/03/07 Markus Gaug

   * mjobs/hilocalib_df6.root
   * mjobs/hilocalib_sp2.root
     - two files with the high-gain vs. logain intercalibration results.
       for Digital filter and September data and Spline and December 
       data.

   * callisto.rc
     - allow setting the variables ExtractWinLeft and ExtractWinRight.

   * mhcalib/MHCalibrationHiLoCam.h
   * mhcalib/MHCalibrationCam.h
   * mhcalib/MHGausEvents.h
     - put the Draw-functions into the *MENU*

   * mjobs/MJCalibration.[h,cc]
     - introduced reading of hi-vs.logain calibration file

   * mjobs/MJPedestal.[h,cc]
     - modified range setting according Thomas S. suggestions

   * msignal/MArrivalTime.[h,cc]
     - took out some commented code which will not be used any more
     - improve Print() function



 2005/03/05 Markus Gaug
  
   * msignal/MExtractTimeAndChargeSpline.[h,cc]
     - removed the obsolete parts of "kMaximum" and "kHalfMaximum" in the
       code which were still persistent
     - set default extraction type to integral (instead of amplitude)
     - set version number to 3

   * mcalib/MCalibrationChargeCam.[h,cc]
     - added new function GetAvergedConvFADC2PhePerArea for the datacheck

   * mjobs/MJPedestal.[h,cc]
     - added function WriteExtractor which writes the extractor with the
       new ranges to disk if fPulsePosCheck has been selected.

   * mjobs/MJCalibrateSignal.[h,cc]
     - added functionality to read the updated extractor from 
       MJPedestalY2 (with the new extraction ranges).



 2005/03/04 Abelardo Moralejo

   * mmc/MFadcDefine.h
     - Changed constant SUBBINS from 5 to 500. This defines the 
       resolution of the analog signal simulation in the camera MC. 
       The time step is the duration of one FADC slice divided by 
       SUBBINS. The change was necessary to implement correctly the PMT 
       time jitter.



 2005/03/03 Markus Gaug

   * mjobs/pedestalref.rc
   * mjobs/calibrationref.rc
   * mjobs/calibrationref_Nov04.rc
     - added documentation

   * mjobs/signalref.rc
     - added

   * mjobs/MJPedestal.cc
     - re-added MFEventSelector which had been removed by TB on the
       15.2.2005.
     - added pulse position selector, as decided at the Berlin soft-
       ware meeting.

   * callisto.cc
     - added SetPulsePosCheck() in MJPedestalY2
   
   * mjobs/MJCalibrateSignal.cc
     - updated pulse pos. calculator, can be switched off now.

   * mjobs/MJCalib.[h,cc]
     - added flag fPulsePosCheck



 2005/03/02 Markus Gaug

   * mjobs/MJCalib.[h,cc]
   * mjobs/MJPedestal.[h,cc]
   * mjobs/MJCalibration.[h,cc]
   * mjobs/MJCalibrateSignal.[h,cc]
     - put the storage types in the base class

   * mbadpixels/MBadPixelsCam.cc
     - add some output in case that AsciiRead does not work

   * msignal/MExtractTimeAndChargeSpline.cc
     - speed integration up a little bit.

   * callisto.rc
     - adapt the low-gain stretch for the different pulse form for 
       calibration and cosmics pulses (only applied if spline is used).



 2005/02/25 Markus Gaug

   * mhcalib/MHCalibrationHiLoCam.[h,cc]
     - fixed bug in inter-calibration hi-logain for arrival times.

   * mhcalib/MHCalibrationPulseTimeCam.[h,cc]
     - fixed the situation where the maximum bin is already found in the
       low-gain samples.

   * mjobs/MJCalibration.cc
     - write the MPedestalCams also to disk (needed for data-check).



 2005/02/25 Abelardo Moralejo

   * msignal/MC_calibration_weights_UV.dat
     - Added. Weights file for using the digital filter on MC 
       calibration files. For the moment the weights are the same as in
       the file calibration_weights_UV.dat, only that high and low gain
       have both the same weights because for the moment the MC pulse
       shape is the same in both gain branches.



 2005/02/24 Markus Gaug

   * mjobs/MJCalibrateSignal.cc
     - include display of pulse times (calculated in the post-process)
     - include the possibility for the pixel check (like in MJCalibration)

   * mhcalib/MHCalibrationHiLoCam.cc
     - set default range up to 30.

   * mhcalib/MHCalibrationChargeBlindPix.h
     - take the TVectors out of the streamer, to be exectuable with 
       root.04.02



 2005/02/24 Thomas Hengstebeck

   * macros/RFEnergyEst.C
     - new macro to show the usage of RFEnergyEst class.



 2005/02/24 Abelardo Moralejo

   * mtemp/mpadova/macros/resize.C
     - moved MSrcPosCam output container from RunHeaders to Events tree.



 2005/02/18 Marcos Lopez 

   * mflux/
     - new directory to store the flux related classes.
  
   * mflux/MHadAlphaCut.{h,cc}
     - container to store the optimal hadronness and alpha cut for each bin in
       estimated energy and theta.

   * mflux/MFHadAlpha.{h,cc}
     - filter to apply the hadronness and alpha cuts stored in
       MHadAlphaCut. It can be selected to apply only alpha, only hadronness 
       cut or both.  



 2005/02/18 Markus Gaug 

   * mhcalib/MHCalibrationPulseTimeCam.[h,cc]
     - new class to histogram the arrival time of cosmics above a certain
       threshold.
   
   * mcalib/MCalibrationPulseTimeCam.[h,cc]
     - new class container with results of MHCalibrationPulseTimeCam

   * mjobs/MJCalibrateSignal.cc
     - include MCalibrationPulseTimeCam to display



 2005/02/18 Thomas Bretz

   * mbase/MStatusDisplay.cc:
     - switch off TH1::AddDirectory during DrawClonePad

   * mjobs/MSequence.[h,cc]:
     - added some code (still commented) for later use, 
       allowing to setup a different filename for each runfile
     - added SetNight member function
     - added Add*Runs member function
     - with this changes MSequence can replace MRunIter now
     - allow requesting of standard path from outside 
       (GetStandardPath)

   * Makefile:
     - added sinope

   * sinope.cc:
     - added (small tool to check contents of run for datacenter)

   * callisto.cc:
     - added background information about Callisto

   * ganymed.cc:
     - added background information about Ganymed

   * mjobs/MJCalibrateSignal.cc:
     - removed special MC code. The MC files now have a lo-gain
       switch and we can extract the pedestal rms from lo-gain
     - don't print statistics if nothing was executed
     - fixed display. The displayed pedestal RMS was the one
       caluclated with a extractor but not at random position
       (This only effects the display, the algorithm was ok)



 2005/02/17 Markus Gaug

   * mjobs/MJCalibTest.cc
     - removed bug treating the MC calibration files uncorrectly
     - added Pixel-Check treatment

   * mjobs/MJCalibration.cc
     - added Pixel-Check treatment

   * callisto.rc
     - added pixel-check option

   * msignal/MExtractTimeAndChargeDigitalFilter.cc
     - calculate high-gain signal even if saturation occurs



 2005/02/17 Thomas Bretz

   * mjobs/MJStar.cc:
     - fixed some missing containers in case of MC files

   * callisto.cc:
     - removed obsolete second check for kModeC

   * mars.rc:
     - added a lot of option to be able to use a 
       different signal extractor looking into uncalibrated
       data

   * manalysis/MCameraData.[h,cc]:
     - added Print() member function

   * manalysis/MCerPhotAnal2.[h,cc]:
     - switched off writing into MCerPhotEvt

   * mdata/MDataChain.[h,cc]:
     - added code to handle priorities of operators correctly

   * mhist/MHEvent.cc:
     - fixed display for MPedestalRMS

   * mjobs/MJCalib.cc:
     - fixed treatment of PixelCheck resource

   * mjobs/MJCalibrateSignal.cc:
     - added some comments about Monte Carlo
     - added MMcFadcHeader to output

   * mjobs/MJPedestal.cc: 
     - do not allow 'UseData' for Monte Carlos. Reason is given as 
       comment in the code

   * mmain/MEventDisplay.[h,cc]:
     - changed such, that mars.cc allows to set the used extractor
     - removed the obsolete cam.root, ped.root option

   * mmain/MCameraDisplay.cc:
     - adapted to change in MEventDisplay




 2005/02/16 Javier Rico

   * mhistmc/MHMcUnfoldCoeff.[cc,h], mhistmc/Makefile, 
     mhistmc/HistMcLinkDef.h
     - Added container class holding the histograms of the coefficients
       for the (iterative) unfolding.

   * mmontecarlo/MMcUnfoldCoeffCalc.[cc,h], mmontecarlo/Makefile, 
     mmontecarlo/MonteCarloLinkDef.h
     - Added task class to compute the coefficients for the (iterative) 
       unfolding.	

   * macros/unfoldCoeff.C
     - added macro that computes the effective areas and coefficients
       from a MC input file (with OriginalMC tree and MEnergyEst
       branch containing the energy estimator). This may be used 
       as layout for spectrum computation program.



 2005/02/16 Markus Gaug

   * mdata/MDataChain.cc
     - replaced ROOT version check for the compiler from 4.02.00 to 
       4.01.00

   * mranforest/MRFEnergyEst.cc
     - include "TVector.h", otherwise this class does not compile
       in newer root versions

   * msignal/MExtractTimeAndCharge.cc
     - initialize fLoGainStartShift correctly if read from conf. file 
       and modified fOffsetLoGain exists.

   * msignal/*weights*.dat
     - new weights with the uniform pedestal RMS. (Please use these!)

   * msignal/pulpo_weights*.dat
     - new weights with the pulpo-pulse form and without NSB!!



 2005/02/16 Thomas Hengstebeck

   * mranforest/MRFEnergyEst.[h,cc]
     - added RF class for energy estimation

   * mranforest/MRFEnergyEst.cc
     - changed calculation of estimated energy, now interpolated values
       are returned                                                                        	



 2005/02/16 Abelardo Moralejo

   * macros/starmc2.C:
     - Changed the way in which the "OriginalMC" tree is copied from
       the input to the output file. Now we ise the new procedure
       MWriteRootFile::AddCopySource

   * mhistmc/MHMcCollectionArea.cc
     - Changed default fName to "MHMcCollectionArea"

   * mtemp/mpadova/macros/resize.C
     - Changed weights



 2005/02/16 Thomas Bretz

   * mbase/MEvtLoop.cc:
     - fixed a typo

   * mbase/MParList.cc, mfileio/MReadMarsFile.cc,
     mfileio/MReadTree.cc, mfileio/MWriteRootFile.cc,
     mjobs/MJStar.cc:
     - optimized size of some output

   * mfileio/MWriteRootFile.[h,cc]:
     - fixed CopySource option for single-file case

   * mhist/MHCamEvent.cc:
     - replaced the warn in SetupFill by an inf

   * mhcalib/MHCalibrationCam.cc, mhcalib/MHCalibrationHiLoCam.cc,
     mhcalib/MHCalibrationChargePINDiode.cc:
     - removed obsolete output after a failed FindCreateObj (the
       function itself does the output in case of failure)

   * mhcalib/MHCalibrationCam.cc:
     - replaced 'err' by 'warn' for under-/overflow in lo-gain pixel,
       it doesn't result in an fatal error (abort)

   * mranforest/MRanForestCalc.cc:
     - added a missing debug level to some output

   * mranforest/MRFEnergyEst.[h,cc]: 
     - cleaned up includes

   * callisto.cc, ganymed.cc, star.cc:
     - implemented enhanced handling of resource debugging

   * mbase/Makefile, mbase/BaseLinkDef.h:
     - added MEnv

   * mbase/MEnv.[h,cc]:
     - added

   * mjobs/MJob.[h,cc]:
     - added new function to allow distribution of extranl MEnv
     - replaced Bool_t by Int_t for fEnvDebug

   * mjobs/MJPedestal.cc:
     - adapted to changes of EnvDebug



 2005/02/15 Abelardo Moralejo

   * macros/mccalibrate.C
     - fixed small bug

   * mmontecarlo/MMcCollectionAreaCalc.[h,cc] 
   * mhistmc/MHMcCollectionArea.[h,cc]
     - Changed the way of calculating final effective area for data 
       analysis. The new approach requires the use of MC files produced
       with the current CVS version of camera. We now make use of the
       true total number of produced MC events, and allow for the 
       setting of a "tentative" differential gamma spectrum to be used 
       in the calculation of effective areas. 
       Removed unused constructor argument "input" in 
       MMcCollectionAreaCalc.

   * macros/collarea.C
     - Adapted to the new way of calculating effective areas.



 2005/02/15 Thomas Bretz

   * callisto.rc:
     - replaced mutal exclusive options (Integral, Amplitude) by
       a one-line resource

   * msignal/MExtractTimeAndChargeSpline.cc:
     - replaced mutal exclusive options (Integral, Amplitude) by
       a one-line resource "ExtractionType" (old code still works)

   * manalysis/MCerPhotEvt.[h,cc]:
     - added new variables to store information about islands
       and removed pixels - PRELIMINARY
     - increased class version number

   * mfilter/MFSoftwareTrigger.cc:
     - optimized output in PostProcess

   * mimage/MHImagePar.[h,cc]:
     - added new histograms for new variables in MCerPhotEvt

   * mimage/MImagePar.[h,cc]:
     - added new data members for the new image parameters
     - increased class version

   * mimage/MImgCleanStd.[h,cc]:
     - adapted image cleaning to calculate the new image
       parameters
     - added a flag to keep single core pixels

   * manalysis/MMatrixLoop.[h,cc], mfileio/MReadReports.[h,cc],
     mfileio/MReadRflFile.[h,cc], mfileio/MReadTree.[h,cc],
     mraw/MRawFileRead.[h,cc], mraw/MRawSocketRead.h:
     - renamed GetFileName to GetFullFileName

   * mbase/MInputStreamID.h:
     - added new member function HasStreamId

   * mbase/MParContainer.[h,cc]:
     - added a static list to keep track of all created
       TMathodCall objects

   * mbase/MTask.cc:
     - enhanced PrintStatistics

   * mfileio/MRead.[h,cc]:
     - new abstract function GetFullFileName
     - added implementatio of GetFileName based on GetFullFileName

   * mfileio/MWriteRootFile.[h,cc]:
     - moved open of a new file to new common member function
       OpenFile
     - allow to use an already existing file also when using rules
     - added a new option which can be used to copy an existing
       tree (without any change) from the old file into the new file.
       (in principal you can also do this for some of its branches only)
       This is done by AddCopySource

   * mjobs/MJCalibrateSignal.cc:
     - in case of MonteCarlo files write an independant tree
       'MonteCarlo' for 'MMcEvtBasic'

   * mjobs/MJStar.cc:
     - copy tree 'MonteCarlo' from old into new files

   * mjobs/MJPedestal.cc:
     - removed wrong use of MFEventSelector

   * mpedestal/MExtractPedestal.cc:
     - made sure that fExtractor is correctly pre- and 
       postprocessed.

   * mbase/MTask.cc:
     - don't preprocess a task if it has been preprocessed already

   * mraw/MRawFileWrite.cc:
     - if display is set write output to status line

   * mfileio/MReadTree.cc, mfileio/MReadMarsFile.cc:
     - moved code to display filename in status display from
       MReadMarsFile::Notify to MReadTree::Notify



 2005/02/15 Markus Gaug

   * mjobs/MJCalib.h
     - added GetDataFlag(), otherwise code does not compile!

   * mhcalib/MHCalibrationChargeCam.cc
     - moved default saturation limit for number of high-gain events from 
       0.02 to 0.05. 

   * msignal/MExtractTimeAndCharge.cc
     - lowered default low-gain switch from 150 to 120. (for calibration 
       events which saturate more than 5% of the events).

   * mjobs/MJCalib.[h,cc]
     - include possibility to display pixels distributions for test
       reasons



 2005/02/14 Thomas Bretz

   * callisto.cc, ganymed.cc, star.cc:  
     - added some more information to '--help' output
     - replaced MSequences by MDataSet
     - implemented new debugging options (maybe not perfect yet)
       --print-files and --print-found

   * mjobs/MJCut.[h,cc]: 
     - replaced MSequences by MDataSet
     - write MEnergyEst
     - recalculate MHillasSrc
     - made sure both MWriteRootFile have different names
     - don't use "same" option if no off-data

   * mjobs/MSequences.[h,cc]: 
     - removed

   * mjobs/MDataSet.[h,cc]: 
     - added

   * manalysis/MEventRateCalc.[h,cc]:
     - added a fix which make sure, that the rate is not influenced
       too much by the start of data taking
     - fixed setting of mean time corresponding to rate-interval

   * mraw/MRawFileRead.[h,cc]:
     - calculate total number of events from all files in PreProcess

   * mcalib/MCalibConstCam.cc:
     - added case 2 to GetPixelContent

   * mjobs/MJCalibrateSignal.cc:
     - fixed redirection of stream with interleaved calibration infos
     - changed 'Arrival Time' to 'Calibrated Arrival Time'
     - display interpolated signal in equivalent photoelectrons to
       to get rid of scaling effects which makes it difficult to see 
       details of the structure of the inner pixels in the histogram.
       With this you can immediatly see whether the relative number
       of phe in the outer pixels is equiv. to the inner pixels.
     - the same for the calibration factor - with the same argument
     - adapted to change in MWriteRootFile
     - use MReadMarsFile for Monte Carlo flag set

   * mhist/MHCamera.cc:
     - changed drawing such, that NaN is not displayed anymore

   * Makefile:   
     - added new program ganymed

   * mfileio/MWriteRootFile.[h,cc]:  
     - added possibility to use UPDATE mode with rules (dangerous!)
       as discussed with Abelardo, Daniel M. and Thomas S.

   * mjobs/MJStar.cc:
     - adapted to change in MWriteRootFile
     - added software trigger (still untuned) as suggested by
       Thomas S.
     - added calculation of source position before calculation
       of image parameters
     - added MPointingPos to Events-Tree
     - removed MPointingPos from Drive-Tree
     - renamed sub-tasklists to something more intuitive

   * mjobs/Makefile, mjobs/JobsLinkDef.h:
     - added MJCut.cc

   * mraw/MRawFileRead.cc:
     - return kERROR if ReInit fails

   * mfilter/MFSoftwareTrigger.[h,cc]:  
     - updated to allow using time coincidence
     - changed default values
     - added a pattern independant trigger algorithm

   * mbase/MDirIter.cc:
     - implemented option 'dbg' in Print()

   * mjobs/MJCalib.h:
     - added a getter for data-flag (should be renamed
       to 'datatype' soon)



 2005/02/12 Abelardo Moralejo

   * mtemp/mpadova/macros/wobblemap.C
     - Added. Macro to do some studies on wobble mode data.

   * macros/mccalibrate.C
     - Added option to divide the output in a train and a test sample.
       Included in output new container MMcEvtBasic (if found in input 
       files) for later use in effective areas calculations.

   * macros/starmc2.C
     - Added writing out of new container MMcEvtBasic. Removed 
       possibility of splitting output in train and test samples, since
       this has now to be done in mccalibrate.C to make possible that 
       the tree OriginalMC containing MMcEvtBasic has all the original
       MC events (and only those) from which the events present in the
       Events tree derive.

   * macros/starmc.C
     - Changed a couple of wrong "." by "->" in function calls. Changed
       default tail cuts.



 2005/02/12 Markus Gaug

   * msignal/MExtractTimeAndChargeSpline.cc
     - change default rise time to 0.5 and default fall time to 1.5

   * callisto.rc
     - made intitializations of extractors more explicit

   * mpedestal/MExtractPedestal.cc
     - make check for even number of slices in the case of "fundamental"
       pedestal calc.
 
   * mcalib/MCalibrationChargeCalc.cc
     - take out some commented code

   * mjobs/MJCalib.h
     - removed GetDataFlag()



 2005/02/12 Abelardo Moralejo

   * mmc/MMcTrig.hxx 
     - Added getter GetNumFirstLevel. This is necessary if that data
       member is to be used for instance in MF filters. There was 
       already a getter, but it is called GetFirstLevel and hence not
       recognized.



 2005/02/11 Abelardo Moralejo

   * mmc/MMcEvtBasic.[h,cc]:
     - New class. Contains 5 very basic MC parameters which we intend
       to save for all generated Corsika events. This is needed for
       proper effective area calculations.

   * mmc/Makefile, McLinkDef.h
     - Added new class above.



 2005/02/11 Thomas Bretz

   * mfileio/MWriteRootFile.[h,cc]:
     - added the possibility to write to an already existing file.
      This doesn't affect the old behaviour, but using this new feature
      might still have problems.

   * mfileio/MReadReports.cc: 
     - fixed column-level in PrintStatistics

   * mjobs/MJCalibrateSignal.cc:
     - keep MMcRunHeader in the output



 2005/02/10 Abelardo Moralejo 

   * macros/mccalibrate.C 
     - Added possibility to calibrate in photons or photoelectrons

   * macros/starmc2.C
     - Added comment about value of cleaning levels



 2005/02/10 Markus Gaug 
 
   * mcalib/Makefile
   * mcalib/CalibLinkDef.h
   * mcalib/MCalibrate.[h,cc] 
     - removed mcalib/MCalibrate.* because it has been replaced by 
       MCalibrateData

   * mmain/MEventDisplay.cc
     - replaced MCalibrate by MCalibrateData

   * mhcalib/MHCalibrationCam.cc
     - replaced warning about empty histogram from red (err) by 
       yellow (warn).

   * mcalib/MCalibColorSet.cc
     - return kTRUE in case of MC-file

   * msignal/MExtractTimaAndChargeSpline.[h,cc]
     - make sure that all variables are set correctly independent on 
       the order of their initialization by the user



 2005/02/10 Thomas Bretz

   * mgeom/MGeomCam.[h,cc]:
     - added new member functions (GetNeighbors) to get all pixels
       around a given pixel with a given radius

   * mars.rc:
     - use same values for image cleaning as default in star

   * mpointing/MSrcPosCalc.[h,cc]:
     - added the possibility to set the Source position from
       a resource file

   * mjobs/MJStar.cc:
     - write MMcRunHeader to RunHeaders

   * mfileio/MWriteRootFile.cc:
     - removed an obsolete line
     - removed a debug line which should not be there

   * mimage/MHillas.h:
     - added new Getter GetDist0 returning the distance to the 
       camera center

   * mhflux/MHFalseSource.cc:
     - the scaling in Paint() was nonsense in case we are looking
       at on/off-data. Fixed.



 2005/02/10 Abelardo Moralejo 

   * manalysis/MMcCalibrationUpdate.h
     - Added comment on new member fSignalType. Sorry for compilation
       problems... I forgot to commit the header yesterday, but M. Gaug 
       did it.

   * macros/starmc.C
     - Cleaned up a little bit, made the option to choose between 
       calibration in photons or phe- easier to set.

   * manalysis/MMcCalibrationUpdate.[h,cc]
     - Added getter and setter for fSignalType. Set fSignalType=kPhot as
       default for consistency with MCalibrateData.



 2005/02/09 Abelardo Moralejo 

   * manalysis/MMcCalibrationUpdate.cc
     - Updated to make the MC calibration in phe- work

   * macros/starmc.C
     - same as above. Now default is calibration in phe-

   * mraw/MRawEvtHeader.h
     - Added setter for the trigger pattern, absolutely needed for 
       creating proper MC root files.



 2005/02/09 Markus Gaug 

   * manalysis/MMcCalibrationUpdate.h
     - added missing declaration of fSignalType

   * mjobs/MJPedestal.[h,cc]
   * mjobs/badpixels_0_559.rc
   * callisto.rc
     - allow exclusion of bad pixels from the beginning (default is 
       Pixel 0 and 559).
     - removed some obsolete includes
     - took out data member fPedestalHist from MJPedestal.h which removes 
       the crash, however I don't understand why it caused the crash!!! 
       There seem to be problems with memory usage either in callisto.cc 
       or in this class!!
       (valgrind shows several memory leaks in the TG... classes).
  
   * mjobs/MJCalibration.cc
     - write display and containers also in case of failure of eventloop

   * mhcalib/MHGausEvents.cc
     - make default display window 600x600

   * mcalib/MCalibrationQECamMagic.cc
     - updated five pixels

   * mpedestal/MExtractPedestal.[h,cc]
   * mpedestal/MPedCalcPedRun.cc
   * mpedestal/MPedCalcFromLoGain.cc
     - included possibility for intermediate pedestal cam (not yet used)

   * msignal/MExtractTimeAndChargeDigitalFilterPeakSearch.cc
     - initialize the bad events counters to 0 also in constructor 
     - release the limit for bad events a bit

   * mcalib/MCalibrationTestCam.h
     - take out include of TArrayI (already in base class)

   * mcalib/MCalibrateData.h
     - make default argument for SetSignalType kPhe.

   * mjobs/MJCalibrateSignalFromOuside.[h,cc]
     - removed



 2005/02/08 Markus Gaug 
 
   * mhcalib/MHCalibrationCam.cc
   * mcalib/MCalibrationChargeCalc.cc
     - replaced GetNumExecutions()==0 condition by GetNumExecution() < 1 



 2005/02/08 Thomas Bretz

   * mpointing/MPointingPosInterpolate.cc:
     - use debug option in addition to switch off output from internal
       eventloop. It is confusing having this output inside another
       eventloop.
     - updated missing connections in class description

   * msignal/MExtractTimeAndChargeDigitalFilterPeakSearch.cc:
     - made sure that output of PostProcess fits into 80col boundary

   * mimage/MHillas.cc:
     - removed an obsolete call to TLine::Paint() in Paint.



 2005/02/07 Thomas Bretz

   * mbase/MFilter.cc:
     - use paranthesis around ClassName in GetRule

   * mdata/MDataFormula.h:
     - fixed a wrong comment in variable description

   * mhist/MHCamEvent.[h,cc], mhist/MHCamera.[h,cc],
     mjobs/MJCalibrateSignal.cc, 
     mjobs/MJCalibrateSignalFromOutside.cc:
     - to make sure there are no missunderstandings we have to
       replace all occurances of 'Variance' by 'SqrtVariance'
       (it was not my decision)

   * mastro/MAstro.[h,cc]:
     - added new function Angle2Coordinate

   * mbase/MTaskEnv.[h,cc]:
     - fixed a bug which caused the resource task to be ignored
       if the default task was '<dummy>'

   * mhbase/MH3.cc:
     - fixed a bug in Paint (use GetListOfPrimitives->FindObject
       instead of FindObject) which caused the histogram to
       be put a lot of times into the pad.

   * mjobs/MJCalib.[h,cc]:
     - derived MJCalib from MJob in order to be able to move
       common code from derived classes into the base-class
     - implemented CheckEnvLocal to handle the resource 'DataType'
     - changed publicity of some variables and functions
       to allow setting file type from outside
     - added new function to set data-type for use in callisto.cc

   * mjobs/MJCalibTest.[h,cc], mjobs/MJCalibrateSignal.[h,cc],
     mjobs/MJCalibration.[h,cc], mjobs/MJPedestal.[h,cc]:
     - removed double inheritance, replaced by single inheritance
       from MJCalib
     - replaced code to handle the resource 'DataType' by the 
       common code in the base class
     - put reading of reference file into a new member function
       to make source code reading resource file simpler and to
       be able to write a function description about it (simple
       copy&past)

   * callisto.cc:
     - added option for file-type

   * mjobs/MJOptimize.[h,cc], mjobs/MSequences.[h,cc],
     mjobs/MJCut.[h,cc], ganymed.[cc,rc], mhflux/MHEnergyEst.[h,cc]:
     - added to repository, but not yet to Makefile because
       there is still some work to be done. But whoever is
       interested in the new classes/program may already use it.

   * mhflux/MAlphaFitter.[h,cc]:
     - added option to choose the minimization value

   * mhflux/MHAlpha.cc:
     - replaced significance by minimization value

   * mhflux/MHEffectiveOnTime.cc:
     - use E-Option when fitting to improve error calculation
       by using Minos technique



 2005/02/04 Markus Gaug

   * mjobs/MJCalibration.cc
     - found a "the `impossible' happened" when running callisto with 
       a pure signal extractor --> MExtractTimeFastSpline has some 
       problems with the management of the internal arrays. Replaced it 
       by MExtractTimeHighestIntegral as default which is as good. 

   * callisto.rc
     - use MExtractTimeAndChargeDigitalFilterPeakSearch as default 
       instead of MExtractTimeAndChargeDigitalFilter. This extractor is 
       now tested and checks for the positions of the pulse within the
       DAQ-window.



 2005/02/04 Thomas Bretz

   * Makefile.rules:
     - fixed creation of main MDep.d

   * callisto.cc, merpp.cc, showlog.cc, showplot.cc, star.cc:
     - added commandline option --version

   * mbase/MFilter.cc:
     - changed default for 'GetRule'

   * mbase/MParContainer.cc:
     - simplified GetNewObject

   * mfbase/MF.cc:
     - if no conditional sign is found try to create
       MFilter-object

   * mraw/MRawEvtData.cc:
     - fixed the initialization of fABFlags in case maxid==0 which
       is the default. This caused MRawEvtPixelIter::HasABFlag
       to do unallowed access to memory for old root-files without
       the AB flag, because it assumed (due to size==1) that the
       data contains the ab flag

   * mraw/MRawEvtPixelIter.[h,cc]:
     - removed some obsolete debug comments
     - simplified HasABFlag

   * manalysis/MCerPhotPix.h:
     - removed the `!` again. It gave problems with the Mars
       display. We agreed that this is a minor problem because
       the structure of MCerPhot* will chnage soon in any case.



 2005/02/04 Abelardo Moralejo

   * macros/starmc2.C
     - added to output missing container MConcentration.



 2005/02/03 Thomas Bretz

   * mfbase/MFilterList.[h,cc]:
     - added new function AddToList(TCollection&)

   * mhbase/MFillH.cc:
     - print a warning if 'same'-option given without 
       a corresponding existing tab

   * mhflux/MHAlpha.[h,cc]:
     - made time bins settable by user

   * mfileio/MWriteRootFile.cc:
     - fixed ReInit and a warning output when writing to memory



 2005/02/03 Markus Gaug

   * mcalib/MCalibColorSet.[h,cc]
     - implement possibility to set colour explicitely (e.g. for MC).

   * msignal/MExtractTimeAndChargeDigitalFilter.cc
     - intialize fTimeShiftHiGain and fTimeShiftLoGain by default.
 
   * mjobs/MJPedestal.cc
     - in case, extractor is used, put the extractor into the tasklist, 
       otherwise ranges do not get initialized correctly (wrong memory 
       usage!). Use an event selector, however to not skip the Process.
       This is as fast as before and now safe for any kind of extractor
  
   * mcalib/MCalibrationCam.h
   * mcalib/MCalibrationTestCam.h
   * mcalib/MCalibrationTestCam.cc
     - initialize a missing array in InitAverageAreas
 
   * mraw/MRawEvtHeader.h
     - introduced Setter() of cal. pattern for Abelardo



 2005/02/02 Markus Gaug

   * mcalib/MCalibrationChargeCam.cc
     - fixed small bug in the display of mean charges when low-gain was
       used.

   * msignal/MExtractor.cc
     - print the missing overlap between high-gain and low-gain
       in the Print() function
     - remove setting of fHiLoLast in PreProcess, otherwise cloned 
       extractors do not work any more with windows exceeding the 
       high-gain range.

   * mhcalib/MHCalibrationTestCam.[h,cc]
   * mhcalib/MHCalibrationTestTimeCam.[h,cc]
     - set proper probability limits for the fits

   * mcalib/MCalibrateData.cc
     - catch the case in which no interlaced cal. events are being sent
       by the pulser box.

   * mjobs/MJCalib.[h,cc]
     - put the data type enum in a new base class

   * mjobs/MJCalibTest.[h,cc]
     - re-name old class MJExtractCalibTest to MJCalibTest and make it 
       compatible with the sequence-files.
   
   * mjobs/MJExtractCalibTest.[h,cc]
     - removed

   * mjobs/MJCalibrateSignal.cc
     - put a compiler warning about the default cal. to photo-electrons

   * callisto.cc
     - add new flag "--use-test" to enable the MJCalibTest facility
       (default: not used)



 2005/02/01 Raquel de los Reyes

   * mjobs/MSequence.h
     - Added "Get" functions for the TArrays variables.



 2005/02/01 Markus Gaug
  
   * mjobs/MJPedestal.[h,cc]
   * mjobs/MJCalibration.[h,cc]
   * mjobs/MJCalibrateSignal.[h,cc]
   * callisto.rc
     - put enum for data type. Can now set the data type (mc, raw, root)
       without running the data check.

   * mhcalib/MHCalibrationCam.cc
     - return kTRUE in PostProcess if GetNumExecutions is 0
   
   * mcalib/MCalibrationChargeCalc.cc
     - return kTRUE in PostProcess if GetNumExecutions is 0



 2005/02/01 Daniel Mazin

   * MPointingPosInterpolate.cc:
     - fixed bug to match the units of Ra and Decl in MPointingPos
     - fixed bug in handling of events with times outside of times from 
       MDrive tree



 2005/02/01 Thomas Bretz

   * showplot.cc:
     - another fix to make the batch mode working (you can use the batch
       mode to convert a root-file into another format)



 2005/01/31 Thomas Bretz

   * mbase/MStatusDisplay.cc:
     - fixed handling of batch mode in GetCanvas(const TString &name)
     - don't skip already existing tabs in Display()



 2005/01/31 Raquel de los Reyes

   * mjobs/MSequence.h
     - Added "Get" functions for some of the sequence.txt file 
       parameters.



 2005/01/31 Markus Gaug 
 
   * mjobs/MJob.[h,cc]
   * mjobs/MJCalibrateSignal.[h,cc]
   * mjobs/MJCalibration.[h,cc]
     - move file type enum to base class

   * mjobs/MJCalibrateSignal.[h,cc]
     - allow also for direct setting of an MRunIter (not used in
       callisto).

   * mcalib/MCalibrationChargeCalc.[h,cc]
     - test also for pulser strength changes additionally to changes in 
       colour.



 2005/01/31 Abelardo Moralejo

   * mpointing/MSrcPosCalc.cc
     - Create only one instance of MAstroSky2Local for the 
       transformations, instead of two identical ones, as it was before.



 2005/01/30 Markus Gaug 
 
   * mjobs/MJCalibration.cc
   * mjobs/MJPedestal.cc
   * mjobs/calibrationref_Nov04.rc
   * mhcalib/MHCalibrationRelTimeCam.[h,cc]
     - updated correct display of reference lines



 2005/01/29 Markus Gaug 
    
   * msignal/MExtractFixedWindowSpline.[h,cc]
     - fixed a bug occurring with overlapping windows between high-gain
       and low-gain

   * msignal/MExtractFixedWindowPeakSearch.cc
     - take out call to fSignals->Clear() which is already done in 
       MTaskList.

   * msignal/MExtractTimeAndChargeDigitalFilterPeakSearch.[h,cc]
     - new extractor reducing the bias and solving the problem with the 
       jumping pulse readout.



 2005/01/28 Abelardo Moralejo

   * mpointing/MSrcPosCalc.cc
     - updated. Make it work as desired: obtain for each event the x,y 
       position on the camera of a source whose celestial coordinates 
       (J2000) have been set by the user in the container "MSourcePos" 
       of type MPointingPos, added to the parameter list. If the 
       container MSourcePos is not found, the center of the camera (or 
       other fixed position x,y set in the parameter list by the user - 
       in MSrcPosCam) is used as source position for all the events in 
       the loop.



 2005/01/28 Thomas Bretz

   * mjobs/MJCalibrateSignal.cc:
     - fixed that extract1,2,3 haven't been deleted if loop failed.
     - print tasklist also if loop failed.
     - added a undefined task (MTaskEnv "FinalFantasy") as last task to
       the event processing tasklist

   * callisto.rc:
     - added comments about "FinalFantasy" into call
     - added comment for obsolete resources as discussed yesterday
       evening: TimeUpperLimit

   * mbase/MMath.[h,cc], manalysis/MCerPhotPix.[h,cc], 
     mpedestal/MPedPhotPix.h:
     - replaced TruncatePrecision by ReducePrecision (its simply a better
       name)

   * mbase/MParList.cc:
     - added a check to make 200%(!) sure that the container added
       to the list is a MParContainer (everything else could crash
       almost everything in Mars!)

   * mjobs/MJCalibrateSignal.cc, mjobs/MJCalibration.[h,cc],
     mjobs/MJPedestal.cc:
     - simplified the code in the WriteResult functions by using
       the new WriteContainer in MJob
     - removed the TObjArray from the MParList! It is NOT a MParContainer
       there are a lot of circumstance how this can crash Mars. I don't
       know why the compiler allowed for this.
     - unified WriteResult and WriteHists
     - split GetOutputFile into two functions for simplification

   * mjobs/MJCalibration.h:
     - copy the extractorcam name when copying the contents

   * mjobs/MJob.[h,cc]:
     - new member function WriteContainer to simplify code in derived
       classes

   * mpointing/MSrcPosCalc.[h,cc]
     - fixed the header according to Abelardo's changes
     - added the initialization of the pointers to the constructor



 2005/01/28 Markus Gaug

   * msignal/MExtractTimeAndChargeDigitalFilter.cc
     - introduce a security check for the time fine adjustment in case, 
       it is too large.

   * mcalib/MCalibConstCam.[h,cc]
   * mcalib/MCalibConstPix.h
     - new classes to allow display of changing cal. constants with the
       interlaced cal. events

   * mcalib/MCalibrationChargeCalc.cc
     - removed stopping of PostProcess in case that the evtloop is
       finished with interlaced cal. events

   * mcalib/MCalibrateData.[h,cc]
     - fill MCalibConstCam with update results (once per calib. consts
       update == every 10 sec.)
     - introduce check for size of calibration constant. In case, it is 
       completetly out of range, set the MBadPixelsPix::IsUnsuitableRun

   * mjobs/MJCalibrateSignal.cc:
     - display one MHCamera more with changing conv. factors (only for
       interlaced cal. events)

   * mpedestal/MPedCalcFromLoGain.cc
     - set default for MExtractWinFirst from 15 to 17 because of the 
       late cosmics signals in December


 2005/01/28 Abelardo Moralejo

   * mtemp/mpadova/macros/trainsubsample.C
     - added # of events to be written in the output (instead of 
       fraction of total). Moved MSrcPosCam in output from RunHeaders
       to Events tree.



 2005/01/27 Daniel Mazin and Markus Gaug

   * mcalib/MCalibrateData.[h,cc]
     - derive this class from MCamEvent in order to be able to display
       evolution of conversion factors in case of interlaced cal. 
       events

   * mpointing/MInterpolatePointingPos.[h,cc]
     - new class to interpolate pointing positions, adapted from a class 
       by Marcos Lopez 

   * mjobs/MJCalibrateSignal.[h,cc]
     - enabled the calibration of data with interlaced calibration events     

   * msignal/MArrivalTime.[h,cc]
   * mcalib/MCalibrateRelTime.cc
     - removed Error of calibrated arrival time, as agreed on the last 
       software calibration meeting yesterday

   * mjobs/MJCalibrateSignal.cc
     - add display to show histogramming of conversion factors
     - modify default calibration to equiv. photo-electrons
     - allow for setting of MC, Raw or Root-file type in callisto.rc

   * callisto.rc
     - updated conf. file


 2005/01/27 Thomas Bretz

   * callisto.cc:
     - don't display starting pedestals when calibrating the signal

   * callisto.rc:
     - added some comments

   * star.rc:
     - according to Daniel M. we have agreed to change the default
       cleaning level to adapt it roughly to the new pedestal

   * manalysis/MCerPhotPix.[h,cc], mpedestal/MPedPhotPix.h:
     - as agreed in the current calibration meeting we truncate the
       precision of the stored floating point values to roughly 0.5%
       to gain storage space in the calibrated data (the gzip
       algorithm compresses this stuff nicely - we gain roughly 15%)

   * mhflux/MHFalseSource.cc, mjobs/MJCalibration.cc, mjobs/MJStar.cc:
     - added a comment

   * mjobs/MJCalibrateSignal.cc:
     - changed title of unsuitable plot
     - removed plot for calibrated fundamental pedestal as agreed in the
       current calibration meeting (we may change this to an option)

   * mjobs/MJPedestal.[h,cc]:
     - changed the name of the "PedDiff" plot to be consistent with the
       other tab-name
     - changed the options for the display
     - removed the dependancy of fDisplayType and the SetDataCheck
       option
     - added option kDisplayNone
     - renamed enums from k*Display to kDisplay*

   * mhist/MHCamEvent.cc:
     - trying to get rid of the Err_%p workaround.

   * manalysis/MCerPhotEvt.[h,cc]:
     - added some '!' signs in the comment line. This is quick hack
       to gain I/O speed and storage space. We will soon have new
       containers for the calibrated data and image cleaning
       information.
     - changed version number to 6

   * mhist/MHCamera.cc:
     - added member function SetAllUsed



 2005/01/26 Abelardo Moralejo

   * macros/mccalibrate.C
     - removed creation and writing out of MSrcPosCam. It is more 
       flexible to add it in starmc2.C if needed (for wobble mode for
       instance).

   * mtemp/mpadova/macros/RanForestDISP.C
     - added possibility to set the number of hadrons read in for the 
       training. Added some missing containers to output.
     - Fixed rule concerning the DISP, by adding parentheses. Remember
       that MHMatrix::AddColumn  does not respect the usual precedence
       of operations!

   * mtemp/mpadova/macros/resize.C
     - added to output missing container MRawEvtHeader

   * macros/starmc2.C
     - added missing container MImagePar. Added possibility to set the
       source position on the camera (for the wobble mode).



 2005/01/25 Abelardo Moralejo

   * macros/starmc2.C
     - modified to allow double (train / test) output, for g/h 
       separation studies. Added several missing containers to output.



 2005/01/25 Thomas Bretz

   * mcalib/MCalibrationIntensityChargeCam.cc:
     - fixed a lot of 'default argument'-warnings to make to code
       compile

   * mbase/MParContainer.[h,cc]:
     - moved the empty Reset() function into the source file and
       added a lot of comments
     - implemented new helper-functions: GetNewObject

   * mbase/MContinue.[h,cc]:
     - allow to use MFilter-classes as filter in ReadEnv

   * mbase/MTaskEnv.cc:
     - replaced some code by GetNewObject

   * mhbase/MFillH.cc:
     - handle DrawOption "same" to be able to draw to the same pad

   * mhbase/MH.[h,cc]:
     - added same-argument to DrawSame

   * mhbase/MH3.cc:
     - removed some obsolete comments
     - remove own drawing options before calling fHist->Draw

   * mimage/MHHillas.cc, mimage/MHImagePar.cc:
     - first try of implementing 'same' drawing option



 2005/01/25 Markus Gaug

   * mcalib/MCalibrationPattern.[h,cc]
   * mcalib/MCalibrationPatternDecode.[h,cc]
     - New Decoder task for the calibration pattern from the 
       digital modules
 
   * mraw/MRawEvtHeader.[h,cc]
     - remove decoding from this class   

   * mcalib/MCalibrationIntensityHiLoCam.[h,cc]
     - remove, because one needs anyhow much more than one data file
       to get a reasonable conversion factor

   * mcalib/MCalibCalcFromPast.[h,cc]
     - remove MCalibrationIntensityHiLoCam

   * mbadpixels/MBadPixelsPix.h
   * mbadpixels/MBadPixelsCam.cc
     - changed one function name to GetUnsuitableCalLevel()

   * mjobs/MJCalibration.cc
     - replace all Y-titles with units "FADC counts" by "FADC cnts" and 
       "FADC slices" by "FADC sl.", otherwise they range out of the 
       canvas.

   * mcalib/MCalibrationChargeCalc.cc
     - ensure to set the color correctly in MCalibrationBlindCam

   * callisto.rc
     - put space for 
       MJCalibrateSignal.ExtractSignal.HiGainFirst:     2
       MJCalibrateSignal.ExtractSignal.HiGainLast:     16


 2005/01/24 Abelardo Moralejo

   * manalysis/MMcCalibrationUpdate.cc
     - Adapted to changes in MCalibrateData from 2005/01/16: moved 
       qepix.SetAvNormFFactor(1.)  from Process() to ReInit(). Due to 
       this, for the last week you may have found trouble running 
       starmc.C and mccalibrate.C.



 2005/01/24 Thomas Bretz

   * callisto.cc:
     - removed non-existing option from output

   * manalysis/MEnergyEstimate.[h,cc]:
     - added ReadEnv member function

   * mbase/MContinue.[h,cc]:
     - implementes AllowEmpty option to support doing nothing 
       defined in resource file
     - added a first draft to allow usage of class-filters instead of 
       rules

   * mbase/MMath.[h,cc]:
     - implemented a function suggested by Florian Goebel which reduces
       the precision of a float to ~0.5% which is usefull for data
       compression by gzip

   * mdata/MDataChain.[h,cc]:
     - implemented ReadEnv member function

   * mfbase/MF.cc:
     - a small enhancement to the output in ReadEnv

   * mhbase/MH3.cc:
     - fixed call to FindObject in Paint which caused a profile to be
       displayed incorrectly in case it was read from a file

   * mhflux/MHFalseSource.[h,cc]:
     - removed old obsolete unsused Significance functions
     - implemented ReadEnv member function
     - set false source binning only if BinningFalseSource is not default
     - check parlist for BinningAlpha

   * mjobs/MJCalibrateSignal.cc, mjobs/MJCalibration.cc, 
     mjobs/MJPedestal.cc:
     - added an additional check and output if output-file could
       not be opened

   * mjobs/MJob.h:
     - added some Getter

   * mhbase/MBinning.[h,cc].
     - added nen member functions
       + SetEdgesRaw
       + ReadEnv
       + Print

   * mhflux/MAlphaFitter.[h,cc]:
     - added new member function ReadEnv

   * mhflux/MHAlpha.cc:
     - fixed a problem when fitting without off-data

   * mbase/MStatusDisplay.cc:
     - implemented a further fix in DrawClonePad to make sure
       that the X-stuff doesn't get confused while still
       GetDrawOption returns the correct value



 2005/01/24 Markus Gaug

   * msignal/MExtractTimeAndChargeDigitalFilter.cc
     - introduced security check for the times fine-tuning to catch 
       outliers because of deviating pulse forms.

   * msignal/MExtractTime.cc
   * msignal/MExtractor.cc
     - lowered default high-gain saturation limit to 250
     - removed Clear() for two results containers at beginning of Process()

   * msignal/MExtractor.h
     - Take fHiLoLast into the Clone()

   * msignal/MExtractedSignalPix.cc
     - change sign of default initializer to negative.



 2005/01/23 Markus Gaug
  
   * mhcalib/MHCalibrationHiLoCam.[h,cc]
     - updated to new logain switch setting in MExtractTimeAndCharge
     - extract also high-gain vs. low-gain time difference

   * mhcalib/MHCalibrationCam.[h,cc]
   * mhcalib/MHCalibrationChargeCam.[h,cc]
     - updated reading of conf. values in ReadEnv

   * mhcalib/MCalibrationHiLoCam.[h,cc]
   * mhcalib/MCalibrationHiLoPix.[h,cc]
   * mhcalib/MCalibrationIntensityHiLoCam.[h,cc]
     - updated accordingly

   * mbadpixels/MBadPixelsCam.cc
     - removed some bugs in the Print() function



 2005/01/22 Markus Gaug

   * mhcalib/MHCalibrationRelTimeCam.cc
     - display in the averaged times display the event-by-event averaged
       absolute arrival times instead of the rel. ones which do not make 
       much sense.

   * mhcalib/MHCalibrationTestTimeCam.[h,cc]
   * mhcalib/MHCalibrationTestCam.[h,cc]
     - update to the latest changes in analysis chain.

   * mjobs/MJExtractCalibTest.[h,cc]
     - update to the latest changes in analysis chain.
    
   * mjobs/MJCalibration.cc
     - replace title of that times-averageing Tab from "RelTimes" by 
       "Times".

   * macros/calibration.C
     - update to changes in MJExtractCalibTest



 2005/01/21 Markus Gaug

   * msignal/MExtractTimeAndChargeDigitalFilter.cc
   * msignal/MExtractTimeAndChargeSlidingWindow.cc
   * msignal/MExtractTimeAndChargeSpline.cc
     - use the max. bin content for low-gain extraction
   
   * callisto.rc
     - add place for LoGainSwitch



 2005/01/21 Florian Goebel

   * mfbase/MF.cc:
     - include a (TString) cast to make it compilable with gcc2.95.3



 2005/01/21 Thomas Bretz

   * mpointing/MSrcPosFromModel.cc:
     - fixed crash in Process if no pointing model available

   * mpointing/MPointingPosCalc.h:
     - added missing initialization of data members

   * mastro/MObservatory.[h,cc]:
     - added ReadEnv member function

   * mbase/MTaskEnv.h:
     - added (=0) default to SetDefault



 2005/01/20 Markus Gaug

   * mcalib/MCalibrationIntensityChargeCam.[h,cc] 
     - added function to display fluctuations of a variable

   * mcalib/MCalibrationPix.cc
     - fixed small bug in High-gain mean error.

   * msignal/MExtractTimeAndCharge.[h,cc]
     - introduced high-gain maximum limit before extracting the low-gain



 2005/01/20 Thomas Bretz

   * mbase/MContinue.[h,cc]:
     - added ReadEnv member function to support resource files

   * mbase/MEvtLoop.[h,cc]:
     - added a second arguemtn to reading of the resource file by name
     - added some checks when reding the resource file and the
       parameter list hasn't been setup

   * mbase/MParList.cc:
     - removed an obsolete output from ReadEnv

   * mfbase/MF.[h,cc]:
     - added ReadEnv member function to support resource files
     - added kAllowEpty flag to support skipping by resource files

   * mfbase/MFilterList.cc:
     - added a comment

   * mbase/MStatusDisplay.[h,cc]:
     - fixed Write to be compatible with root 4.02/00
     - worked around a problem with reading the DrawOption correctly
       from a stored status display



 2005/01/19 Thomas Bretz
 
   * mbase/MMath.cc:
     - added a comment to SignificanceLiMa, made by Daniel Mazin
     - also check for b==0

   * mhflux/MAlphaFitter.[h,cc]:
     - fixed significance calculation in case of on-off data
     - added fScaleFactor

   * mhflux/MHAlpha.[h,cc], mhflux/MHFalseSource.cc:
     - handle scale factor in case of on-off observations

   * mjobs/MJPedestal.cc:
     - aligned screen output to 80col rule

   * mtrigger/MFTriggerPattern.[h,cc]:
     - assigned correct integers to enum
     - made sure that the enum is correctly handled in all function by
       applying a r-value to the condition



 2005/01/19 Abelardo Moralejo

   * mtrigger/MFTriggerPattern.[cc,h]
     - Changed Bool_t arguments of all setters to new type Prescale_t
       defined by N. Galante (see below)



 2005/01/19 Nicola Galante

   * mtrigger/MFTriggerPattern.[cc,h]
     - added in header enum Prescale_t { kUnPrescaled = kFALSE, 
       kPrescaled   = kTRUE }; 

     - fixed a bug in Process, both fMaskRequiredUnprescaled and
       fMaskRequiredPrescaled are checked simultaneously.



 2005/01/18 Markus Gaug

   * mcalib/MCalibColorSet.cc
     - fixed the remaining day of data without colour in project name
       neither in digital modules bits.

   * mpedestal/MPedCalcPedRun.[h,cc] 
     - catch the continuous light runs with MRawRunHeader::fRunType 
       == kRTCalibration to be recognized as effective pedestal runs.


 2005/01/18 Thomas Bretz

   * mbase/MMath.cc:
     - added a check for s==0 in SignificanceLiMa, because otherwise the 
       result is NaN

   * mfbase/MF.cc:
     - removed an obsolete debugging output from the latest changes

   * mhflux/MHAlpha.cc:
     - reset fHTime, too



 2005/01/18 Nicola Galante

   * mtrigger/MFTriggerPattern.cc:
     - added parentesis to ensure bitwise operators priority
       with respect to logical operators.


 2005/01/17 Thomas Bretz
 
   * manalysis/MEnergyEstimate.[h,cc]:
     - changed to be more general. Energy is now estimated from a rule
       (MDataChain) The default behaviour is still the same as before
       to copy the energy from MMcEvt

   * mbase/MTask.cc:
     - changed to write out the descriptor istead of the task-name only
       in Pre/PostProcess

   * mhbase/MH.cc:
     - initialize fSerialNumber and fNumExecutions in constructor

   * mhflux/MHFalseSource.cc:
     - according to a suggestion by Markus Mayer I have changed
       \\sigma_{max}=f to S_{max}=f\\sigma

   * mjobs/MJCalibrateSignal.cc:
     - as discussed with Markus and Abelardo fixed the MFTriggerPattern
       call.

   * mtrigger/MFTriggerPattern.cc, mtrigger/MTriggerPattern.cc,
     mtrigger/MTriggerPatternDecode.cc:
     - added some comment about file version

   * mbase/MFilter.h:
     - implemented new virtual function GetDataMember like in MData

   * mbase/MTask.[h,cc]:
     - when filter is added ass GetDataMember to branch list (should be
       obsolete, because filter is in the tasklist, but it should not hurt)

   * mfbase/MF.[h,cc], mfbase/MFDataChain.[h,cc], mfbase/MFDataMember.[h,cc],
     mfbase/MFilterList.[h,cc]:
     - implemented new function GetDataMember



 2005/01/17 Markus Gaug

   * msignal/MExtractTimeAndChargeDigitalFilter.cc
     - remove a situation where the high-gain signal can be 0.

   * mtrigger/MTriggerPattern.h
     - fixed a bug in defining the trigger bit pattern (Have to start
       from 0 instead of 1)

   * mjobs/MJPedestal.cc
   * mjobs/MJCalibrateSignal.cc
     - fixed default extraction ranges.

   * callisto.rc
     - fixed default weights files for pedestal extraction for cosmcis

   * mcalib/MCalibrationChargeCalc.cc
     - removed program exit on occurrance of multiple colours without 
       intensity calibration



 2005/01/17 Nadia Tonello and Markus Gaug

   * mcalib/MCalibrationChargeCam.cc
     - some fit improvements in the function GetAveragedConvFADC2PhotPerArea



 2005/01/16 Markus Gaug

   * mhcalib/MHCalibrationCam.[h,cc], mhcalib/MHCalibrationRelTimeCam.[h,cc],
     mhcalib/MHCalibrationChargeCam.[h,cc]
     - put overflow management and results camera initialization into 
       base class
 
   * mcalib/MCalibrateData.[h,cc]
     - added possibility to re-normalize signal to equiv. photo-electrons
       ( SetSignalType(MCalibrateData::kPhe) ). 
       Default is old version in photons
     - speed up Process by storing pre-calculated calibration constants
       in arrays (needed 40% of CPU time of the eventloop before, now: 23%) 
     - added new pointer to different MCalibrationChargeCam used for 
       updates
     - added possibility to update the conversion factors using the 
       MCalibrationChargeCam stored in fCalibUpdate. 
     - added Print() function

   * mcalib/MCalibCalcFromPast.[h,cc]
     - committed final version, now also in the Makefile

   * mjobs/MJCalibrateSignalFromOutside.[h,cc], macros/calibration.C
     - committed final version, now able to calibrate interlaced cal. 
       events.



 2005/01/14 Hendrik Bartko

   * msignal/calibration_weights_UV.dat
     - fixed a small bug in the noise autocorrelation of the AB-noise

   * msignal/calibration_weights_blue.dat	
     - new weights file for blue calibration pulses

   * cosmics_weights.dat
     - fixed a small bug in the noise autocorrelation of the AB-noise



 2005/01/14 Markus Gaug

   * msignal/MExtractTimeAndChargeDigitalFilter.cc
     - added a small acceleration of the program, tested by Hendrik and
       me.

   * mpedestal/MPedCalcFromLoGain.cc
     - fixed one warning output which was not a real warning.

   * mcalib/MCalibrationChargeCam.cc
     - improved the function to calculate a mean conversion factor over 
       the whole camera including a fit to the values.

   * mpedestal/MPedCalcPedRun.[h,cc]
     - undo some changes introduced by TB on 2/12/04 which had made the 
       use of interlaced pedestal events impossible again. 
     - Use now the new class MTriggerPattern directly to recognize an 
       interlaced pedestal event.     



 2005/01/14 Thomas Bretz
 
   * callisto.cc:
     - fixed a typo in output

   * manalysis/MGeomApply.cc:
     - removed some old code already in comments
     - added possibility to switch off automatic processing (used
       if two different geometries around)

   * manalysis/MMultiDimDistCalc.cc, mhbase/MHMatrix.[h,cc],
     mranforest/MRanForestCalc.cc, mtools/MHSimulatedAnnealing.[h,cc],
     mtools/MSimulatedAnnealing.h:
     - added include of TVector because in newer root version it is 
       not included from TMatrix anymore

   * mbase/BaseLinkDef.h, mbase/MMath.[h,cc]:
     - to stick to the convention of TMath in newer root versions MMath
       changed from a class to a namespace

   * mbase/MEvtLoop.[h,cc]:
     - to support newer root version added a second Write-function
       with a const qualifier.

   * mdata/MDataChain.cc:
     - changed access to TMath for newer root versions

   * mfileio/MChain.[h,cc]:
     - implemented a workaround for teh changed LoadTree definition
       in newer root-versions

   * mfileio/MReadTree.cc:
     - fixed a bug in CheckBranchSize caused some warning to be
       displayed

   * mhflux/MHAlpha.cc:
     - removed check for fResult in PostProcess (it is always there)

   * msignal/MExtractTimeFastSpline.cc:
     - fixed delete --> delete[]

   * mbadpixels/MBadPixelsCalc.cc:
     - slight change to some output

   * mbase/MTaskEnv.h:
     - set name of default task when pointer is given

   * mjobs/MJCalibrateSignal.cc:
     - fixed handling of extraction range for various cases
     - fixed handling in case no arrival times are calculated

   * mjobs/MJCalibration.cc:
     - write at least a default arrival time calibration container
       to make further processing easier

   * mjobs/MJPedestal.[h,cc]:
     - fixed handling of extraction range for various cases



 2005/01/14 Abelardo Moralejo

   * mtemp/mpadova/macros/trainsubsample.C, RanForestDISP.C
     - added. Two macros used in the analysis of real wobble mode data.



 2005/01/14 Daniela Dorner

   * macros/sql/filldotrun.C
     - added new arehucas-verions and changed code accordingly



 2005/01/13 Abelardo Moralejo

   * macros/starmc.C
     - Added (commented) lines for the case of gamma MC source off-axis 
       (wobble mode). Changed default extractor to 
       MExtractFixedWindowPeakSearch.



 2005/01/13 Raquel de los Reyes

   * callisto.rc
     - introduced several configuration lines 
       (format: "class".DataCheck: No) to allow callisto 
       to run with rawfiles. Necessary for the datacheck.



 2005/01/13 Markus Gaug

   * mcalib/MCalibColorSet.cc
     - fixed runs 45605-45609

   * msignal/MExtractor.h
     - take out the variable fHiLoLast from the streamer. Will be 
       initialized in the ReInit(), if needed

   * msignal/MExtractor.cc
     - Initialized fHiLoLast to 0. Otherwise, a second eventloop with 
       the same extractor may have that variable set to a certain 
       value, even if not desired. The ReInit() fixes fHiLoLast, if 
       different from 0.

   * mpedestal/MExtractPedestal.cc
   * mpedestal/MPedCalcPedRun.cc
   * mpedestal/MPedCalcFromLoGain.cc
     - fix the output of the print to the correct value for the case 
       that the extractor is used.


 2005/01/13 Thomas Bretz

   * callisto.rc:
     - fixed some typos

   * mbase/MLog.cc:
     - unset DEBUG defined unintentionally

   * msignal/MExtractTimeAndChargeDigitalFilter.cc:
     - removed printing Weights in InitArrays, because otherwise
       the output of a full data calibration is totally crowded
       with numbers. Having the weights-file name on the display
       is perfectly enough.



 2005/01/12 Markus Gaug

   * mcalib/MCalibrationIntensityRelTimeCam.cc
     - added fit to improve averageing of the obtained results



 2005/01/12 Thomas Bretz

   * manalysis/MMatrixLoop.cc:
     - changed name to MRead because it now derives from MRead

   * mbase/MEvtLoop.[h,cc]:
     - implemented an option not to cascade the status display to the
       parameter list in PreProcess

   * mhflux/MHAlpha.cc:
     - changed name of "Significance" to "MinimizationValue"
     - return -significance to have a value being minimized

   * mhist/MHCamera.cc:
     - fixed output of text in legend

   * mhist/MHEvent.[h,cc]:
     - implemented new options for calibrated pedestals

   * mmain/MEventDisplay.cc:
     - fixed to support latest changes in MJCalibrateSignal

   * mpedestal/MPedPhotCam.cc:
     - added new options in GetPixelContent (4 and 5) to support
       a correct camera display

   * mjobs/MJCalibrateSignal.cc:
     - fixed display of calibrated pedestal and pedestal rms
     - changed order of plots. Now all interpolated values 
       (means all calibrated values which are bad-pixel treated)
       are displayed behind the unsuitable pixels.

   * mjobs/MJ*.cc:
     - corrected all wrong %06d to %08d to fit the number of
       digits in run-numbers



 2005/01/11 Abelardo Moralejo

   * mjobs/Makefile
     - added missing include -I ../mtrigger



 2005/01/11 Thomas Bretz

   * callisto.cc, callisto.rc:
     - changed such, that all three kinds of pedestals are calcualted 
       (usefull for studies)

   * manalysis/MMatrixLoop.[h,cc]:
     - derived from MRead
     - implemented some basic functions from MRead

   * mfilter/MFCosmics.[h,cc]:
     - allow setting of name of MPedestalCam

   * mhbase/MBinning.[h,cc]:
     - added SetEdges taking MParList as input

   * mhflux/MHAlpha.cc:
     - use new function from MBinning

   * mjobs/MJCalibrateSignal.[h,cc]:
     - changed to calculate all three kinds of pedestals
     - added filters for trigger pattern and illuminated events

   * mjobs/MJPedestal.cc:
     - give different names to tabs with different pedestals

   * mjobs/MJStar.cc:
     - on request changed used pedestal from "FromExtractor" to
       "FromExtractorRndm"

   * mtrigger/MTriggerPattern.h:
     - added Reset function

   * mtrigger/MTriggerPatternDecode.[h,cc]:
     - added using file format version number



 2005/01/11 Markus Gaug

   * mbadpixels/MBadPixelsPix.cc
     - updated documentation

   * mcalib/MCalibrationChargeCalc.cc
     - make pixels with deviating number of phes unreliable instead of 
       unsuitable (this was already thought so, but missed to modify
       at one place).

   * mhcalib/MHCalibrationCam.[h,cc]
     - add possible flag 'kInterlaced': default: kFALSE (like before)
     - added pointer to MRawEvtHeader to deny cosmics events in case
       of 'interlaced' flag is set. No changes for 'normal' calibration



 2005/01/10 Benjamin Riegel
 
   * mreport/MReportStarguider.cc, mreport/MReportStarguider.h
     - added two classes for implementing starguider-data 
 
   * mreport/ReportLinkDef.h
     - added class MReportStarguider to be linked:
       #pragma link C++ class MReportStarguider+;
     
   * mreport/Makefile
     - added file MReportStarguider.cc
   
   * merpp.cc
     - added two containers ( MReportStarguider, MTimeStarguider ) and
       added MReportStarguider to the list:
       w->AddContainer("MReportStarguider",  "Starguider");
       w->AddContainer("MTimeStarguider",    "Starguider");
       r->AddToList("MReportStarguider");
       
       
       
 2005/01/10 Markus Gaug

   * mcalib/MCalibColorSet.cc
     - return kFALSE for CL-run instead of kTRUE

   * mcalib/MCalibrationChargeCalc.cc
     - stop program in case that multiple colours are found in same file
       without intensity calibration

   * mbadpixels/MBadPixelsPix.h
     - added two new possible UnCalibrated_t flags for the hi-lo 
       calibration

   * macros/calibration.C
     - add the calls to:
	  MArray::Class()->IgnoreTObjectStreamer();
	  MParContainer::Class()->IgnoreTObjectStreamer();
       in main.

   * msignal/MExtractor.h
     - added Getter for fOffsetLoGain (was still missing)

   * mhcalib/MHCalibrationChargeCam.[h,cc]
     - remove pixels with histogram overflow only if their percentage 
       passes a certain limit (default: 0.5%). Before, every overflow 
       lead to an unsuitable pixel.

   * msignal/MExtractTimeAndChargeDigitalFilter.[h,cc]
     - implemented changes suggested by T.B. to speed up calculations
     - take fNameWeightsFile into the streamer, otherwise the Clone() 
       will always create an extractor with cosmic's weights. 
     - set fOffsetLoGain to a slighly higher value. The DF seems to 
       have a different offset since it uses different pulse shapes 
       and thus sightly different time definitions.



 2005/01/10 Thomas Bretz

   * mhvstime/MHVsTime.cc:
     - fixed a compiler error for gcc 2.95.3, see Mantis bug # 157

   * callisto.cc:
     - changed such, that the calculated pedestal is not random
       anymore
     - added code to calculate the pedestal also with randomization,
       but this code is for the moment commented out.

   * callisto.rc:
     - fixed naming of pedestal calculation

   * mbadpixels/MBadPixelsCalc.cc:
     - added a second check which compares the pedestal rms with
       the variance of the pedestal rms in the same sector

   * mjobs/MJCalibrateSignal.[h,cc]:
     - changed to calculate the pedestal from extractor without 
       randomization
     - added code to calculate the pedestal also with randomization,
       but this code is for the moment commented out.

   * mjobs/MJCalibration.cc:
     - made sure that pedcam always has the correct name
       (FIXME? Print a warning if it has the wrong name)

   * mjobs/MJPedestal.[h,cc]:
     - changed such, that it allows the calculation of pedestals
       in three different ways (fundamental, fromextractor, 
       fromextractorrndm)
     - therefor removed SetExtractorResolution and added
       + void SetExtractionFundamental()
       + void SetExtractionWithExtractorRndm()
       + void SetExtractionWithExtractor()

   * mjobs/MJStar.cc:
     - changed/fixed the input name of the MPedPhotCam used in the
       image cleaning

   * mraw/MRawFileRead.[h,cc]:
     - changed return type of OpenNextFile
     - in some cases return kERROR in OpenNextFile to abort the Processing
       with an error

   * mraw/MRawRunHeader.cc:
     - call a wrong file format version ERROR now

   * mhflux/MAlphaFitter.[h,cc]:
     - make sure that resetted values are returned if fit failed
     - set default scaling too kOffRegion

   * mhflux/MHAlpha.cc:
     - some small fixes to handling of MHAlphaOff

   * mhflux/MHFalseSource.[h,cc]:
     - implemented possible usage of MHFalsSourceOff for On-Off-Analysis
     - updated display accordingly
     - updated fit accordingly
     - removed catalog temporarily from plots until I found the
       reason for the strange crashes

   * mbadpixels/MBadPixelCalc.[h,cc]:
     - implemented the possibility to check the pedestal rms against the
       variance of the pedstal rms, too. The option is curretly switched
       off.
     - enahanced informal output in PreProcess

   * mbase/MTaskList.cc:
     - a little change to some output



 2005/01/10 Wolfgang Wittek

   * mfbase/MFEventSelector2.cc
     - check whether filter exists before calling 
       filter->CallPreProcess(parlist)



 2005/01/08 Markus Gaug

   * mhcalib/MHCalibrationHiLoCam.[h,cc]
   * mcalib/MCalibrationHiLoCam.[h,cc]
   * mcalib/MCalibrationHiLoPix.[h,cc]
   * mcalib/MIntensityCalibrationHiLoCam.[h,cc]
   * mhcalib/Makefile, mcalib/Makefile, mhcalib/HCalibLinkDef.h, 
     mcalib/CalibLinkDef.h
     - new classes for calibration of conversion high-gain vs. low-gain 

   * msignal/MExtractedSignalPix.[h,cc]
     - added data member fChisquare, set to -1. by Clear() and Reset()
     - raised version number by 1

   * msignal/MExtractedSignalCam.[h,cc]
     - added data member fNdf, set to -1 by default
     - new function: GetProb(const Int_t pixidx) to be called to 
       calculate the joint probability of Chisquare of pixel "pixidx"
       and fNdf
     - added documentation of data members
     - raised version number by 1

   * mhcalib/MHCalibrationChargeCam.cc
     - strengthened default histogram limits a bit, should accelerate
       the calibration by 20%.

   * mjobs/MJCalibrateSignalFromOutside.cc
     - fixed two lines to compile MCalibrateData with the recent changes
       by TB

   * msignal/MExtractTimeAndChargeDigitalFilter.cc
     - fixed two bugs introduced yesterday by TB.

   * msignal/MExtractTimeAndChargeSpline.cc
   * msignal/MExtractTimeAndChargeSlidingWindow.cc
     - adopt part of TB's speed accelerations into these classes

   * msignal/MExtractTimeAndCharge.cc
     - fix the low-gain extraction window for the case that the high-gain
       is saturated. Was skipped so far.



 2005/01/07 Markus Gaug

   * msignal/MExtractFixedWindowPeakSearch.[h,cc]
     - catch the case that more than 90% of the pixels have saturated 
       signals and fix the extraction window from the occurrance of 
       saturation, then. Important for high-intensity calibration events.


   * msignal/MExtractor.cc
   * msignal/MExtractTime.cc
   * msignal/MExtractTimeAndCharge.cc
     - added some documentation

   * msignal/MExtractTime.[h,cc]  
     - moved the empty function FindTimeHiGain() and FindTimeLoGain() to
       the header-file.
      



 2005/01/07 Abelardo Moralejo

   * mbase/MLog.h
     - Added #include "TSystem.h", otherwise gSystem is not recognized
       in Mac OSX.

   * manalysis/MMakePadHistograms.cc
     - Changed badcalc.SetNamePedPhotContainer to 
       badcalc.SetNamePedPhotCam



 2005/01/07 Thomas Bretz

   * mbadpixels/MBadPixelsCalc.[h,cc], macros/ONOFFAnalaysis.C:
     - replaced PedPhotContainer by PedPhotCam for consistency
   
   * mbase/MLog.[h,cc]:
     - return *this in Seperator()

   * mbase/MPrint.[h,cc]:
     - use new separator manipulator in PreProcess
     - fixed a type: separator instead of seperator

   * mfileio/MReadTree.[h,cc]:
     - added a check for branch->IsAutoDelete() in Notify()

   * mpedestal/MExtractPedestal.[h,cc]:
     - added new option 'fRandomCalculation' be used to switch on-/off-
       randomization in extractors, the default should be like before
     - added Process() calling Calc()

   * mpedestal/MPedCalcFromLoGain.[h,cc], mpedestal/MPedCalcPedRun.[h,cc]:
     - renamed Process() to Calc()

   * Makefile:
     - removed macros/calibration.C, which seems to have been
       unintantionally introduced.

   * manalysis/Makefile:
     - removed unintantionally introduced wrong include

   * msignal/MExtractTimeAndChargeDigitalFilter.cc:
     - a small acceleration discussed with Hendrik by replacing a
       counter in a loop by pointer arithmetics

   * mraw/MRawEvtPixelIter.cc:
     - fixed a bug in GetMaxIdxHiLoGain which caused the loop to
       read one byte behind the end of the array
     - fixed HasLoGain() which really did weired things, means accessing
       sometimes memory somewhere. This could theoretically result
       in assigning the wrong lo-gains to the wrong pixels.

   * mtrigger/MTriggerPattern.[h,cc], mtrigger/MTriggerPatternDecode.[h,cc],
     mtrigger/MFTriggerPattern.[h,cc]:
     - added

   * mtrigger/Makefile, mtrigger/TriggerLinkDef.h:
     - added MTriggerPattern, MTriggerPatternDecode and MFTriggerPattern

   * manalysis/MEnergyEstParam.h:
     - added a new function SetVariables calling SetCoeff

   * mcalib/MCalibrateData.[h,cc]:
     - removed data members for container names
     - added new lists for container names
     - allow to calibrate more than one pedestal container at the same
       time

   * mjobs/MJCalibrateSignal.cc:
     - changed accordingly



 2005/01/05 Thomas Bretz

   * mcalib/MCalibrationBlindPix.cc, mcalib/MCalibrationChargeCalc.cc,
     mhcalib/MHCalibrationRelTimeCam.cc:
     - made some output lines fit into convinience window of 80 col

   * mhist/MHCamEvent.cc:
     - make sure that x-axis has correct title

   * msignal/MArrivalTimePix.cc:
     - init error to -1 which is a obviously non valid value
     - fixed IsValid() which gave wrong results

   * msignal/MExtractTimeAndCharge.cc, msignal/MExtractedSignalPix.cc:
     - made sure that LoGain is flagged non-valid if no lo-gain exists
     - push time back at the edge of the allowed limits if outside

   * mbase/MGList.[h,cc]:
     - introduced new functions Delete and DeletePictures
     - SetBit(kMustCleanup) in constructor. Otherwise it is not
       correctly removed from ListOfCleanups

   * mbase/MLog.cc:
     - SetBit(kMustCleanup) if adding a plugin to make sure it is cleaned
       from the list

   * mbase/MParContainer.[h,cc]:
     - replaced return type of GetDescriptor by TString. The old version
       was terribly wrong! The returned memory wasn't removed as soon
       as the function returned.

   * mbase/MStatusDisplay.[h,cc]:
     - for security (thread safty) replaced all Form() by MString::Form()
     - implemented a more secure scheme of Closing (Clone()) this was
       a hint given by valgrind
     - set kMustCleanup for all new object in ClonePad not only kCanDelete
     - fixed some lines in pulldown-menus
     - add TPads to ListOfCleanups in ClonePad (workaround!)

   * mbase/MString.[h,cc]:
     - implemented a new static Form() function returning a copy of
       the result

   * mbase/MTask.[h,cc]:
     - replaced return type of GetDescriptor by TString. The old version
       was terribly wrong! The returned memory wasn't removed as soon
       as the function returned. 
     - Made GetDescriptor thread safe using MString::Form

   * mfileio/MWriteRootFile.cc:
     - Use GetDescriptor().Data() when using any kind of printf function

   * mhbase/MFillH.cc:
     - replaced string concatenation in all constructors by a Form 
       (also suggested by valgrind)

   * mhcalib/MHCalibrationRelTimeCam.cc:
     - made some output fit into 80col boundary




 2005/01/03 Thomas Bretz (HAPPY NEW YEAR)

   * mfht:
     - added new directory for hexagonal fourier transformation

   * mfht/HftIncl.h, mhft/HftLinkDef.h, mhft/MGeomCamMagicXT.[h,cc],
     mhft/MGeomCamMagicEnhance.[h,cc], mhft/MHexgaonalFT.[h,cc], 
     mhft/MHexagonalFreqSpace.[h,cc], mhft/MHexagonalFTCalc.[h,cc],
     mhft/Makefile:
     - added

   * macros/extendcam.C: 
     - added: tutorial for MGeomCamExtend

   * macros/hft.C: 
     - added: tutorial for MHexgonalFTCalc

   * macros/dohtml.C: 
     - updated

   * macros/rootlogon.C: 
     - updated

   * Makefile:
     - mhft added

   * mbase/MParContainer.cc, mbase/MLog.cc:
     - added a pre-compiler option for destructor debugging

   * mbase/MTaskList.[h,cc]:
     - added new function Replace

   * mdata/MDataChain.cc, mfbase/MF.cc:
     - shortened some output

   * mdata/MDataArray.[h,cc]:
     - added new function FindRule

   * mfileio/MReadTree.[h,cc]:
     - enhanced functionality to be able to read a TTree stored in memory
       instead of a file. Therefor introduced fTree which is now the pointer
       used and replaced fChain where TTree and TChain have common behaviour.
       Where they behave uncommon new code for the new case has been added.

   * mfileio/MWriteRootFile.[h,cc]:
     - enhanced functionality to be able to write a TTree into memory
       instead of a file. This were maily bugfixes for the case fOut==0, which
       must be handled correctly. Becarefull a tree filles without a file
       is not deleted automatically!
    
   * mhbase/MBinning.h:
     - added copy constructor
     - fixed buggy SetEdges(MBinning&) which didn't work

   * mhbase/MHMatrix.cc:
     - when adding a new rule check first if the same rule already exists

   * mhflux/MAlphaFitter.[h,cc]:
     - added new functionality to support on-off analysis
     - didn't touch existing code

   * mhflux/MHAlpha.[h,cc]:
     - added new functionality to support on-off analysis
     - replaced Fit() calls by newer function calls
     - added DrawAll - PRELIMINARY
     - fixed a bug when projecting - may be the reson for some strange
       crashes

   * mcalib/MCalibColorSet.cc:
     - fixed a stupid bug introduced last year, which caused MCalibColorSet
       in some circumstances to stop the eventloop when it shouldn't

   * mjobs/MSequence.cc:
     - expand path names
 
